2003-03-10 Monday 20:30  sam

   * ./toolbox: added --update-changelog flag.

2003-03-10 Monday 19:26  gbazin

 * src/video_output/vout_pictures.c: declaration of FOURCC_RV24, courtesy of Olivier Aubert.

2003-03-10 Monday 19:17  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: small change to the slider behaviour.

2003-03-10 Monday 18:12  sam

   * ./configure.ac.in: moved an extra -lws2_32 to a win32 specific case.

2003-03-10 Monday 11:41  massiot

 Fixed a major bug with 5.1 output and the OSS plug-in.

2003-03-10 Monday 09:23  jlj

   * ./modules/codec/dts.c: minor fix.

2003-03-10 Monday 02:07  fenrir

  * improved seeking and fixed play back when reading from stdin (when
 reported size is null).

2003-03-10 Monday 01:12  gbazin

 * modules/access/vcd/cdrom.c: small win32 bugfix.
 * configure.ac.in: on win32 we link ws2_32 with the slp plugin.

2003-03-10 Monday 01:04  massiot

 * Bumped up version number to 0.5.2
 * Fix for the "lock-up" problem under MacOS X. Removed the rt-priority
   configuration variable.

2003-03-10 Monday 00:39  jlj

   * ./modules/demux/mpeg: DTS support.

2003-03-09 Sunday 21:07  jlj

   * DTS S/PDIF support.

2003-03-09 Sunday 20:44  gbazin

 * configure.ac.in: fixed my previous commit.
 * NEWS: added an entry about fixes in the dvd menu support.

2003-03-09 Sunday 20:25  gbazin

 * configure.ac.in: don't include the screensaver plugin on win32.
 * src/misc/variables.c: fixed a bug in var_Change() and in var_DelCallback().
 * modules/codec/spudec/parse.c: removed unnessecary code.
 * modules/access/dvdplay/access.c: fixed some navigation problems.

2003-03-09 Sunday 17:22  fenrir

  * fixed a really stupid bug with compressed header, improved parsing
 of audio stsd box. (handle qt3+ audio box)
  (I still need to fix mp4.c to read audio track that aren't mp4a)

2003-03-08 Saturday 02:55  sigmunau

 added a down, right gesture to quit vlc and an up, right gesture that swaps
 fullscreen on/off, removed the down gesture as it is now covered by the up,
 right gesture

2003-03-07 Friday 01:53  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: clean up the gtk/gnome
 messages window regularly.

2003-03-07 Friday 00:52  sigmunau

 NEWS: added note about .pls handeling and the http audio fix

2003-03-07 Friday 00:10  gbazin

 * src/audio_output/dec.c, include/aout_internal.h: the aout core was
 automatically discarding audio samples that were above AOUT_MAX_ADVANCE_TIME
 in the future. Problem is that p_input->i_pts_delay isn't a fixed value. We
 now fetch this value from the input thread when we create an aout_instance_t.
 This solves problems with the http access plugin.

2003-03-06 Thursday 23:17  hartman

 * Updated README on Mac OS X issues.

2003-03-06 Thursday 16:30  sigmunau

 the m3u demux now reads the pls files shoutcast uses.

2003-03-06 Thursday 16:24  hartman

 * the close window command was reacting irratic because of my meddling
   with the responder chain. HANDS OFF you little devil ;)

2003-03-06 Thursday 15:40  hartman

 * not < but > ;)
   time to stop for today

2003-03-06 Thursday 13:52  hartman

 * fixed an issue with blackbars at certain aspect ratios when you resize
   the video window. (half, double)

2003-03-06 Thursday 13:05  hartman

 ALL: fixed: http://bugzilla.videolan.org/cgi-bin/bugzilla/show_bug.cgi?id=425
      having two close buttons in one window goes against Apple's UIG.

2003-03-06 Thursday 12:43  hartman

 * modules/gui/macosx/applescript.?
 * extras/MacOSX/Resources/vlc.scriptSuite
 * extras/MacOSX/Resources/English.lproj/vlc.scriptTerminology
   - moved existing applescript commands to these files
   - added several control commands. supported are: play/pause, stop,
     previous, next, fullscreen, mute, volumeUp and volumeDown.
     These correspond to the existing menuitems. This still requires work
     in the future to make it more correct AppleScript, but it works for now.

 * modules/gui/macosx/controls.?
   - split up the controls.m into a .m and a .h

 * modules/gui/macosx/intf.?
   - added a getControls method to gain access to the controller object from
     the AppleScript commands.

 * modules/gui/macosx/open.?
   - removed the applescript support existing here and moved it to applescript.?

 * modules/gui/macosx/playlist.m
   - made the tooltips for the add and remove buttons localizable.

 * modules/gui/macosx/vout.m
   - added a comment on the meaning of otherMouse events.

 * ALL:
   - updated copyright information to include the current year ;)

2003-03-06 Thursday 12:15  fenrir

  * http: lalala, forgot one line :)

2003-03-06 Thursday 12:09  fenrir

  * http: fixed a segfault while using it more than once.

2003-03-06 Thursday 11:15  hartman

 * If labels are nil, then it shouldn't disable the entire preference panel.
   fixes #428 more permenantly. the cause was a missing rt-priority desc.

2003-03-06 Thursday 11:11  jpsaman

 More sizing stuff.

2003-03-06 Thursday 10:58  massiot

 Fixed a segfault in the OS X preferences panel.

2003-03-06 Thursday 10:27  jpsaman

 Updated version number.

2003-03-06 Thursday 01:10  sigmunau

 we now insert playlist entries right after the playlist file, and not at the
 end of playlist. Should close bug reported on mailing list by Stepan Roh
 about "redirection".

2003-03-05 Wednesday 23:37  gbazin

 * modules/audio_filter/resampler/bandlimited.c: another bug-fix ( should be the last one ;)
 * install-win32: the FAQ wasn't being included in the package.

2003-03-05 Wednesday 20:58  gbazin

 * Makefile.am: make package-win32 creates FAQ.htm not faq.htm.

2003-03-05 Wednesday 20:31  gbazin

 * modules/audio_filter/resampler/bandlimited.c: added a few more sanity checks.

2003-03-05 Wednesday 20:16  hartman

 * updated italian translation by Bruno <allevb@tin.it>
   i had to merge it by hand, because it was pretty outdated.

2003-03-05 Wednesday 18:55  gbazin

 * src/input/input_ext-plugins.c: added an msleep() call in case we fail to
    allocate a new buffer in input_FillBuffer(). This is necessary because
    the input thread has an high priority and we don't want it to loop
    without any interruption.

2003-03-05 Wednesday 01:11  massiot

 * Fixed LDFLAGS_mp4 variable.

2003-03-05 Wednesday 01:05  sigmunau

 added not that gestures are now supported on osx and windows, with a comment
 telling that this isn't really useful yet.

2003-03-05 Wednesday 00:37  massiot

 Bumped up to 0.5.2-test3

2003-03-05 Wednesday 00:36  massiot

 * Made rt-priority a real-time variable (shut-up sam) and misc attempts
   to improve responsiveness under OS X

2003-03-05 Wednesday 00:32  hartman

 * this code should allow for the use of gestures under OS X.

2003-03-04 Tuesday 23:48  gbazin

 * modules/video_output/directx: added support for the mouse gestures interface.

2003-03-04 Tuesday 23:36  hartman

 * grrr debug message in the wild.

2003-03-04 Tuesday 23:08  gbazin

 * modules/audio_filter/resampler/bandlimited.c: small bug-fixes.
 * NEWS: added a note for the fixed MSVC project files.

2003-03-04 Tuesday 22:54  hartman

 * NEWS:
   - added item on fix of 'clicking' sound between stream changes.
   - added item on new bandlimited resampler
 * ALL:
   - bumped up revision number to 0.5.2-test3

2003-03-04 Tuesday 22:12  gbazin

 * include/vlc_common.h: on win32 we include malloc.h (otherwise alloca is
    not declared).
 * modules/access/file.c: use _lseeki64 instead of lseek on win32. This
    should allow seeking on files > 1.2Gb (Hopefully closes #168).

2003-03-04 Tuesday 20:28  gbazin

 * modules/audio_filter/resampler/bandlimited.c: fix bug that was affecting
    quality badly + some clean-up.
    Changed the module priority so it is now the default resampler.

2003-03-04 Tuesday 18:31  hartman

 ALL:
  - the german translation requires two different translations of the word
    File. I added a _ANS() function to the macosx version that gets the
    translation of 1:File and strips the first two characters of this
    alternate translation.
  - updated all .po files to make sure we don't break anything
  - committed the March 1 version of the german translation by Felix
    Kuhne <FK@aenneburghardt.de>

2003-03-04 Tuesday 14:21  massiot

 * Fixed a major bug in the LPCM codec.
 * Moved input_ExtractPES to where it belongs, input_ext-dec.c.

2003-03-04 Tuesday 04:27  gbazin

 * modules/audio_filter/resampler/bandlimited.[ch]: new high-quality
    bandlimited interpolation resampler.
    It is not yet enabled by default because it requires a bit more works
    (not fully stable yet because of buffer overflows under certain conditions).

 * src/audio_output/input.c: the resamplers are now always active (expcept
    in spdif mode).

 * modules/audio_filter/resampler/*: modified the resampler to return the
    input buffer when no resampling is needed.

2003-03-04 Tuesday 00:58  hartman

 * updated dutch strings.

2003-03-04 Tuesday 00:48  massiot

 * mpeg_video is back as a built-in because it is reproduceably faster than
   as a plug-in,
 * Another desperate attempt at fixing OS X lock-ups.

2003-03-03 Monday 20:39  hartman

 * NEWS:
   - added remarks on m-audio fixes and other OSX specific fixes.
   - added improved ID3 detection item
 * README.MacOSX.rtf
   - updated to reflect M-Audio fixes.
 * ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/*:
   - widened the Browse.. button to allow for the german word: durchsuchen.

2003-03-03 Monday 17:49  gbazin

 * ALL: another bunch of fixes for the MSVC build.

2003-03-03 Monday 15:21  gbazin

 * ALL: Finally fixed the MSVC project files.
        Don't include io.h on win32 when not necessary.
        A few build fixes for MSVC.

 * src/misc/win32_specific.c: try to load winsock2 instead of winsock1 when
    present.

2003-03-03 Monday 15:19  massiot

 * Fixed a bug in LPCM codec.
 * Changed an error into a warning.

2003-03-03 Monday 02:38  fenrir

  * fixed play back of  mms://viptvr.yacast.fr/encoderfranceinfo (asf
 header send over multiples packets).

2003-03-02 Sunday 20:07  gbazin

 * configure.ac.in: fixed libid3tag detection.

2003-03-02 Sunday 19:17  fenrir

  * fixed seek flag with broadcasted data.

2003-03-02 Sunday 18:13  fenrir

  * forgot to initialize a variable.

2003-03-02 Sunday 18:12  fenrir

  * fixed a bug.

2003-03-02 Sunday 13:10  gbazin

 * NEWS: started filling in the NEWS file for the 0.5.2 release.

2003-03-02 Sunday 03:47  gbazin

 * configure.ac.in: Removed unused options.
    We also don't link with lrt anymore when using GNU-pth (lrt depends on
    lpthread).

2003-03-02 Sunday 02:35  gbazin

 * src/misc/threads.c, include/vlc_threads_funcs.h: another bunch of fixes
    for the GNU-pth implementation.

2003-03-02 Sunday 00:26  gbazin

 * src/misc/threads.c, include/vlc_threads_funcs.h: fixed gnu-pth thread
    implementation and fixed an initialization bug in libvlc.

2003-03-01 Saturday 22:32  ipkiss

  - about.dfm: the layout of the "About" dialog box is slightly different
  - misc.cpp: toolbar buttons are translated too
  - mainframe.dfm: removed the "Back" and "Eject" toolbar buttons, which
    were rather useless, and added an "Eject disc" menu entry
    Also hid the caption for all the toolbar buttons
  - win32.cpp: Added a config option to display or not these captions
  - preferences.cpp: small modification to support non-advanced mode

2003-03-01 Saturday 20:25  gbazin

 * install-win32, Makefile.am: added the html faq to the win32 package.
 * toolbox, msvc/*: few fixes to the msvc project files generation.
    (compiling plugins won't work yet because there are a few hacks that
     need to be done in order to compile dlls that use the c-runtime)

2003-02-28 Friday 18:23  fenrir

  * try a workaround for BeOS MediaKit files.

2003-02-28 Friday 11:19  massiot

 German translation, courtesy of Felix Kühne <FK@aenneburghardt.de>.

2003-02-28 Friday 05:31  ipkiss

 Internationalization now works for the win32 interface (thanks Gildas).
 I've voluntarily disabled the translation of the toolbar buttons
 strings, because it looks really awful...

2003-02-27 Thursday 23:09  ipkiss

 A few modifications to get closer to i18n in the win32 interface

2003-02-27 Thursday 17:38  gbazin

 * modules/demux/avi/avi.c: compilation fix.

2003-02-27 Thursday 16:07  fenrir

  * httpd: clean up, kick up unused connection (it waits 10s), use select
 to way (instead of a hard coded sleep ;)

2003-02-27 Thursday 14:19  gbazin

 * ALL: i18n updates and fixes.

2003-02-27 Thursday 13:44  marcari

 * updates for the YOPY ports (thx to Sebastien Chaumat !)

2003-02-27 Thursday 09:19  massiot

 * Bumped up revision number to 0.5.2-test2
 * Another attempt at fixing the "VLC is locking up OS X" problem
 * Updated po files

2003-02-26 Wednesday 22:00  asmax

 * compilation fixes...

2003-02-26 Wednesday 20:39  gbazin

 * configure.ac.in, Makefile.am, install-win32: fixed the package-win32 make
    target, and included the locales in the installer script.
 * src/libvlc.c: on win32 we look for the locales in vlc's directory.

2003-02-26 Wednesday 19:15  massiot

 * Added sanity checks for PTS in the future.

2003-02-26 Wednesday 16:47  marcari

 * implementation of the 'autoplay file' button callback
 * when clicking a link : follows the link and don't try to open it
 * yopy does not always sees the '.' and '..', so workaround :
     - all the hidden files are not displayed
     - the '..' directory is each time added by hand

2003-02-26 Wednesday 16:44  marcari

 * small modification for linupy :
     - added a pixmpa directory
     - added a set_usize (how do we maximize cleanly a gtk-window ?)
     - chdir to '.' instead of '/mnt' (should it be '~' or '/' ?)

2003-02-26 Wednesday 14:51  gbazin

 * src/input/input_ext-dec.c: added a few sanity checks that avoid crashing
    badly when we reach the end of the stream (decoder stream).
 * modules/packetizer/mpegvideo.c: fixed a bug that was causing an infinite
    loop when the end of the stream was reached.

2003-02-26 Wednesday 13:38  fenrir

  * ts.c: added "ts" shorcut for ts_dvbpsi.

2003-02-26 Wednesday 05:23  babal

 - link the headphone channel mixer with the math library

2003-02-25 Tuesday 22:09  gbazin

 * modules/codec/libmpeg2.c: fixed pts handling.

2003-02-25 Tuesday 19:26  gbazin

 * configure.ac.in: accidentaly changed AM_GNU_GETTEXT_VERSION to 0.11.5 in
    my last commit.
 * po/Makevars: file needed by newer versions of gettext.

2003-02-25 Tuesday 18:17  fenrir

  * stream_output.* : added a flags variable to sout_buffer_t, allowing to
 mark headers.
  * httpd : added a way to use stream header, and changed the way that
 stream data are stored (allow better client handling).
  * http : use stream header, and add mime type detection by looking
 at file extention (could be improved).
  * ogg: fixed a segfault when removing a stream, mark header.

2003-02-25 Tuesday 18:15  gbazin

 * configure.ac.in, modules/codec/Modules.am, modules/codec/libmpeg2.c:
    Added a simple mpeg video decoder based on libmpeg2. It is mainly useful
    for comparing the performance against our custom decoder as it is currently
    missing some important features like the synchro stuff.

2003-02-25 Tuesday 00:28  fenrir

  * stream_output.c : added a sanity check.

2003-02-25 Tuesday 00:27  fenrir

  * all : ogg/ogm muxer. Yet very limited as it accepts only mp3/a52 audio
 and mpeg4/divx3 video streams. (Created files seem to work only with vlc).

2003-02-24 Monday 18:06  jlj

   * a52tofloat32.c: changed an error into warning.

2003-02-24 Monday 15:40  sigmunau

 updated documentation to reflect that input_AccessReinit should be called
 before, and not after a random seek

2003-02-24 Monday 15:14  fenrir

  * all : fix compilation.

2003-02-24 Monday 13:34  fenrir

  * stream_output.c : fixed compilation.
  * mux/* implemented pf_mux_capacity.

2003-02-24 Monday 12:14  gbazin

 * configure.ac.in, modules/misc/httpd.c: compilation fixes for win32.

2003-02-24 Monday 12:00  fenrir

  * stream_output.h : add a private parameter to sout_instance_t only used
 by src/stream_output.c (avoid changing every time stream_output.h...)

2003-02-24 Monday 11:45  fenrir

  * stream output: fixed name inconsistency, added a new exported
 functions by muxer.
  * wav: fixed a warning.

2003-02-24 Monday 10:26  fenrir

  * asf: fix seek for http.

2003-02-24 Monday 10:18  fenrir

  * wav: proper seek handling. (wav file readable over http).

2003-02-23 Sunday 23:35  fenrir

  * enable httpd(by default) and http.

2003-02-23 Sunday 20:07  fenrir

  * all : declaration of http and httpd.

2003-02-23 Sunday 20:05  fenrir

  * modules/access_output/http : http output.
  * httpd : mini http server (be carefull about security issue...)

2003-02-23 Sunday 19:07  fenrir

  * all : added streaming support for crappy ms video codec into TS.
  - Only vlc is able to read such TS.
  - I use stream id 0xa0 and descriptor 0xa0, I hope there aren't used.
  - DivX1/2/3, wmv1/2, h/i263 should be supported, others could be
    quickly added.
  - Please test.

2003-02-23 Sunday 17:31  sigmunau

 added a demux and decoder for flac files (disabled by default). Works for
 16bit per sample streams, only tested with stereo

2003-02-23 Sunday 06:53  jlj

   * ./modules/gui/macosx/aout.m: M-Audio Revolution fixes.
                                  Dynamic device support.
   * ./modules/gui/macosx: Minor fixes and cosmetic changes.

2003-02-23 Sunday 02:25  massiot

 * Destroy audio-device and audio-channels when no output plug-in is
   available.

2003-02-22 Saturday 17:10  fenrir

  * fix compilation.

2003-02-22 Saturday 15:11  sigmunau

  Fixed seme seeking issues with http access module, fixed an error that
 caused id3v2.4 tags at the end of the file to not work. Added checks to
 avoid seeking off the ends of the file. Should close #325, please confirm

2003-02-21 Friday 23:59  gbazin

 * src/audio_output/input.c: fixed buffer allocation bug that was triggered
    when using "in place" resamplers.

2003-02-21 Friday 17:31  hartman

 DJ's first steps in C and vlc decoders ;)
 * modules/audio_filter/converter/mpgatofixed32.c:
   - fixed an issue that could cause glitches when switching from one stream
     to another. the buffer wasn't entirely getting 0000 because multiple
     channels were not taken into account when doing this.
 * ALL:
   - if float32 then clear the buffer with (float)0

2003-02-21 Friday 16:16  hartman

 * previous commit seems to break some things. reverting.

2003-02-21 Friday 15:17  hartman

 * (float) 0 the buffer if it cannot be decoded and fixed32.
   right Meuuh ??? ;)

2003-02-21 Friday 04:49  hartman

 * VLC.app should show its version in the Finder now
   Meeuh, one more place that needs version string updated before a release.
   might be made automated ?

2003-02-21 Friday 04:22  hartman

 * ignore project Builder user files and backup .nib files.
 * vlc.app changed to VLC.app. cvsignore changed to reflect this.

2003-02-21 Friday 03:45  hartman

 * If the "show advanced" option has been changed and you press the Apply
   button, the preferences window is destroyed and created.

2003-02-20 Thursday 19:10  hartman

 * prefs obey the advanced option. Apply does not as of yet.

2003-02-20 Thursday 17:07  gbazin

 * src/libvlc.h, modules/audio_output: added a global --spdif config option
    to allow using the spdif output by default if available.
 * modules/misc/dummy/*: on win32 added a quiet mode that doesn't display
    a dos command box.
 * modules/control/rc/rc.c: on win32 enabled the echo mode and the
    backspace key.
 * modules/codec/mpeg_audio.c: fixed a sync bug.

2003-02-20 Thursday 02:52  sigmunau

 * include/configuration.h: added a new flag to the configuration stucture to
 indicate wether it is an "advanced" option or not. The goal with this is to
 hide the user from all the strange options that very seldom needs to be
 changed. added an extra argument to all the add_* macros to indicate wether
 the item is advanced or not.
 * src/libvlc.h: added an "show advanced options" config option default
 disabled
 * src/libvlc.c: the advanced options are not listed by vlc --help and
 friends unless --advanced is used
 * modules/gtk/preferences.c: the gtk/gnome preferences dialog don't show
 advanced options unless advanced is set
 all: set the advanced flag to VLC_FALSE or VLC_TRUE for all options, by
 using some common sense. Please check and correct

 note: All interfaces should still work like they used to, see the change in
 modules/gtk/preferences.c to find out how to "hide" options.

 second note: I think I've changed all the modules, but I could not test
 everyone for compilation, expect some broken modules (the fix is to add ",
 VLC_TRUE" as last argument to the add_* I forgot)

2003-02-19 Wednesday 23:08  gbazin

 * modules/audio_output/directx.c: forgot to enable channel re-ordering.
 * modules/audio_output/waveout.c: fixed a crash that happened when probing
    devices supporting S/PDIF. (Should fix 354)

2003-02-19 Wednesday 15:49  hartman

 * increased accuracy of positionslider in OSX. although this will not solve
   all problems this will improve results a bit (by my own experience).

2003-02-19 Wednesday 11:02  gbazin

 * src/libvlc.c: "stty size" won't work on win32 so make ConsoleWidth()
    always return 80.

2003-02-19 Wednesday 00:34  gbazin

 * modules/demux/mp4/*: added FOURCC_dvc (DV - NTSC), FOURCC_dvp (DV - PAL)
    and FOURCC_twos (PCM audio).

2003-02-18 Tuesday 23:40  ipkiss

  * src/misc/modules.c: on Windows, we look for the plugins in vlc's root
    directory when there is no 'plugins' nor 'modules' subdirectory
    (may close #306)

2003-02-18 Tuesday 23:33  gbazin

 * modules/codec/ffmpeg/video.c: got rid of ffmpeg_ConvertPictureI410toI420()
    and use img_convert() from ffmpeg instead. Also added support for the
    PIX_FMT_YUV411P pixel format so we can now decode the DV Quicktime videos
    from media.xiph.org.

2003-02-18 Tuesday 21:54  hartman

 * Only update the info window if it is visible

2003-02-18 Tuesday 20:42  gbazin

 * modules/demux/rawdv.c: added support for DV audio now that ffmpeg can
    decode this.
 * modules/codec/ffmpeg/ffmpeg.h, modules/codec/ffmpeg/ffmpeg.c: added the
    necessary fourcc for DV audio.

2003-02-18 Tuesday 19:49  fenrir

  * mpeg_audio.c: removed some fprintf...

2003-02-18 Tuesday 19:33  titer

  * ipv4.c, libvlc.h: add a --ttl option to set time-to-live when
                      multicasting with the stream output
  * modules/control/: missing cvsignore

2003-02-18 Tuesday 14:13  sam

   * ./mozilla/*: s/VideoLAN Client/VLC/g.

2003-02-18 Tuesday 01:51  fenrir

  * raah, corrected mpeg2-layer3 playback (and streaming). (that my last
 fix had broken :p )

2003-02-18 Tuesday 01:20  hartman

 * Changed an Error message. Many people did not understand:
   no suitable decoder module for fourcc `IV31'
   I have appended:
   VLC probably does not support this sound or video format.

2003-02-18 Tuesday 01:17  massiot

 * Fixed a segfault in the Japanese preferences panel.

2003-02-18 Tuesday 00:47  hartman

 * Fixed the localization issue on MacOSX.

2003-02-18 Tuesday 00:10  jpsaman

 Juglin with dependencies.

2003-02-17 Monday 23:19  gbazin

 * modules/audio_output/directx.c: added multichannel support to the
    directx plugin.
 * modules/audio_output/waveout.c: fixed quad audio channels detection and
    a few misplaced debug messages.
 * configure.ac.in: don't link anymore the rc plugin with the winsock lib.

2003-02-17 Monday 23:03  asmax

 * added a SAP server, with some kludges because the SAP client in vlc
   is not RFC-compliant...

2003-02-17 Monday 19:58  hartman

 * NEWS: added info about the new 0.5.1a release for OSX.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: bumped revision #

2003-02-17 Monday 18:06  massiot

 Fixed the "everything is in Japanese" bug. :p

2003-02-17 Monday 17:56  gbazin

 * modules/control/rc/rc.c: finally fixed the rc interface under win32 by
    using WaitForSingleObject() on the console handle and ReadConsoleInput().
    (Closes #59)

2003-02-17 Monday 15:43  massiot

 Now 0.5.2-cvs (estimated release date in two weeks from now).

2003-02-17 Monday 11:52  hartman

 * Whoops. i forgot to add these files. sorry everyone.

2003-02-17 Monday 10:47  gbazin

 * modules/audio_filter/resampler/linear.c: lowered the priority of the linear
    resampler so the ugly resampler is once again the default. The quality of
    the ugly resampler is currently better than the linear one because of a
    design defect.

2003-02-17 Monday 08:22  sam

   * ./debian/woody-buildpackage: Debian package creation fixes.

2003-02-17 Monday 07:31  sam

   * ./modules/gui/macosx/Modules.am: removed %#$@#!#@ non-existent file!

2003-02-17 Monday 07:15  sam

   * Updated NEWS and ChangeLog.

2003-02-17 Monday 07:00  sam

   * ./src/misc/modules.c: hmpf, Wine does not complain about "/"s in paths,
     but Windoze will certainly do.

2003-02-17 Monday 06:50  sam

   * ./src/misc/win32_specific.c: under Win32 we retrieve the executable's
     directory whenever possible, to use it for the spudec font or to load
     plugins.

2003-02-17 Monday 05:21  sam

   * ./configure.ac.in: fixed PLUGIN_PATH and DATA_PATH settings.

2003-02-17 Monday 01:04  asmax

 * added a sample playlist. All fields must be separated with TABs

2003-02-17 Monday 00:57  asmax

 * libvlc binding for python
 * new VideoLAN RTSP Server, using libvlc.
   Not yet fully rfc2326-compliant, but it works ;)

2003-02-17 Monday 00:32  hartman

 * Added an info panel to show movie info, etc.

2003-02-16 Sunday 18:35  sam

   * ./debian/changelog: updated for 0.5.1.
   * ./debian/control: vlc-glide is now Architecture: i386 only.
   * ./debian/control: vlc-plugin-mad Provides: mp3-decoder.
   * ./debian/rules: the deprecated vlc-* packages have a proper link to
     /usr/share/doc/vlc/.

2003-02-16 Sunday 17:58  ipkiss

  * added an entry for the "subtitles don"t work on windows" problem

2003-02-16 Sunday 17:22  jpsaman

 Updated release numbering for all ipk's

2003-02-16 Sunday 17:21  jpsaman

 Qte video output get is screen size from the QT Embedded environment now. This should produce fullscreen video on other QT Embedded configurations with other screen sizes (greater then 240x320).

2003-02-16 Sunday 15:51  fenrir

  * udp: forgot this file...

2003-02-16 Sunday 15:10  fenrir

  * all: split muxer and access into independant part.

2003-02-16 Sunday 15:03  fenrir

  * Less checks on muxer type.

2003-02-16 Sunday 12:18  fenrir

  * adpcm: added dk3 too.

2003-02-16 Sunday 11:25  sigmunau

 Added support for volume up/down buttons.

2003-02-16 Sunday 10:50  fenrir

  * adpcm: added DUCK 4 variant support. (thx M. Melanson who provided me
 somes samples.)

2003-02-16 Sunday 09:56  fenrir

  * all: fix mpeg2 handling.

2003-02-16 Sunday 02:38  titer

  NEWS: updated BeOS info for 0.5.1

2003-02-16 Sunday 02:29  massiot

 * modules/gui/macosx/open.m: Removed channel server support
 * po/*: Updated po files just before the 0.5.1 release
 * modules/audio_filter/resampler/linear.c: fixed an initialization bug

2003-02-15 Saturday 21:02  jpsaman

 Update iPaq packaging description files for:
 - GPE port
 - Opie port
 - Zaurus
 Updated NEWS file with OPIE port.

2003-02-15 Saturday 14:50  massiot

 * Bumped up revision number to 0.5.1
 * Updated French translation

2003-02-15 Saturday 13:57  hartman

 * if we are paused in fullscreen, show cursor.

2003-02-15 Saturday 05:43  ipkiss

  - fixed a vicious bug

2003-02-15 Saturday 00:07  hartman

 * Should fix an issue with multiple monitors and the hiding of the mousecursor

2003-02-14 Friday 19:22  sam

   * ./src/libvlc.c: the --help output is now word-wrapped (Closes: #142).
   * ./src/libvlc.c: removed unnecessary malloc() calls.
   * ./src/libvlc.c: used {a,b,c} for lists; [a|b|c] is for optional args.

2003-02-14 Friday 18:00  ipkiss

  * exchanged directx' and waveout's capabilities because the latter
    seems to be more reliable

2003-02-14 Friday 14:48  jpsaman

 Fixed deadlock upon unloading qte_main plugin.
 Cleanup of debug messages.

2003-02-14 Friday 14:44  jpsaman

 Tuning package dependencies.

2003-02-14 Friday 14:19  jpsaman

 Updated opie control file for packaging.

2003-02-14 Friday 14:01  jpsaman

 Small improvement.

2003-02-14 Friday 10:50  gbazin

 * modules/audio_output/waveout.c: better buffer management and hopefully
    fixed the S/PDIF output (Still untested though. Anybody here could test
    this? ).

2003-02-13 Thursday 22:53  massiot

 Updated NEWS file for 0.5.1. PLEASE do your share and add what you think is
 meaningful.

2003-02-13 Thursday 18:31  sam

   * ./configure.ac.in: we should look for -lxvidcore, not -lxvid.

2003-02-13 Thursday 15:16  hartman

 ALL:
  - when a new stream is being loaded we select the current title in the
    playlist.
  - Cleaned up some of my previous commited code dealing with updating
    the window title.

2003-02-13 Thursday 03:00  hartman

 *ALL: update the title of the window everytime the stream changes.

2003-02-13 Thursday 02:14  hartman

 * fixed a small bug

2003-02-13 Thursday 01:09  hartman

 * src/playlist/playlist.c:
   - added an intf-change variable. This is set whenever you add or delete
     an item in the playlist. You need to unset it yourself.
 * modules/gui/macosx/intf.?:
   - listen for external playlist changes. update view when playlist changes.
   - activate/deactivate previous and next buttons and menuitems,
     whenever the playlist gets changed.

2003-02-13 Thursday 00:26  jpsaman

 Scripts for building and packaging vlc on Zaurus PDA.

2003-02-13 Thursday 00:26  jpsaman

 Updated control files and buildscript for v0.5.1

2003-02-13 Thursday 00:13  jpsaman

 The Qt Embedded video output plugin is now the preferred plugin when build for Opie or Qte environments.

2003-02-13 Thursday 00:09  jpsaman

 Fixed Qt Embedded video output placing of video stream in window. Also fixed additional spacing between video lines.

2003-02-13 Thursday 00:08  massiot

 * Italien translation, courtesy of Bruno <allevb@tin.it>.

2003-02-12 Wednesday 18:13  jobi

     * modules/access/vcd/vcd.*: fixed a warning

2003-02-12 Wednesday 17:58  jobi

     * modules/access/vcd/vcd.c: in entry points, track number should be read
       as BCD (it should fix #244). Also fixed chapter indexing, so that it
       correspond to the dvd one.

2003-02-12 Wednesday 15:22  hartman

 * modules/gui/macosx/controls.m:
   - fixed the mute and volumeup volumedown when you use them mixed.
 * src/audio_output/intf.c:
   - set "saved-volume" on volume up, volume down.

2003-02-12 Wednesday 14:42  massiot

 Patch courtesy of gibalou :
 * demux/mpeg/ts.c, demux/mpeg/system.c: Proper initialization of
 i_continuity_counter,
 * access/udp.c: Fixed win32 behavior when --mtu is set to a too small value,
 * demux/mpeg/ts.c: Fixed detection of PAT/PMT change.

2003-02-12 Wednesday 03:11  ipkiss

  * compilation fix
  * all files are stored in dos mode, or Borland won't compile some of
    them...

2003-02-11 Tuesday 19:05  massiot

 * 0.5.1 German translation, courtesy of Felix Kühne <FK@aenneburghardt.de>.

2003-02-11 Tuesday 18:20  babal

 - Dolby Surround fix
 - support for 6.1, 7.1, and possibly even 8.1 ! Not so sure though about
   6.1 since there is a doubt about where should be the Rear Center
   coefficient in a decoded sample.
   -> if anybody has an idea or even better a test stream...

2003-02-11 Tuesday 17:19  hartman

 * updated dutch strings

2003-02-11 Tuesday 16:35  hartman

 ALL: - changed vlc.app into VLC.app
 modules/gui/macosx/vout.m: fixed a potential issue with the hiding of the
      mousecursor.

2003-02-11 Tuesday 16:24  hartman

 * Updated ReadMe file
   - some spelling issues
   - remark about the current troubles with sound
   - readded deinterlace remark
   - Added info on multiple screens and sound devices
   - updated the bugreporting URL
   - Changed all occurences of vlc into VLC where appropriate

2003-02-11 Tuesday 12:16  massiot

 * modules/codec/lpcm.c: Attempt at supporting all channel configurations,
 * Support for 7 and 7.1 channel configurations.

2003-02-11 Tuesday 00:50  massiot

 * modules/video_output/sdl.c: Real fix for the aout_Volume* problem.

2003-02-11 Tuesday 00:16  marcari

  * sdl.c : added includes (vlc/aout.h & aout_internal.h)
     => to make volumeup/down compile

2003-02-11 Tuesday 00:04  hartman

 * the window of the video shows the official document icon, filename and
   when command-clicked the path if the stream is a local file.
   this is the expected window behaviour in osx.

2003-02-10 Monday 23:22  massiot

 * I ran --update-po for the last time before the 0.5.1 release (and I
 mean it !)

2003-02-10 Monday 23:18  hartman

 * The dock should no longer be visible in fullscreen mode.

2003-02-10 Monday 22:56  sam

   * ./debian/rules: added code to avoid timestamp skews in the faad tree.

2003-02-10 Monday 22:54  hartman

 * only show last part of of file/url name in the playlist.

2003-02-10 Monday 22:46  sam

   * ./debian/rules: added missing icon in the vlc and wxvlc packages.

2003-02-10 Monday 22:28  hartman

 * fixed the black bar issue with window half/normal/double window sizes in
   OSX. i had forgotten the aspectratio.

2003-02-10 Monday 22:11  sam

   * ./debian/rules: removed Debian kludges that do not really belong to the
     official VLC tree.

2003-02-10 Monday 21:57  sam

   * ./debian/control: added the "VideoLAN" word in the long description so
     that "apt-cache search videolan" returns vlc.

2003-02-10 Monday 21:11  sam

   * ./src/misc/modules_plugin.h.in: when opening the KDE plugin, we first
     dlopen(libstdc++) to avoid dlopen(kde_plugin) from crashing. Call me evil.

2003-02-10 Monday 19:12  sam

   * ./configure.ac.in: disabled the i420_yuy2_mmx plugin when profiling with
     gprof, because gcc is unable to build it without -fomit-frame-pointer
     (Closes: #260).

2003-02-10 Monday 18:43  massiot

 * modules/audio_output/alsa.c: Fixed mono files output (thanks bozo !),
 * Minor fixes.

2003-02-10 Monday 17:53  sam

   * ./src/misc/threads.c: fixed compilation of the gprof wrapper trick.
     (partially fixes #260)

2003-02-10 Monday 16:23  titer

   Move the messages update function to another thread. It prevents it from
  freezing the main window (cannot seek anymore, etc).

2003-02-10 Monday 01:41  hartman

 * another proof that the copy command in IE for Mac sucks. stupid stray chars.

2003-02-10 Monday 01:16  massiot

 * Enabled the gestures module by default,
 * Run --update-po.

2003-02-10 Monday 01:16  hartman

 * restored old deinterlace menu. The on the fly code does not work as long
   as the vout.m issue exists. but this is better then the current 'dummy'
   code we have.

2003-02-10 Monday 00:42  sigmunau

  *: a new mouse gestures interface, currently supporting back, forward, quit
 fullscreen and a nice debug message when you draw a clockwise square. Video
 output modules needs to be modified for this to work, but it should be minor
 in modules supporting dvd navigation.

 btw: it should be easy to add new gestures, ideas appreciated

2003-02-09 Sunday 20:28  massiot

 * Minor typographic corrections,
 * Fixed a segfault in the Preferences window.

2003-02-09 Sunday 18:10  stippi

 modules/gui/beos/PreferenceWindow.h/.cpp

 	- added settings for screenshot path and image format

 	- removed "Save" button, added "Cancel" and "Revert" buttons

 	- added revert functionality

 	- changed class design for cleaner functionality,
 		separated ApplyChanges() into more functions
 		to have finer control

 	- added more error checking and fixed memory leaks
 		(config_GetPsz() returns char*, not const char*!)

 	- all settings are now correctly saved and restored

 	- some more cosmetic changes

 modules/gui/beos/InterfaceWindow.h/.cpp

 	- updated vlc way of saving settings to be on par with BeOS way
 		and made it selectable in the code which way is used.
 		However, the VideoSettings are still only savable in
 		the BeOS way.

 	- if dvd menus are used, the navigation menu enables a
 		"Goto Menu" item. Unfortunately, I don't see a clean
 		way to really detect the usage of dvd/dvdold in the
 		currently playing stream. I wouldn't want to see
 		if a playlist item has "dvd:" or "dvdold:" prepended
 		at each interface update.

2003-02-09 Sunday 14:25  fenrir

  * sub.c : begun clean up

2003-02-09 Sunday 13:23  sam

   * ./configure.ac.in: fiddled with linking flags for the KDE plugin.

2003-02-09 Sunday 13:21  sam

   * ./debian/control: made lintian happier with package descriptions.
   * ./debian/rules: added extra touch calls to prevent autobuilders from
     launching autoconf/automake.

2003-02-09 Sunday 13:19  sam

   * ./modules/video_filter/transform.c: fixed a stupid typo preventing
     initialization of the plugin.

2003-02-09 Sunday 13:18  sam

   * ./modules/gui/kde/preferences.cpp: fixed KDE 3.1 compilation.

2003-02-09 Sunday 12:51  titer

  Simplified volume functions

2003-02-09 Sunday 03:01  ipkiss

  * modules/gui/win32/mainframe.cpp: simplifications using the new
    aout_Volume* API

2003-02-09 Sunday 02:56  massiot

 Fixed GTK compilation.

2003-02-09 Sunday 02:50  massiot

 * Added Step forward/Step backward feature.

2003-02-09 Sunday 02:13  massiot

 * aout_Volume* functions now do their own vlc_object_find() on the
   audio output. Consequently, the first argument can be any vlc_object_t.
 * modules/gui/macosx/*: greatly simplified volume functions ; you can now
   call aout_Volume* even when there is no audio output, and the volume
   will be saved for later use.

2003-02-08 Saturday 23:43  massiot

 Fixed previous commit.

2003-02-08 Saturday 23:20  massiot

 * src/extras/libc.c: New vlc_wraptext function,
 * modules/gui/macosx/prefs.m: Wrap tool tips to 60 characters,
 * src/input/input.c: Correctly parse MRL of the type
   /Volumes/toto:titi/coincoin.mpg (closes #238 & #186)
 * modules/access/*: Changed some msg_Warn into msg_Err
 * po/fr.po: Updated French translation,
 * configure.ac.in: Re-enabled Swedish translation,
 * Makefile.am: Do not recompile everything everytime someone changes a .h

2003-02-08 Saturday 22:43  hartman

 * window half/normal/double Size commands
   - black bar issue is not fixed. i removed 'myfix'

2003-02-08 Saturday 21:32  massiot

 * modules/codec/mpeg_video/parser.c: Do not stop decoding on SEQUENCE_END_CODE
 * modules/gui/macosx/intf.m: VLC _m_edia _p_layer.

2003-02-08 Saturday 20:14  asmax

 * fixed the encoding
   (Meuuh you can re-enable swedish ;)

2003-02-08 Saturday 20:10  massiot

 * Fixed misc typos in strings,
 * Updated po files,
 * New --buggy-psi options, to supports streams which don't update the
 continuity counter in their PSI packets (walkenizes #sam).

2003-02-08 Saturday 18:26  massiot

 * configure.ac.in: Disabled Swedish translation since it doesn't use the
   right charset,
 * Implemented localization for audio-channels and video-device variables.

2003-02-08 Saturday 00:36  marcari

 glibc 2.1 port for linupy (linux on a yopy pda)

 * modules/access/*.c : added include <sys/time.h> for struct timeval
 * ipv6.c : ipv6 is not fully supported under glibc2.1 (especially multicast)

 VLC rulz on Yopy !

2003-02-07 Friday 22:30  hartman

 * Resize window fixes
   - we should not resize the window in fullscreen
   - fixed the black bars bug in half and double size
   - position of top left corner should not change
   - more efficient code

2003-02-07 Friday 21:49  alexis

 - FAQ : the first question of the "troubleshooting" section now tells the
 user to delete VLC's configuration file.

2003-02-07 Friday 21:23  hartman

 * added half, normal and full size videowindow menuitems.
   there seems to be a bug though somewhere. you end up with black bars in
   half and double size.

2003-02-07 Friday 19:43  ipkiss

  * Fixed the "RichEdit line insertion error" bug (closes #246)
  * Added a popup menu to copy log messages to the clipboard

2003-02-07 Friday 17:51  massiot

 Fixed a buffer leak with slice-I streams (thanks sam).

2003-02-07 Friday 10:17  yves

 - added missing buildrequires
 - now autodetect on wich system we are:
   rpm --rebuild should work out of box on rh and previous mdk systems.
 - NO buildrequires on rh-like system. rh does not have a devel policy
 - more redhat stuff: NO menu (i do not know their "propriatory" menu system yet)

2003-02-07 Friday 02:32  hartman

 * grrr changed the project file by accident. revert

2003-02-07 Friday 02:31  hartman

 * When you push backspace or delete in the playlist, it removes the selected item.

2003-02-07 Friday 02:22  fenrir

  * ffmpeg/audio : removed an old error (anyway it was harmless).
  * mp4 : removed a bad initialisation. Erased all ending spaces.
  * mpeg/audio : send i_rate to decoder (not yet usefull but ...)

2003-02-07 Friday 02:09  sam

   * ./src/interface/interface.c: interface variable is "intf", not "interface".

2003-02-07 Friday 01:29  sam

   * ./include/interface.h: grmbl, I forgot VLC_EXPORT did not support multiline
     declarations. Should fix that later.

2003-02-07 Friday 01:26  sam

   * ./modules/access/dvdplay/demux.c: fixed a minor warning.

2003-02-07 Friday 00:59  sam

   * ./modules/access/dvdplay/demux.c: the dvdplay plugin no longer sets the
     "interface" variable to "dvdplay" (Closes: #178, #210, and probably a
     bunch of others).
   * ./src/interface/interface.c: added a safety check to circumvent the bug,
     allowing a smooth upgrade.

2003-02-07 Friday 00:55  massiot

 Fixed interface freezes in the OS X interface.

2003-02-07 Friday 00:01  sam

   * ./src/misc/darwin_specific.m: completed our list of known languages and
     made code simpler to read.

2003-02-06 Thursday 22:56  sam

   * ./debian/rules: build the SLP plugin by default.

2003-02-06 Thursday 22:39  titer

  Tuned BeOS priorities for a better playback on low-end computers.

2003-02-06 Thursday 16:14  massiot

 Fixed AFMT_AC3 and AFMT_S16_NE handling.

2003-02-06 Thursday 14:47  hartman

 * Changed a failed DecompressSequenceFrameS error into a warning. We don't
   want to bug users with this when we resize a video.

2003-02-06 Thursday 04:22  sam

   * ./modules/misc/screensaver.c: screen saver disabling plugin; runs a thread
     in the background to disable xscreensaver the jwz way (Closes: #58).

     It's an interface plugin, trigger with "--extraintf screensaver".

2003-02-06 Thursday 03:37  sam

   * ./configure.ac.in: libmad and liba52 need to be explicitely disabled,
     otherwise we fail with an error when they are not found.

2003-02-06 Thursday 01:45  sam

   * ./doc/faq/faq.sgml: updated config file location for OS X.

2003-02-05 Wednesday 23:48  hartman

 * Changed the wrong property in my recent commit. FIXED

2003-02-05 Wednesday 23:11  sam

   * ./modules/gui/gtk/gtk_callbacks.c: fixed a bug that caused crashes when
     doing fullscreen or volume up from the popup menu.

2003-02-05 Wednesday 17:23  hartman

 * added a "Open CrashLog" button to the messages window in OSX.

2003-02-05 Wednesday 15:58  hartman

 * Added AppleScript support
 * We can now handle mms:// etc on a systemwide level.
   - No way to set this other then trough Explorer Prefs at the moment

2003-02-05 Wednesday 03:31  hartman

 * More support for handling URLs. Still need to create the scriptsuite.

2003-02-05 Wednesday 02:36  hartman

 * Added a Next and Previous item to the dockmenu
 * Prelimanary support for making VLC the handler of ftp http mms and udp
   URLs (on a systemwide level)

2003-02-04 Tuesday 22:01  jpsaman

 Closes bug #170

2003-02-04 Tuesday 21:45  hartman

 * We released an array that was in a autorelease pool. That's not necesarry

2003-02-04 Tuesday 12:51  massiot

 * modules/codec/mpeg_video/*: Support for Slice-I (aka intra slice refresh)
   streams.

2003-02-04 Tuesday 12:07  massiot

 * modules/demux/mpeg/*: Fixed an uninitialized variable with TS streams
   (thanks gibalou !).

2003-02-04 Tuesday 11:07  massiot

 * modules/access/*: Fixed compilation problems with "struct timeval".

2003-02-03 Monday 22:47  sam

   * ./bootstrap: we don't fail if gettext is too old and there is no
     ABOUT-NLS in the tree.

2003-02-03 Monday 22:38  massiot

 Now developing 0.5.1-cvs.

2003-02-03 Monday 20:45  sam

   * ./debian/woody-buildpackage: enabled build-deps checking.

2003-02-03 Monday 18:18  stippi

 modules/gui/beos/InterfaceWindow.h/.cpp

 	- improved file loading:
 		- contents of sub folders can optionally be loaded too
 		- files are loaded in expected order from filepanel
 			_and_ drag'n'drop
 		- file panel accepts folders to load
 	- saving of playlist's display mode
 	- added updating of interface when playlist is modified
 		while nothing is playing
 	- added compatibility for SoundPlay's drag'n'drop message format

 modules/gui/beos/ListViews.h/.cpp

 	- implemented reversal of playlist
 	- list can display full path or file name only
 	- drag'n'drop interaction with SoundPlay

 modules/gui/beos/MediaControlView.cpp

 	- cosmetic fix

 modules/gui/beos/PlayListWindow.h/.cpp

 	- added reverse sort command to edit menu
 	- added view menu, to allow the user to display paths
 		or only names in the list

2003-02-03 Monday 17:07  alexis

 Small fix.

2003-02-03 Monday 12:25  alexis

 Article format, instead of book format.
 Few typos.

2003-02-03 Monday 03:26  sam

   * ./debian/rules: more Debian Woody fixes. Grrrr!

2003-02-03 Monday 02:32  sam

   * ./modules/visualization/xosd/xosd.c: Woody compilation fixed.
   * ./debian/woody-buildpackage: sed syntax fixed.

2003-02-03 Monday 01:56  sam

   * ./share/Makefile.am: we weren't distributing the font!

2003-02-03 Monday 01:43  sam

   * Updated ChangeLog and pofiles.

2003-02-03 Monday 01:39  sam

   * ./modules/audio_output/alsa.c: Woody ALSA compilation fix.

2003-02-03 Monday 01:23  sam

   * ./debian/control: missing build dependencies.

2003-02-03 Monday 01:00  massiot

 German translation, croutesy of Felix Kuehne.

2003-02-03 Monday 00:11  massiot

 Worked around a bug with the Screens menu and localization.

2003-02-02 Sunday 21:59  hartman

 * OSX version can open .asx files. so we need to let the os know that ;)

2003-02-02 Sunday 21:21  sam

   * ./include/vlc_config.h: changed "VideoLAN Client" into VLC.

2003-02-02 Sunday 21:07  sam

   * ./debian/vlc.desktop: removed unnecessary file.

2003-02-02 Sunday 21:01  sam

   * ./debian/Makefile.am: added woody-buildpackage, removed *.woody.

2003-02-02 Sunday 21:01  sam

   * ./debian/changelog: updated Debian changelog.

2003-02-02 Sunday 20:45  sam

   * ./ChangeLog: used cvs2cl (./cvs2cl.pl --hide-filenames --no-wrap -w
     --stdout | sed -e 's/^[^0-9]/ /' -e 's/^  *$//' | uniq).

2003-02-02 Sunday 19:57  sam

   * ./debian/woody-buildpackage: finished Woody build script.

2003-02-02 Sunday 19:12  sam

   * ./po/de.po: german translation updates from Felix Kühne.

2003-02-02 Sunday 19:09  jpsaman

 Added ffmpeg package to list of depenencies.

2003-02-02 Sunday 18:18  sam

   * ./debian/woody-buildpackage: added a script to build .debs on woody.

2003-02-02 Sunday 17:08  sam

   * ./NEWS: a few updates from gibalou.

2003-02-02 Sunday 12:29  stippi

 cosmetic fix (drop mark would reappear if SHIFT was pressed)

2003-02-02 Sunday 10:17  titer

  '--demuxdump-file -' dumps to standard output.
   (useful for operating systems which do not have '/dev/stdout'
    nor mkfifo)

2003-02-02 Sunday 05:17  sam

   * renamed debian/README into debian/README.Debian.

2003-02-02 Sunday 05:07  sam

   * ./debian: more packaging stuff.

2003-02-02 Sunday 05:01  sam

   * ALL: removed "VideoLAN Client" in favour of "VLC media player" in a lot
     of places.

2003-02-02 Sunday 04:38  sam

   * ./doc/vlc.1: updated manpage.

2003-02-02 Sunday 04:08  sam

   * ./po/it.po: ultimate italian fixes by Bruno Vella.

2003-02-02 Sunday 04:03  sam

   * ./debian/*: tuned packaging.

2003-02-02 Sunday 03:58  massiot

 * Bumped up revision number to 0.5.0

2003-02-02 Sunday 03:11  sam

   * ./po/it.po: updated italian translation, courtesy of Bruno Vella.

2003-02-02 Sunday 02:37  sam

   * ./po/*: more interface strings harmonization.

2003-02-02 Sunday 02:23  jobi

     * NEWS: readded deleted entries, sorry about that.

2003-02-02 Sunday 01:57  jobi

     * NEWS: VCD entry points and iso files
     * include/audio_output.h: more proper freebsd compilation fix
     * modules/audio_output/oss.c: if /dev/dsp is used, use another output.

2003-02-02 Sunday 01:49  massiot

 * README.MacOSX.rtf: Typos
 * include/vlc_threads.h: Lowered OS X priorities to avoid locking the machine
 * modules/access/dvdread/input.c: Fixed a long-standing bug when switching
   titles.

2003-02-02 Sunday 01:46  sam

   * ./po/*: more s/vlc/VLC/ changes.

2003-02-02 Sunday 01:29  sam

   * ./src/libvlc.h: changed "vlc" into "VLC" in libvlc's help messages. More
     to come.

2003-02-02 Sunday 01:05  sam

   * ./NEWS: a few updates (translations, mozilla plugin).

2003-02-02 Sunday 00:46  massiot

 * modules/gui/macosx/*: Fixed localization bugs
 * po/fr.po: Updated French translation
 * extras/MacOSX/vlc.pbproj/project.pbxproj: Version is 0.5.0

2003-02-02 Sunday 00:41  yves

 - ready for general 0.5.0 consumption
 - activated dvb (with a special workaround for mdk kernel), dv and libdvdplay plugin
 - more wxwindow stuff.
 - fixes here and here.
 - added more doc files like NEWS, THANKS etc.
 - still lacking mozilla plugin :(

2003-02-02 Sunday 00:39  sam

   * ./src/libvlc.c: atomic initialization of the main module in VLC_Init()
     instead of VLC_Create(), so that its strings are translated (was #92).

2003-02-02 Sunday 00:28  sigmunau

  NEWS: we did support .mp3 in 0.4.x. Added that we support .asx and .html
 with embedded wmp

2003-02-02 Sunday 00:15  sam

   * ./AUTHORS: added Garf and updated entries.

2003-02-02 Sunday 00:08  sam

   * ./INSTALL.libmad: removed that file; if one does not know how to build
     and install a library, he'd better not fiddle with VLC.

2003-02-01 Saturday 23:21  ipkiss

  * modules/gui/win32/win32.cpp: fixed a stupid bug (closes #155)
  * modules/gui/win32/menu.cpp: removed some ^M chars

2003-02-01 Saturday 23:03  babal

 - Win32 preference dialog box

2003-02-01 Saturday 22:39  ipkiss

  * Win32 port

2003-02-01 Saturday 22:24  titer

  BeOS news.

2003-02-01 Saturday 22:23  sam

   * ./debian/control.woody, ./debian/rules.woody: placeholders for Debian
     woody specific builds. Will fill them in a moment.

2003-02-01 Saturday 22:20  massiot

 Tarkin, Tremor and Theora are only available when compiling from sources.

2003-02-01 Saturday 22:10  massiot

 Forgot Tremor.

2003-02-01 Saturday 22:04  jpsaman

 Checking in packageing files.

2003-02-01 Saturday 21:59  jpsaman

 Updated for iPaq port

2003-02-01 Saturday 21:34  massiot

 * configure.ac.in: worked around an ffmpeg-cvs detection problem on OS X
 * Makefile.am: fixed FAQ, THANKS and NEWS handling in package* rules
 * src/misc/darwin_specific.m: more generic language detection
 * NEWS: summarized changes from 0.4.6 to 0.5.0

2003-02-01 Saturday 20:04  sam

   * ./po/it.po: a few corrections.

2003-02-01 Saturday 19:54  sam

   * ./mozilla/vlcshell.cpp: fixed the Mozilla plugin's target drawable.
   * ./modules/video_output/directx/directx.c, ./modules/video_output/x11/x11.c,
     ./modules/video_output/x11/xvideo.c: removed the drawable configuration
     variables which are now deprecated.

2003-02-01 Saturday 19:53  sam

   * ./src/libvlc.c: fixed a segfault on exit, libvlc needs to be
     detached before being destroyed.

2003-02-01 Saturday 19:41  sam

   * ./NEWS: added an empty NEWS file.
   * ./bootstrap: now that we have the NEWS file, --foreign is no longer
     required when calling automake.

2003-02-01 Saturday 17:33  massiot

 Updated Italian translation courtesy of Bruno Vella.

2003-02-01 Saturday 17:20  massiot

 sam p0\/\/3r !

2003-02-01 Saturday 13:01  stippi

 Changes done since Feb 28 2003:

2003-02-01 Saturday 12:48  alexis

 * common/stylesheet-print-noicones.dsl : stylesheet for PS/PDF/RTF output
 * faq/Makefile: added PS/PDF/RTF targets
 * faq/faq.sgml: SGML enhancements and few modifications

2003-02-01 Saturday 10:40  babal

 - fixed a compilation issue with C compilers

2003-02-01 Saturday 02:21  fenrir

  * asf : trying to fix pts handling.

2003-01-31 Friday 23:35  sam

   * ./debian/vlc.docs, ./Makefile.am: added THANKS to the distributed files.

2003-01-31 Friday 23:34  sam

   * split AUTHORS into AUTHORS and THANKS, removed STATUS which wasn't
     kept up to date (and almost everything advertised in it was done).

2003-01-31 Friday 19:53  lool

   * removed FAQ pointing to doc/faq/ not to confuse users (thanks sam)

2003-01-31 Friday 17:56  sam

   * ./configure.ac.in: I was told some versions of mingw32 support neither
     -mms-bitfields nor -fnative-struct.

2003-01-31 Friday 16:24  zorglub

 * doc/faq/Makefile: added "text" and "clean" targets.
 * doc/faq/faq-alone.sgml: Fixed build issues, added FDL, and legal notice.
 * doc/faq/faq.sgml: Fixed build issues, improved the SGML translation.
 * doc/faq/fdl.sgml: text of the FSF Free Documentation License.

2003-01-31 Friday 14:52  sam

   * ./src/libvlc.c: strings in the main module are now translated (fixes: #92).

2003-01-31 Friday 12:38  sam

   * ./po/de.po: full german translation, courtesy of Felix Kühne.

2003-01-31 Friday 12:23  massiot

 Fixed a major bug of people who like to declare vars "unsigned int"
 when they can be -1 :p (why haven't we spotted that before ??).
 Closes #152.

2003-01-31 Friday 11:54  sam

   * ./modules/gui/gtk/gtk_callbacks.c: fixed a crash when selecting fullscreen
     while there was no input (Closes: #153).

2003-01-31 Friday 11:51  sam

   * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: moved the
     Audio and Subtitles submenus into the Audio and Video menus.

2003-01-31 Friday 11:14  sam

   * ./src/audio_output/mixer.c: minor cosmetic fix in output message.

2003-01-31 Friday 10:51  sam

   * ./modules/gui/gtk/gnome.c, ./modules/gui/gtk/gtk.c: fixed uninitialized
     variables.

2003-01-31 Friday 10:48  sam

   * ./configure.ac.in: complain when ALSA headers are not found but
     --enable-alsa was specified.

2003-01-31 Friday 07:45  titer

  Minor GUI fixes

2003-01-31 Friday 03:53  jlj

   * ./modules/gui/macosx: Defeated some deadlocks.
                           World domination ... is at hand.

2003-01-30 Thursday 22:35  babal

 - fixed a segfault occuring when the preference dialog box was destroyed

2003-01-30 Thursday 21:59  sam

   * ./src/misc/configuration.c: when an invalid short option is found, use
     the optopt variable instead of the current value of optind (Closes: #148).

2003-01-30 Thursday 20:14  gbazin

 * src/video_output/video_output.c: we were still using free instead of
    vout_DestroySubPicture in one place.
 * modules/codec/spudec/parse.c: we now make sure we don't add several times
    the same highlight callback.

2003-01-30 Thursday 19:07  lool

   * converted FAQ to SGML
   * SGML sucks, this is absolutely ugly, please reread

2003-01-30 Thursday 17:36  gbazin

 * modules/codec/spudec/spudec.c, modules/codec/spudec/text.c: fixed the
    race condition between spudec and vout. This patch may not be all that
    nice because it does a lot of vlc_object_find() but it is the only
    solution I've been able to come-up with.
    Oh and I didn't fix the memory leak caused by the font when using text
    subtitles. If the vout changes while the spudec is running then we don't
    unload this font.

2003-01-30 Thursday 16:46  hartman

 * modules/gui/macosx/intf.m
   - fixed a warning about parentheses

2003-01-30 Thursday 16:39  hartman

 * ./modules/gui/macosx/intf.m:
   - we close the video window after a video is done playing.

2003-01-30 Thursday 13:38  gbazin

 * src/video_output/vout_subpictures.c: fixed a few race conditions that
    were triggered by the dvdplay plugin.

2003-01-30 Thursday 11:44  massiot

 Keep -O2 in --disable-optimizations mode, cause it can't harm...

2003-01-30 Thursday 03:16  gbazin

 * modules/codec/mpeg_video/headers.c: fixed non-initialized variable in
     PictureDisplayExtension(). This does also fix problems with the dvdplay
     plugin and menus with still pictures.

2003-01-30 Thursday 01:39  massiot

 * modules/codec/mpeg_video/headers.c: more checks in PictureDisplayExtension,
 * modules/gui/macosx/intf.m: one of the threads wasn't in real-time
   priority !!!
 * include/vlc_threads.h: tuned up OS X priorities

2003-01-29 Wednesday 22:54  fenrir

  * asf : more sanity check for broken files.

2003-01-29 Wednesday 19:14  hartman

 intf: the slower/faster buttons should not be continious.
 project: the source files were included in the Resources. No more.

2003-01-29 Wednesday 19:10  sam

   * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: we disable
     the title and chapter dialogs when DVD menus are activated.

2003-01-29 Wednesday 18:28  gbazin

 * modules/gui/gtk/*: changed the disc open dialog to allow for title and
    chapter 0. When title or chapter 0 are selected, they do not appear in
    the MRL.

2003-01-29 Wednesday 18:07  massiot

 New nl translation, courtesy of dj hartman.

2003-01-29 Wednesday 16:55  sam

   * ./modules/access/dvdplay/intf.c: added a sanity check upon initialization
     in case the input dies before we even spawned our dvdplay interface
     (Closes: #141).

2003-01-29 Wednesday 16:15  sam

   * ./po/ja.po: updated japanese translations, courtesy of KKI.

2003-01-29 Wednesday 15:03  gbazin

 * include/vlc_threads.h: VLC_THREAD_PRIORITY_VIDEO equals
     THREAD_PRIORITY_BELOW_NORMAL under Win9x/Me.

2003-01-29 Wednesday 13:59  gbazin

 * modules/demux/ogg.c: bug fix when switching between vorbis channels.

2003-01-29 Wednesday 12:41  jlj

   * ./modules/gui/macosx/controls.m: fixed bug in my previous commit.

2003-01-29 Wednesday 12:34  jlj

  * core/playlist: PLAYLIST_PAUSE, playlist_IsPlaying, playlist_IsEmpty
  * modules/gui/macosx: started getting rid of p_intf->p_sys->p_input
                        and using p_playlist->p_input instead.

2003-01-29 Wednesday 12:17  gbazin

 * modules/access/dvdplay/access.c: fixed subtitles with the dvdplay plugin
     (closes #122).
 * modules/access/dvdplay/es.c: check "audio-channel" and "spu-channel" user
     settings (closes #122).

2003-01-29 Wednesday 10:54  sam

   * ./modules/audio_output/arts.c: fixed aRts output and removed debug
     messages that were lying around.

2003-01-29 Wednesday 01:02  titer

  enabled changing filters on the fly

2003-01-29 Wednesday 00:55  massiot

 Not sure the buffer was large enough.

2003-01-29 Wednesday 00:38  fenrir

  * mpeg_audio.c : due to mpeg 2.5, max frame size is twice as I though.

2003-01-28 Tuesday 23:52  sam

   * ./modules/audio_output/esd.c: fixed esd audio output (Closes: #139).

2003-01-28 Tuesday 23:03  sam

   * ./src/video_output/video_output.c: don't try to change aspect ratio if it
     has been overriden by the user (Closes: #79).
   * ./modules/access/dvd/access.c: renamed "dvd-css-method" to "dvdcss-method".
   * ./modules/*: fixed a few capitalization issues.

2003-01-28 Tuesday 22:18  gbazin

 * modules/gui/wxwindows/open.cpp: minor bug-fix + allow user to select
    title 0 when using the dvdplay plugin (title 0 = menu).

2003-01-28 Tuesday 22:17  fenrir

  * mpeg_audio.c : fixed a stack corruption. fprintf 1 - gdb 0.

2003-01-28 Tuesday 22:08  sam

   * ./modules/gui/kde/kde.cpp: the interface rc file defaults to the one in
     DATA_PATH.
   * ./modules/gui/wxwindows/*.cpp: fixed minor warnings.

2003-01-28 Tuesday 22:06  sam

   * ./debian/*: activated the wxwindows plugin.

2003-01-28 Tuesday 21:02  sam

   * ./toolbox: made a few glade-generated strings non-translatable.
   * ./po/*: fixed spelling errors in pofiles.

2003-01-28 Tuesday 18:14  sam

   * ./debian/control: removed versioned dependency on libxosd.
   * ./debian/rules: added comments here and there.

2003-01-28 Tuesday 18:11  sam

   * ./bootstrap, ./toolbox: moved the Glade bugs fixing to toolbox, now
     use "./toolbox --fix-glade" to generate and fix source files.
   * ./include/vlc_common.h: fixed compilation warnings.

2003-01-28 Tuesday 17:57  sam

   * ALL: fixes for various compilation warnings and spelling errors.

2003-01-28 Tuesday 17:52  sam

   * ./modules/visualization/xosd/xosd.c: fixed compilation with version 2 of
     libxosd.

2003-01-28 Tuesday 17:47  hartman

 ALL: updated deinterlace to work on the fly. there is a but in vout.m:433
      jlj will need to fix that.
      there is no feedback to the interface as of yet

2003-01-28 Tuesday 16:59  hartman

 * ./modules/gui/macosx/vout.m: removed the resizebar. too much of a hack
 * ./README.MacOSX.rtf: updated deinterlace and resize info

2003-01-28 Tuesday 16:05  massiot

 We are now able to parse :
 dvdread:/Volumes/to@to/VIDEO_TS@1,1
 dvdplay:/Volumes/to@to/VIDEO_TS@1,1
 Closes #77

2003-01-28 Tuesday 15:49  sigmunau

 fixed another possible crash

2003-01-28 Tuesday 15:41  gbazin

 * modules/codec/vorbis.c: fixed parsing of vorbis comments. (closing #69)

2003-01-28 Tuesday 15:00  fenrir

  * gtk: fixed 'cannot find file.xpm'.
  * wxwindows: compilation fix for older wxwindows header.

2003-01-28 Tuesday 14:07  gbazin

 * src/video_output/video_output.c: oops, fixed a bug I just introduced.

2003-01-28 Tuesday 14:03  gbazin

 * modules/video_filter/deinterlace/deinterlace.c,
   modules/video_output/x11/xcommon.c: modified debug messages.

2003-01-28 Tuesday 13:30  gbazin

 * src/video_output/video_output.c, include/video_output.h: modified vout_Request() to take into account the
 filter chain. If the filter chain has changed, a new vout will be respawned allowing to switch filters on
 the fly. This is still a bit hacky but to do it nicely will require implementing inheritance in object
 variables.
 * modules/video_filter/deinterlace/deinterlace.c: added a "deinterlace-mode" object variable to allow
 switching deinterlace modes on the fly.
 * modules/gui/gtk/menu.c: updated the deinterlace menu.
 * include/vlc_common.h: compilation fixes for gtk_main and gnome_main.

2003-01-28 Tuesday 13:23  massiot

 Do not show the channels menu when the input stream is mono, closing #117.

2003-01-28 Tuesday 11:05  titer

  * sanity Lock()s

2003-01-28 Tuesday 09:17  titer

  * beos/* : do not forgot to destroy the Messages window, so vlc does
             lock when exiting
  * missing cvsignores

2003-01-28 Tuesday 09:11  yves

 - new video_output/vout_encoder plugin.
 - new demux/a52sys plugin.

2003-01-28 Tuesday 04:46  sam

   * ./modules/audio_output/esd.c: fixed a stack space leak (Closes: #113).

2003-01-28 Tuesday 04:11  sam

   * ./include/vlc_common.h: removed duplicate macro definitions in the gtk
     and gnome plugins.

2003-01-28 Tuesday 03:53  sam

   * ./configure.ac.in: first step in the world domination roadmap, setting
     the CVS version to -test4.

2003-01-28 Tuesday 03:03  sam

   * ./po/*: spelling fixes.

2003-01-28 Tuesday 02:50  hartman

 ALL: the next and previous buttons first work through the chapters. Only
      then they turn to the playlist.

2003-01-28 Tuesday 01:22  sam

   * ./configure.ac.in: fixed -lm flags for the distort and adjust plugins.

2003-01-28 Tuesday 00:48  massiot

 Additional check on p_first_byte_to_mix.

2003-01-28 Tuesday 00:42  sam

   * ./bootstrap: removed usage of $^ which is not compatible with BSD or
     Solaris make.

2003-01-27 Monday 23:50  sam

   * ./src/audio_output/output.c: fixed return with a value in function
     returning void.

2003-01-27 Monday 23:42  sam

   * ./include/vlc_common.h: if we don't have strndup but gnome.h defines it
     anyway, do not provide our custom version.

2003-01-27 Monday 22:44  ipkiss

  * Fixed a segfault (closes #132)

2003-01-27 Monday 22:35  jobi

     * ALL: some FreeBSD compilation fixes. gnome plugin still won't compile,
            at least on FreeBSD 5.0

2003-01-27 Monday 18:41  ipkiss

  * src/misc/objects.c: vlc_list_find now returns a (vlc_list_t *)
    instead of a (vlc_list_t); this modification was needed because BCB
    doesn't like at all when a function (compiled with mingw32) returns
    a struct...
  * ALL: modified the files to take this change into account
  * modules/gui/win32/menu.cpp: enabled the "Add interface" command

2003-01-27 Monday 17:28  fenrir

  mms: another memory leak
  avi: comment out a debug statment.

2003-01-27 Monday 11:29  titer

  Disabled DVD menus by default for 0.5.0

2003-01-27 Monday 02:42  ipkiss

  * The space bar is a hotkey for pause/resume.

2003-01-27 Monday 01:08  jlj

   * ./modules/gui/macosx/intf.[mh]: Fixed message panel memory leak. Textview
                                     is now updated on panel BecomeKey.
   * ./modules/gui/macosx/prefs.m: Decreased width of prefs panel.

2003-01-26 Sunday 23:57  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: input_Seek() was incorrectly triggered while playing some
 DVD menus.

2003-01-26 Sunday 19:31  babal

 - menu checkbox outside of title/chapter groupbox

2003-01-26 Sunday 19:02  babal

 - buttons are left aligned and their size comforms to Windows XP visual
   guidelines

2003-01-26 Sunday 17:37  gbazin

 * modules/audio_output/waveout.c: multichannel and spdif support (spdif untested).

2003-01-26 Sunday 15:53  hartman

 * Added myself to list of authors of these files. i had forgotten to do this.

2003-01-26 Sunday 15:52  fenrir

  * all: raah, clean up glade output.

2003-01-26 Sunday 15:49  fenrir

  * added stream output dialog box.

2003-01-26 Sunday 14:37  gbazin

 * src/audio_output/input.c, src/audio_output/mixer.c: Fixed an annoying bug in the mixer.
     (p_input->p_first_byte_to_mix sometimes need to be reset)
 * modules/gui/wxwindows/interface.cpp: fixed the slider under wx-gtk.

2003-01-26 Sunday 13:34  fenrir

  * avi : fix play back for some broken avi

2003-01-26 Sunday 11:36  gbazin

 * modules/gui/wxwindows/*: Fixed the open dialog on win32.
     Better slider management in the main interface. Misc other small fixes.

2003-01-26 Sunday 09:28  titer

  Added some colors.

2003-01-26 Sunday 04:55  ipkiss

  * modules/gui/win32: replaced BitBtns with Buttons everywhere, and
    put "OK" and "Cancel" buttons in an horizontal layout.
    Also updated a few properties here and there.

2003-01-26 Sunday 03:22  ipkiss

  * modules/video_output/directx: added a configuration variable and a
    "normal" one to set the vout window on top of ther windows
  * modules/gui/win32: the interface can use these variables
    (almost closes #84)

2003-01-26 Sunday 01:51  sam

   * ./modules/gui/win32/menu.cpp: fixed a crash in the navigation menu
     generation.

2003-01-25 Saturday 22:34  hartman

 * changed the bugreporting url

2003-01-25 Saturday 21:15  titer

  Added a window to see vlc messages.

2003-01-25 Saturday 19:42  hartman

 * ./README.MacOSX.rtf: added two remarks on subtitle support.
 * ./extras/MacOSX/vlc.pbroj/project.pbxproj
   - Added .wma filetype
   - Added README, COPYING etc. to resources
 * ALL: Added a Help menu.

2003-01-25 Saturday 19:09  fenrir

  * faad : clean up.

2003-01-25 Saturday 18:57  fenrir

  * all: fixed wrong usage of input_DeletePES.

2003-01-25 Saturday 18:21  fenrir

  *mp4: fixed segfault when it fails to start a decoder and has specific
 informations to send.

2003-01-25 Saturday 17:59  fenrir

  * ffmpeg: fixed memory leaks.

2003-01-25 Saturday 17:58  fenrir

  * all : fixed some memory leaks thanks valgrind.

2003-01-25 Saturday 13:42  hartman

 * README.MacOSX.rtf: Updated Readme for new release. Added section on
   subtitles and on bugreporting.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: Added .wmv, .asf, .ogm, .dv,
   .sub and .srt files.

2003-01-25 Saturday 13:00  hartman

 * Reverted back to non metal windows as dictated by Apple's User Interface
   Guidelines. Only the controller window stays metallic.

2003-01-25 Saturday 04:12  fenrir

 * avi: no more segfault when we have 'max buffer allocation reached'
 * all: fixed(kludged ?) the fact that when we have a 'max buffer allocation reached'
 we cannot send null packet to decoder.

2003-01-25 Saturday 02:03  titer

  * store windows sizes in the vlc configuration file
  * fixed an interface bug when launching a file from the command line
  * minor fixes or enhancements

2003-01-24 Friday 19:25  hartman

 * changed the CONFIG_DIR for Darwin into Library/Preferences/VLC

2003-01-24 Friday 17:19  hartman

 * code we migh use in the future to change the subfile we use.
   not very useful now because of the .avi requirement to start/stop before
   loading/displaying the subs.

2003-01-24 Friday 15:35  hartman

 ALL: fixed the deinterlace menuiteM
 cvS: ----------------------------------------------------------------------

2003-01-24 Friday 15:34  hartman

 ALL: fixed the deinterlace menuitem

2003-01-24 Friday 15:13  sam

   * ./doc/bugreport-howto.txt: minor updates.

2003-01-24 Friday 13:01  sam

   * ./configure.ac.in: removed the --with-bcbuilder flag.
   * ./INSTALL.win32: updated accordingly.

2003-01-24 Friday 07:31  titer

  * vlc_threads.h: lower a priority that made sound choppy on not-so-fast
                   BeOS computers (closes #119)
  * others: removed old printf or unused code.

2003-01-24 Friday 07:21  hartman

 * ./modules/gui/macosx/vout.m: the mousepointer is hidden in fullscreen view
   after 2 seconds.

2003-01-24 Friday 03:31  hartman

 * when the playlist is selected and you push the spacebar we pause/play
   the movie. this makes the behaviour more consistent, though the solution
   is somewhat unclean. We should fix this on a higher level but i don't see
   how we could/should.

2003-01-24 Friday 01:57  babal

 - added a NULL pointer test
 - cosmetic changes

2003-01-24 Friday 01:53  hartman

 * the volume slider could only be dragged, not clicked. removed some
   useless code as well.

2003-01-24 Friday 01:17  hartman

 * made a quick hack to create a resize bar. not sure if we should keep this.

2003-01-24 Friday 00:57  gbazin

 * modules/gui/wxwindows/open.cpp: New "open dialog" that mimics the one from the gtk interface.
 * modules/gui/wxwindows/popup.cpp: Started implementing the popup menu.
 * modules/gui/wxwindows/interface.cpp: Got rid of the pause button. The play button now acts as a
 play/pause button depending on the context.
 * modules/gui/wxwindows/*: A few hacks needed to make the win32 version useable.

2003-01-24 Friday 00:51  massiot

 * Resized elements in the open panel,
 * modules/gui/macosx/vout.m: Only hide the menubar and cursor if fullscreen
   mode is on the primary screen,
 * po/*: Updated po files.

2003-01-23 Thursday 23:57  hartman

 * ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   - oops, i enlarged the timeslider by accident. fixed
 * ./modules/gui/macosx/controls.m
   - fixed a mutex_lock issue

2003-01-23 Thursday 23:39  hartman

 ALL: - made some panels into windows.
      - made the background picture non editable (removes the text cursor)
      - added slowmotion button

2003-01-23 Thursday 23:25  hartman

 * ./modules/gui/macosx/controls.m
   - changed the slower button into a slowmotion button
   - fixed a forgotten mutex_unlock
 * ./modules/gui/macosx/intf.m
   - added the slowmotion button
   - some windows shouldn't register in the "Window" menu
 * ./modules/gui/macosx/open.m
   - allow multiple file selection

2003-01-23 Thursday 22:47  massiot

 * Minor changes to the open panel, added AVI stream output option,
 * modules/gui/macosx/open.m: "Open File" is back,
 * modules/codec/mpeg_video/synchro.c: Fixed a counting bug.

2003-01-23 Thursday 18:18  babal

 - menus disabled by default
 - cosmetic changes

2003-01-23 Thursday 18:13  massiot

 Fixed a segfault with quitting when no audio output plug-in was found
 (closes #108).

2003-01-23 Thursday 17:17  ipkiss

  * use 'dvdold' instead of 'dvd'

2003-01-23 Thursday 16:53  sam

   * ./modules/misc/network/ipv4.c: we use INADDR_NONE instead of -1 (an old
     suggestion from lool).

2003-01-23 Thursday 16:52  sam

   * ./modules/*: warning fixes.

2003-01-23 Thursday 16:50  sam

   * ./modules/access/dvdread/input.c: warning fixes and a consistency
     fix (ilvu_sa cannot be -1).

2003-01-23 Thursday 16:07  fenrir

  * asf: in fast/slow motion we don't play audio (unless there isn't any
 video). Added some clean up.

2003-01-23 Thursday 14:54  massiot

 Derk-Jan Hartman.

2003-01-23 Thursday 14:44  fenrir

  * don't send audio in fast/slow playing speed unless there isn't any video
 stream.

2003-01-23 Thursday 12:48  massiot

 * modules/gui/macosx/open.m: Stream output doesn't do UDP/PS,
 * modules/audio_filter/channel_mixer/trivial.c: Fixed reverse stereo mode
   with MPEG files,
 * src/audio_output/output.c: Fixed dual-mono handling.

2003-01-23 Thursday 11:25  gbazin

 * modules/access/dvdread/input.c, modules/control/rc/rc.c: fixed typos.

2003-01-23 Thursday 10:58  sam

   * ./modules/access/dvdread/input.c: the dvdread plugin issues a warning
     instead of an error when it can't stat() the device (Closes: #77).

2003-01-23 Thursday 10:53  gbazin

 * modules/control/rc/rc.c: Partial fix for the rc interface under win32. On win32, select() only works on
 socket descriptors so we don't use it anymore on this platform. Right now we only do a blocking call to
 read() although it should be possible to have a fully functionnal interface by using the PeekConsoleInput()
 call (someone willing to investigate this ?).

2003-01-23 Thursday 10:00  fenrir

  * demux: fix segfault while trying to opening files without extention...

2003-01-23 Thursday 05:50  babal

 - allow the user to choose (and sort) several plugins for the same
   category.

2003-01-23 Thursday 04:33  ipkiss

  * The stream output can't use PS with UDP
  * Added tooltips for the subtitles dialog box
  * Added a missing "delete"
  * Added a menu entry to spawn new interfaces (but it's currently
    disabled, due to a problem with the vlc_list_t struct)

2003-01-22 Wednesday 23:19  sigmunau

  added an new config variable that takes an comma separated list of
 interface modules to be loaded in the background when vlc starts. This is
 usefull for lirc, logger and xosd. Also got rid of the hacky way the sap
 module was inserted, as this just needs to be added to this list now.

2003-01-22 Wednesday 22:42  ipkiss

  * Added a dialog box for subtitles selection
  * Cosmetic here and there

2003-01-22 Wednesday 20:37  lool

   * modules/visualization/xosd/xosd.c: lower module capability when the
   DISPLAY environment variable is unset (gtk like behaviour)

2003-01-22 Wednesday 19:31  massiot

 Reverse stereo option.

2003-01-22 Wednesday 18:03  sam

   * ./configure.ac.in: reverted one of my latest laughable changes. Fixes the
     detection of libdvdread.a, libdvdplay.a and libxvidcore.a. Sorry guys.

2003-01-22 Wednesday 17:41  lool

   * modules/visualization/xosd/xosd.c: fail if DISPLAY isn'y set or if
   xosd_init returns NULL
   * lib is initialized with configured font
   * more safety checks

2003-01-22 Wednesday 17:16  lool

   * modules/access/slp.c: #include <stdlib.h> because of a malloc

2003-01-22 Wednesday 16:16  massiot

 Less aggressive debug message.

2003-01-22 Wednesday 13:25  sam

   * ./configure.ac.in: fixed multiple static link issues with anal linkers.

2003-01-22 Wednesday 11:53  fenrir

  * add vout_encoder, not yet the codec parts.

2003-01-22 Wednesday 11:44  fenrir

  * all: modified files for video transcoding. Still needed configure.ac.in

2003-01-22 Wednesday 11:41  fenrir

  * added file needed for video transcoding with vlc.

2003-01-22 Wednesday 11:03  massiot

 1.12 How do I join an IPv6 multicast stream?

2003-01-22 Wednesday 10:54  massiot

 * configure.ac.in: Re-added a52sys module, which was lost somewhere...
 * Fixed bugs regarding Dolby Surround downmixing.

2003-01-22 Wednesday 05:51  fenrir

  * fixed my last fix about bug with non-progressive videos.

2003-01-22 Wednesday 03:39  hartman

 ALL: fixed a small bug in the timeslider code

2003-01-22 Wednesday 02:48  hartman

 * ./extras/MacOSX/vlc.pbproj/project.pbxproj: Added .mp3, .m3u and .mov
   filetypes.
 * ./modules/gui/macosx/vout.m: Made the video window a textured window
 * All:
   - fixed several missing object_release bugs, that i had introduced.
   - updated the play/pause behaviour.
   - fixed an issue with the volumeslider.

2003-01-22 Wednesday 02:40  lool

   * added --with-slp
   * now works under win32

2003-01-22 Wednesday 02:13  titer

  * Fixed title / chapter menus
  * Clean up

2003-01-22 Wednesday 01:32  fenrir

  * gtk: fixed a segfault with deinterlace.

2003-01-21 Tuesday 22:20  ipkiss

  * Dropped files and files added using the playlist are now enqueued
    according to the "enqueue" config option

2003-01-21 Tuesday 22:19  lool

   * use of service attributes to get the name of the session, insert it in
     the playlist

2003-01-21 Tuesday 20:49  ipkiss

  * Added a dialog box for the stream output

2003-01-21 Tuesday 19:43  lool

   * added a couple of malloc() checks

2003-01-21 Tuesday 18:34  lool

   * now search all srvtypes and add all srvs of all srvtypes to the
     playlist (requires less configuration information, now zero)
   * usual cleanup and bug removal

2003-01-21 Tuesday 18:08  hartman

 ALL: the slider updates the video while it slides.

2003-01-21 Tuesday 18:00  fenrir

  * added "use DVD menu" choice.

2003-01-21 Tuesday 17:46  fenrir

  * sub.c: fixed handling for subrip subtitle with \r\n instead of \n and
 added some sanity checks.

2003-01-21 Tuesday 15:26  hartman

 ALL: fixed my previous osx interface commit. had forgotten to save the files.

2003-01-21 Tuesday 15:15  hartman

 * ./src/input/input_ext_intf.c
   - FASTER and SLOWER now take into account the current rate.

2003-01-21 Tuesday 13:36  fenrir

  * gui/gtk : added a subtitle option in open dialog box.

2003-01-21 Tuesday 13:23  hartman

 ALL: The addition of a volume slider required a small redesign of the
      interface. David Weber was again kind enough to help us.

2003-01-21 Tuesday 13:01  hartman

 * Added an 'slowmotion' icon

2003-01-21 Tuesday 11:29  massiot

 Fixed two major bugs in the audio output, triggering segfault when going
 to mono mode, and probably at some other places.

2003-01-21 Tuesday 01:47  jlj

   * ./modules/gui/macosx/aout.m: output more debug info
   * ./modules/gui/macosx/misc.[mh]: MPSlider, iTunes-like slider:
     http://nanocrew.net/vlc/mpslider.png

2003-01-20 Monday 21:17  yves

 - new access/slp plugin.
 - more buildfor_{rh80,mdk{82,90}} stuff.
 - use %%mklibname macro.
 - use %%clean_menus in postun instead of %%update_menus everywhere.

2003-01-20 Monday 21:07  fenrir

  * all: begin to up to date the gtk/gnome interface. All comments are
 welcome, and please reports bugs :)

2003-01-20 Monday 18:52  massiot

 Used macro instead of hand-made code.

2003-01-20 Monday 14:06  fenrir

  * all: converted some msg_Err into msg_Warn

2003-01-20 Monday 14:04  fenrir

  * asf : more msg_Err -> msg_Warn

2003-01-20 Monday 14:03  fenrir

  * aac: some msg_Err -> msg_Warn

2003-01-20 Monday 14:01  fenrir

  * all: changed some msg_Err into msg_Warn.

2003-01-20 Monday 11:59  massiot

 Fixed a dozen bugs regarding mono audio files.

2003-01-20 Monday 04:45  hartman

 * ./extras/MacOSX/vlc.pbproj/project.pbxproj
   - Added .cue and .ogg to the known filetypes
 ALL:
   - When files are added they are not automatically played anymore. They are always queue'ed and optionally played.
   - Preliminary divx filesubtitle support.

2003-01-20 Monday 03:45  titer

   load correctly font-eutopiabold36.rle on BeOS, thanks to sam & Meuuh
  previous commits (closes #100)

2003-01-20 Monday 03:19  fenrir

  * mpegvideo.c : raah, removed a debug message...

2003-01-20 Monday 03:15  fenrir

  * mpegvideo.c : fix dts generation for non-progressive stream.

2003-01-20 Monday 01:23  hartman

 * ./modules/gui/macosx/vout.m: Fixed the play/pause key shortcut.

2003-01-19 Sunday 23:16  jpsaman

 New "qte_main" module. It should be used by all plugins/modules that need QT embedded. Also ported modules/qte/qte.{cpp,h} to use it.

2003-01-19 Sunday 18:55  ipkiss

  * Compilation fix

2003-01-19 Sunday 17:57  massiot

 Requalified some error messages into warnings.

2003-01-19 Sunday 09:28  fenrir

  * avi.c : proper way to store fourcc.

2003-01-19 Sunday 09:27  fenrir

  * all: change the way fourcc are stored in bitmapinfoheader.

2003-01-19 Sunday 04:16  sam

   * ./src/misc/beos_specific.cpp, ./src/misc/darwin_specific.m: removed
     the GetProgramPath call, stored the path in p_libvlc instead. Fixes
     compilation under anything other than OS X.

2003-01-18 Saturday 21:24  alexis

 Compilation fix

2003-01-18 Saturday 14:24  massiot

 Including font-eutopiabold36.rle for DivX and ogg subtitles.

2003-01-18 Saturday 05:57  hartman

 * ./modules/gui/macosx/open.m
   - .bin files are now opened as disks, instead of as files

2003-01-18 Saturday 05:10  hartman

 * ./modules/gui/macosx/open.m:
   - Removed the pretty animation. Wasn't working. This looks better.
   - fixed a potential memory problem

2003-01-18 Saturday 00:59  sam

   * ./modules/audio_output/alsa.c: updated requirements to 0.9.0beta10a in
     the source comments.

2003-01-17 Friday 22:46  hartman

 * ./modules/gui/macosx/controls.m: made the fullscreen command work, even if the videowindow is not the frontmost window

2003-01-17 Friday 20:36  sam

   * ./modules/gui/ncurses/ncurses.c: added locks and checks in navigation code.

2003-01-17 Friday 20:35  sam

   * ./modules/gui/win32/mainframe.cpp, ./modules/gui/win32/menu.cpp: applied
     navigation fixes from the Gtk+ interface.

2003-01-17 Friday 20:22  sam

   * ./modules/control/rc/rc.c: boundary checks for chapter navigation.

2003-01-17 Friday 20:17  sam

   * ./modules/gui/gtk/gtk_callbacks.c, ./modules/gui/gtk/menu.c: added a lot
     of boundary checks in the handling of title/chapter menus. Title 0 is no
     longer reachable (Closes: #26).

2003-01-17 Friday 19:19  titer

  Fixed the 'Do not use DVD menus' check box.

2003-01-17 Friday 19:19  jpsaman

 Updating slider only once a second now.

2003-01-17 Friday 18:22  massiot

 [no log message]

2003-01-17 Friday 17:18  sam

   * ./modules/video_filter/**/*.c: mouse clicks and keyboard events are now
     sent to the parent video output by all filters, and mouse coordinates are
     translated when necessary (Closes: #15).

2003-01-17 Friday 16:26  fenrir

  * all: use p_vlc->pf_memcpy instead of memcpy on big data block.
  * mpeg4video: removed a bad code dealing with pts discontinuity.
  * pes.c: try to avoid copying the whole  PES. (the first 64ko
 ins't any more copied :)

2003-01-17 Friday 15:51  lool

   * added missing static

2003-01-17 Friday 14:54  sam

   * ./modules/codec/spudec/parse.c: fixed a wrapping issue in the subtitle date
     calculation in slow-mo.

2003-01-17 Friday 00:37  sam

   * ./Makefile.am: fixed distribution of MSVC files.

2003-01-17 Friday 00:33  babal

 - my previous fix was a bad fix :(

2003-01-17 Friday 00:25  lool

   * configure.ac.in:
     . renamed access_slp to slp
     . slp is enabled by default if slp.h is present
   * modules/access/slp.c:
     . slp is now an access and a demux and forces the use of itself
     . cleanups and bug corrections
     . disappears of the playlist
       Thanks to fenrir for the help in debugging!

2003-01-17 Friday 00:00  massiot

 * Bumped up revision number to 0.5.0-test3,
 * Rearranged fields in the OS X interface to accomodate for translations,
 * modules/access/dvd/ifo.c: fixed a crash with bad streams,
 * Auto-updated po files,
 * Manually updated fr.po.

2003-01-16 Thursday 22:14  babal

 - input.c : doesn't even try to use the headphone filter for
             unsupported format (S/PDIF, ...)
 - m3u.c : support for MRLs
           better detection of absolute path under Windows
 - configure.ac.in : off_t was defined twice for mingw32
 - fr.po : translation of headphone filter strings

2003-01-16 Thursday 21:08  lool

   * typo

2003-01-16 Thursday 16:26  titer

  * InterfaceWindow.cpp : fixed DVD drag & drop
  * PreferencesWindow.* : added the possibility not to use DVD menus

2003-01-16 Thursday 15:40  massiot

 Swedish is now sv, not se. Thanks yvounet. (c)

2003-01-16 Thursday 15:39  yves

 * codec/mad plugin is replaced by audio_filter/mpgatofixed32.
 * new demux/m4v and mux/avi plugins

2003-01-16 Thursday 15:34  sam

   * ./po/sv.po: Swedish is now sv, not se. Thanks yvounet.

2003-01-16 Thursday 15:08  massiot

 * modules/codec/mpeg_audio.c: attempt at fixing free-bitrate mp3, though
   I do not have any file to test ; more precise PTS handling when losing
   sync.
 * src/audio_output/intf.c: fixed a warning.

2003-01-16 Thursday 14:58  hartman

 * ALL:
 - integrated play/pause toggled button
 - global shortcut for play/pause by use of spacebar
 - new pause.png
 - removed pause button
 - close button in intf window. register window in Window menuitem.
 - rearranged the menu
 - changed some key-combo's to be more OSX compliant/consistent
 - The time text-field is no longer selectable
 - The faster/slower/ff/stop etc button are only available during playback
 - added .bin filetype to Project Target (allows drag and drop of .bin files on program icon.
 - Added Add/Remove buttons to the llaylist.
 - Made the drawer 10 pixels smaller. Looks much better.
 - added a volume slider.

2003-01-16 Thursday 14:49  hartman

 * ./modules/gui/macosx/controls.m:
   - Added a volumeslider
   - removed pause button
   - added a fast forward action (increases speed in time)
   - changed the play method to allow for a toggled play pause button
   - volumeUp and VolumeDown take the state of the Mute Menuitem into account
   - volumeUp and VolumeDown take the volumeSlider into account
 * ./modules/gui/macosx/intf.h:
   - added references for the volumeslider, new menuitems
 * ./modules/gui/macosx/intf.m:
   - correct init of volumeslider and other new intf elements
   - new title for Controller window
   - the state of buttons is dependant on a movie being played
   - toggle the play/pause button if a play/pause action is detected.
 * ./modules/gui/macosx/playlist.h: added add/remove buttons to playlist
 * ./modules/gui/macosx/vout.m:
   - removed some control keys which were no longer necesarry
   - give the window the title of the item being played

2003-01-16 Thursday 14:22  hartman

 VolumeGet/VolumeSet now work even if no file is playing.

2003-01-16 Thursday 13:56  sam

   * ./plugins.dsp.in: fixed this file thanks to Stephane van Hardeveld.

2003-01-16 Thursday 13:49  sam

   * ./evc/config.h, ./msvc/config.h: proper generation of these files using
     information from configure.ac.in. Thanks to Stephane van Hardeveld for
     spotting this.

2003-01-16 Thursday 10:05  sam

   * ./modules/**/.cvsignore: added common *$(LIBEXT) values to .cvsignore.

2003-01-16 Thursday 10:02  sam

   * ./include/vlc_common.h: fixed win32 plugin compilation.

2003-01-16 Thursday 10:00  sam

   * ALL: merged more UI strings.

2003-01-16 Thursday 00:55  massiot

 * Fixed MPEG audio layer III VBR,
 * Mac OS X interface thread gets a real-time priority as well to avoid
   lock-ups,
 * VLAN error is now a warning.

2003-01-15 Wednesday 14:58  massiot

 Typo.

2003-01-15 Wednesday 14:48  sam

   * ./modules/video_output/x11/xcommon.c: we ignore MapNotify and UnmapNotify
     events once our window has been properly mapped.

2003-01-15 Wednesday 14:46  massiot

 message queue overflow is now a warning.

2003-01-15 Wednesday 14:16  sam

   * ALL: slightly changed some interface strings so that they are common to
     all GUIs, thus making the translators' work easier.

2003-01-15 Wednesday 14:14  massiot

 Better recovery on emulated startcode. Still doesn't work with VBR mp3's,
 though.

2003-01-15 Wednesday 13:25  massiot

 Dutch translation, courtesy of Derk-Jan Hartman <d.hartman@student.utwente.nl>
 and Jean-Paul Saman <jpsaman@wxs.nl>.

2003-01-15 Wednesday 12:46  titer

  Fixed --with-mad and --with-mad-tree

2003-01-15 Wednesday 12:27  massiot

 VolumeUp/Down/Mute now work even if no file is playing.

2003-01-15 Wednesday 11:58  massiot

 * Totally rewrote the mad plug-in, in order to fix the PTS problems :
 - Now using the low-level API of libmad,
 - Decoding split in parsing & decoding (just like A/52),
 - Should handle dual-mono files correctly,
 * The old mpeg_audio plug-in can no longer work in this scheme and has
   been disabled. Please _always_ compile with mad from now on.
 * Updated po files.

2003-01-15 Wednesday 01:49  jlj

   * ./modules/gui/macosx: added macosx-adev and macosx-vdev config vars.

2003-01-15 Wednesday 01:10  massiot

 Updated Italian translation, courtesy of Vella Bruno <allevb@tin.it>.

2003-01-14 Tuesday 23:44  sam

   * ./modules/audio_output/oss.c: compilation fix for BSD, courtesy of
     Steven M. Schultz.

2003-01-14 Tuesday 23:03  titer

   Fixed playlist behaviour (draging a file replaces the playlist, and
  draging a file while pressing the 'Shift' key appends it while the
  current one keeps playing.

2003-01-14 Tuesday 19:56  sam

   * ./FAQ: a few corrections. See also http://angryflower.com/bobsqu.gif

2003-01-14 Tuesday 17:00  titer

  Now you can save preferences.

2003-01-14 Tuesday 16:31  titer

  * added a sanity lock

2003-01-14 Tuesday 15:51  massiot

 * Fixed dual-mono handling of MPEG audio.
 * rc.c: fixed a warning.

2003-01-14 Tuesday 15:48  titer

  * Added a file panel for subtitles file selection.

2003-01-14 Tuesday 05:34  fenrir

  * stream_output.c: fix a bug with "null" stream.

2003-01-14 Tuesday 02:30  sigmunau

 changed the a rule into add and made it work along with others such as play
 even when nothing is currently playing. Added a playlist command to list the
 entries currently in the playlist. plus some cleanups and sanity checks.

2003-01-14 Tuesday 00:45  massiot

 Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>.

2003-01-13 Monday 21:02  jlj

   * ./modules/gui/macosx/aout.m: don't call AudioHardwareUnload.

2003-01-13 Monday 18:39  fenrir

  * adpcm: changed the way that data are read and thus seek will work.

2003-01-13 Monday 18:11  ipkiss

  * MacOSX interface: fixed a stupid bug
  * Win32 interface: completed support for channel selection

2003-01-13 Monday 17:58  massiot

 Compilation fix.

2003-01-13 Monday 16:20  sam

   * ./toolbox: toolbox --update-po now automatically extracts strings from
     the Win32 interface.

2003-01-13 Monday 16:14  alexis

 Fixed typo

2003-01-13 Monday 15:51  massiot

 Do not forget to register aout_ChannelsRestart as the callback for
 audio-device, plus miscellaneous changes.

2003-01-13 Monday 14:28  sam

   * ./modules/video_output/sdl.c: protected libSDL initialization calls to
     avoid race conditions and deadlocks.

2003-01-13 Monday 05:46  fenrir

  * mux/avi.c: added index creation.
  * demux/avi.c: fix stream length calculation.
  * stream_output.c: forgot a return value ...

2003-01-13 Monday 03:33  fenrir

  * all: now mux and access_out can request to reserve some memory in front
 of each sout buffer (will prevent some unnecessary memcpy :). Not yet
 really used.

2003-01-13 Monday 03:30  fenrir

  * mp4: added parsing of some mov boxes (alternate movies).

2003-01-13 Monday 02:11  sam

   * ./debian/rules: compilation bypasses for the Debian maintainer.

2003-01-12 Sunday 20:08  jpsaman

 Fixed some paths.

2003-01-12 Sunday 20:08  jpsaman

 Use gtk_main_quit only in one place (the function Manage()).

2003-01-12 Sunday 19:26  fenrir

  * avi: partial fix for non interleaved file with incorrect( I'm not sure
 about that) stream descriptor. Now at least video will be played.

2003-01-12 Sunday 19:25  jlj

   * ./modules/gui/macosx/intf.m: Fixed mutex errors on stop (Closes #80).

2003-01-12 Sunday 16:38  sigmunau

  * src/video_output/video_output.c: add a key-pressed variable to p_vout
  * modules/access/dvdplay/intf.c: allow keyboard naviagation in dvd-menus,
 by reading the key-pressed variable
  * modules/control/lirc/lirc.c: allow navigation with remote control by
 faking keypresses (closes #38). I think the remotes for dvdplayers usually
 have buttons for "root menu" and "title menu". Whould this be easily
 implemented in vlc?

2003-01-12 Sunday 07:39  fenrir

  * m4v: a raw MPEG-4 video stream demuxer (for now, it assumes 25fps).
 You have to force this demuxer.

2003-01-12 Sunday 05:30  fenrir

  * avi.c: avi muxer. (It produces broken files, but vlc is able to read
 them).

2003-01-12 Sunday 05:11  fenrir

  * some workaround for clock.

2003-01-12 Sunday 03:08  titer

  * beos/* : fixed a bug in the progress bar with big files
  * beos_specific.cpp : fixed the app signature
  * VlcWrapper.* : removed unused code

2003-01-12 Sunday 02:26  sigmunau

  new rule for remote controls with combined play/pause button (like mine has)

2003-01-12 Sunday 01:22  titer

  Corrected the list of supported MIME types.

2003-01-11 Saturday 21:42  titer

  * Needed update because variables names changed in the 'adjust' module.

2003-01-11 Saturday 21:25  gitan

 * SAP is disabled by default.

2003-01-11 Saturday 20:33  stippi

 fixed flickering of skip buttons (and consequently crashing if you pressed them)

2003-01-11 Saturday 19:31  fenrir

  * avi: fix my last fix :)

2003-01-11 Saturday 19:10  fenrir

  * asf: prevent some segfault with broken file. (partially fix bug 72)
  * avi: respect frame size (for audio codec) and close bug 75.
  * ffmpeg: can now read multiples audio frames from the same buffer.

2003-01-11 Saturday 18:23  ipkiss

  * Fixed my previous commit (thanks fenrir)

2003-01-11 Saturday 15:09  ipkiss

  * compilation fix

2003-01-10 Friday 18:30  lool

   * re-included playlist.h (got confused with vlc-playlist.h)

2003-01-10 Friday 18:01  titer

  Thread priority management on BeOS.

2003-01-10 Friday 17:21  titer

  Definitively fixed sync (I hope).

2003-01-10 Friday 14:21  massiot

 Fixed liba52 detection using --with-a52.

2003-01-10 Friday 13:34  asmax

 * fixed previous commit (didn't work everytime)

2003-01-10 Friday 12:02  asmax

 * enable the network channel box when selecting network channel input
   (gnome interface)

2003-01-10 Friday 11:01  lool

   * removed an useless inclusion

2003-01-10 Friday 10:28  lool

   * access_slp LD options

2003-01-10 Friday 10:25  lool

   * New entries:
     2.16 NO VIDEO!! or NO AUDIO !!
     3.3.4 Does VLC support DVD from all zones?
     3.3.5 How can I take screenshots?
     5. Miscellaneous
     5.1 How may I help your project?
     5.2 Why are your mailing-lists and your website in english?

2003-01-10 Friday 09:04  yves

 * vlc.spec: new packetizer/mpeg4audio plugin added.

2003-01-10 Friday 07:16  lool

   * removed VLC_GO to avoid skipping to the last program

2003-01-10 Friday 05:58  lool

   * configure.ac.in, modules/access/slp.c: New SLP access module,
         see <http://www.openslp.org/>

2003-01-10 Friday 02:09  ipkiss

  * ./modules/gui/win32: fixed a bug in the preferences (closes #60)

2003-01-10 Friday 00:43  massiot

 * OS X: Fixed a segfault with empty configuration strings (closes #65),
 * cosmetic messages cleanups.

2003-01-09 Thursday 23:30  lool

   * Mentionned libdvdcss vs DMCS in 4.2 ((c) Meuuh :)

2003-01-09 Thursday 19:23  fenrir

  * avi: read less data at once as it seems to give better sound. (I thinks
 it's more a workaround that a true fix).

2003-01-09 Thursday 19:06  sam

   * ./modules/video_output/x11/xcommon.c: fixed i_visible_pitch calculation.

2003-01-09 Thursday 18:47  sam

   * ./modules/video_filter/*.c: all filters now properly use i_visible_pitch
     instead of i_pitch for pixel access (Closes: #30).

2003-01-09 Thursday 17:26  sam

   * ./modules/video_filter/adjust.c: properly fixed margin handling (partially
     closes #30).

2003-01-09 Thursday 16:38  sam

   * ./modules/video_filter/adjust.c: rehandled code and enhanced the
     config variables descriptions.

2003-01-09 Thursday 15:05  sam

   * ./modules/video_output/sdl.c: fixed visible picture pitch calculation.

2003-01-09 Thursday 15:00  sam

   * ./modules/video_filter/transform.c: the 90 and 270 transformation routines
     now use the visible pitch of a picture, not its total pitch (Closes: #29).

2003-01-09 Thursday 11:12  sam

   * ./modules/codec/spudec/parse.c: set the duration of DVD subtitles
     according to the playing rate.

2003-01-09 Thursday 00:15  massiot

 Do not bail out when no *.gmo exists.

2003-01-08 Wednesday 17:40  lool

   * typos
   * mentionned Redhat because it disables DMA

2003-01-08 Wednesday 17:40  fenrir

  * configure.ac.in: added mpeg4audio packetizer and allowed conpilation of TS
 muxer with libdvbpsi.
  * mpeg/* : added preliminary support of mpeg4 video and audio in TS stream.
 (only in ts_dvbpsi demuxer).

2003-01-08 Wednesday 16:13  titer

  Partial fix for video/audio sync.

2003-01-08 Wednesday 15:59  sam

   * ./src/stream_output/stream_output.c: minor fix for Win32 drive letter
     display.

2003-01-08 Wednesday 15:31  lool

   * Mentionned the inclusion of the contrib dir

2003-01-08 Wednesday 15:00  sigmunau

 use *$(LIBEXT) and not *.so in package-win32 and package-beos targets. Also
 a minor change in argumets passed to nsis

2003-01-08 Wednesday 14:52  titer

  Use pf_memcpy and pf_memset.

2003-01-08 Wednesday 13:13  lool

   * New entries:
     4. Legal concerns
     4.1 May I use the VideoLAN logo?
     4.2 May I reditribute VLC?

2003-01-08 Wednesday 11:50  massiot

 * Added --no-spdif option (just like in OSS) and fixed a localization bug.

2003-01-08 Wednesday 11:46  fenrir

  * mp4.c: allowed multiple moov headers by taking the first one
 (multiple moov headers is strictly forbidden but I 've seen such file)

2003-01-08 Wednesday 11:43  fenrir

  * faad: fixed a segfault when faad initialisation failed.(anyway it
 doesn't solve the real problem).

2003-01-08 Wednesday 11:41  fenrir

  * ffmpeg/video.c: in case of mpeg4 stream search in p_bitmapinfo for
 an vol header. (In fact reverse an prevous commit)

2003-01-08 Wednesday 11:40  fenrir

  * file.c: removed an useless debug message.

2003-01-08 Wednesday 11:38  fenrir

  * all: added a new function (sout_BufferChain) and allowed dummy
 stream input creation (with "null" fourcc).

2003-01-08 Wednesday 11:34  fenrir

  * pes.c, ps.c: a52 stream should now work.
  * ts.c: added support for libdvbpsi (like ts demux, two modules are
 generated : mux_ts and mux_ts_dvbpsi), fix crc generation for pat/pmt
 without libdvbpsi. More works to add mpeg4 support (now I generate IOD
 and SL descriptor).

2003-01-08 Wednesday 11:26  fenrir

  * mpeg4audio.c: new packetizer (but for now it don't support adts aac)
  * mpeg4video.c: I 've rewritten it

2003-01-08 Wednesday 04:01  ipkiss

  * ./modules/gui/win32/preferences.cpp: fixed a segfault when a module
    forgets to declare 'add_category_hint'
  * ./modules/demux/mpeg/ts.c: added a missing 'add_category_hint' :p

2003-01-08 Wednesday 03:32  titer

  Minor GUI fixes in the prefs window.

2003-01-08 Wednesday 03:16  ipkiss

  * Added sound volume management and changed a bit the menus
  * Added audio channels selection, but it's currently disabled since
    it's quite buggy :)

2003-01-08 Wednesday 03:09  titer

  Fixed language and subtitle selection.

2003-01-08 Wednesday 01:41  massiot

 * New VLC brush-metal interface, courtesy of David Weber <david_weber@gmx.de>
 * Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>

2003-01-07 Tuesday 22:49  fenrir

  * all: I have added two new variables in es_descriptor_t and
 decoder_fifo_t (p_waveformatex and p_bitmapinfoheader). It's
 a replacement of p_demux_data as this variable is used by
 some demuxers in another way. This way, I will be able to add
 preliminary support of mpeg4 in mpeg2TS... (I haven't tested ogm
 demuxer so if somebody wants ...)

2003-01-07 Tuesday 16:12  jobi

   * modules/demux/mpeg/ts.c: fixed ts_dvbpsi demux forcing (with
     file/ts_dvbpsi:) with TS streams that don't start with 0x47

2003-01-07 Tuesday 16:12  massiot

 Fixed another very nasty localization bug.

2003-01-07 Tuesday 15:58  massiot

 New "spdif" setting, allowing to permanently disable S/PDIF detection.

2003-01-07 Tuesday 15:38  massiot

 Removed unused options in the aout.

2003-01-07 Tuesday 14:26  sam

   * minor updates to pofiles.

2003-01-06 Monday 23:57  massiot

 Fixed a compilation issue.

2003-01-06 Monday 23:07  massiot

 * Bumped up revision number to 0.5.0-test2,
 * MacOS X port: new error dialog displaying error messages,
 * Updated localization files,
 * Comestic fixes.

2003-01-06 Monday 21:08  yves

 - Mandrake %configure2_5x rpm macro is now fixed (was in cross-compil mode).
 - removed access/rtp plugin (merged in access/udp).
 - removed codec/imdct and codec/downmix plugins (deprecated).
 - libvlc0-devel provides libvlc-devel.
 - mmx/3dn plugins are only for x86 arch (use %ifarch %ix86 to list them)
   ie. fix rpm building on ppc thx Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>

2003-01-06 Monday 16:39  ipkiss

  * modules/gui/win32/network.cpp: added support for ftp and mms
  * modules/gui/win32/disc.cpp: cosmetic

2003-01-06 Monday 03:45  massiot

 MacOS X port :
 * New "stream output" area in the open panel.

2003-01-06 Monday 01:37  garf

  * added a i_min, i_max, f_min and f_max in module_config_t structure
  * added a add_integer_with_range() and add_float_with_range()
  * gtk interface: now uses a slider when a min or a max is specified

2003-01-05 Sunday 22:03  sigmunau

  modules/demux/asf/*: added some file info code
  modules/demux/util/id3tag.c: do not parse id3v1 tags at the end of file, as
 these cause to much trubble

2003-01-05 Sunday 21:45  massiot

 Fixed the "stream has changed" bug.

2003-01-05 Sunday 17:23  massiot

 MacOS X port :
 * Fixed a segfault in the "Close Window" code,
 * Fullscreen state is now retained between files,
 * Preferences items now feature LONGTEXT tooltips (maybe we should wrap them ?).

2003-01-05 Sunday 14:39  gbazin

 * modules/audio_output/directx.c: use VLC_THREAD_PRIORITY_HIGHEST for
 the audio output thread. That should make Win9x/Me happier.

2003-01-05 Sunday 04:21  jlj

   MacOS X port:
   * replaced playlist panel with drawer.
   * implemented context menu for playlist tableview.

2003-01-05 Sunday 03:39  massiot

 * Added the possibility to select DVD menus with VIDEO_TS folder in the
   OS X open panel.

2003-01-05 Sunday 02:55  massiot

 * Added a Close Window and a close box to our QuickTime video output.

2003-01-05 Sunday 00:49  gbazin

 * configure.ac.in: fixed typo in wxWindows headers detection code.

2003-01-04 Saturday 18:14  titer

  We now check if the BSoundPlayer's buffer size is not the one we
  were expecting.

2003-01-04 Saturday 17:27  gbazin

 * src/audio_output/output.c: don't forget to free the audio buffer when
 we are trashing it.

2003-01-04 Saturday 14:50  jpsaman

 Cosmetic changes.

2003-01-04 Saturday 14:30  jpsaman

 Removed define in favor of (p_intf->p_libvlc->i_cpu & CPU_CAPABILITY_FPU) for detection of FPU hardware support.

2003-01-04 Saturday 05:11  jlj

   MacOS X port:
   * main window controls are back. based on suggestion by Dan Macpherson.

2003-01-04 Saturday 01:21  jpsaman

 Updating slider status uses no longer FPU calculations when compiled for strongarm1100.

2003-01-04 Saturday 00:58  jpsaman

 Updated package release number

2003-01-03 Friday 22:38  jlj

   * ./Makefile.am: Meuuh, did you mean TAB instead of 8 spaces? :-)

2003-01-03 Friday 21:55  jpsaman

 Slider functionality for Familiar interface.

2003-01-03 Friday 15:44  sam

   * ./modules/gui/gtk/gtk.c, ./modules/gui/gtk/gnome.c: fixed drag'n'drop
     support in the Gtk+ and GNOME interfaces.

2003-01-03 Friday 14:07  massiot

 * modules/access/file.c: we now regularly check the size of the file, in
   case it is being downloaded.

2003-01-03 Friday 01:11  massiot

 Automatically create the vlc.app/Contents/PkgInfo (otherwise I keep forgetting
 it).

2003-01-03 Friday 01:03  jlj

   * ./src/misc/darwin_specific.m:
     Fixed (really!) segfault. Don't release o_lang objects, they're managed
     by NSUserDefaults.

2003-01-03 Friday 00:50  massiot

 Cosmetic.

2003-01-03 Friday 00:09  massiot

 MacOS X port :
 * Fixed the Device submenu,
 * There is still a segfault in darwin_specific.m.

2003-01-02 Thursday 23:49  jlj

   * ./modules/gui/macosx/aout.m: added support for 4 Channel PCM.

2003-01-02 Thursday 21:48  gbazin

 * modules/codec/*: reverted my previous patch that explicitly set
 i_bytes_per_frame and i_frame_length in each audio decoder.
 * src/audio_output/dec.c: proper fix to correctly set i_bytes_per_frame
 and i_frame_length.

2003-01-01 Wednesday 12:14  jlj

   * ./modules/gui/macosx/aout.m: cleaned up the code, removed intf dep.
   * ./src/misc/darwin_specific.m: fixed segfault (o_enumerator was being
                                   released twice) and memory leak.

     Bonne Année!

2002-12-31 Tuesday 02:59  massiot

 Less verbosity.

2002-12-31 Tuesday 02:54  massiot

 * src/misc/darwin_specific.m: Partial attempt at fixing a memory leak,
 * input: new b_connected field, allowing to correctly detect the EOF of TCP
   streams (closes #35),
 * input: fixed a deadlock when opening a zero-sized file,
 * input: fixed a deadlock when opening an unconnected FIFO (closes #54).

2002-12-31 Tuesday 00:45  massiot

 * OS X interface : Added new access modules to the Open panel,
 * Updated po files,
 * Fixed a very nasty side effect in the dvd and dvdread plug-ins,
 regarding the audio-channel and spu-channel configuration variables.

2002-12-30 Monday 18:36  gbazin

 * src/misc/messages.c: don't try to decorate logs on win32.
 * include/vlc_common.h, include/vlc_threads.h: we now use different
 thread priorities for WinNT/2k/XP or Win9x/Me.

2002-12-30 Monday 18:28  gbazin

 * modules/codec/*: make sure all audio decoders set
 output_format.i_bytes_per_frame and output_format.i_frame_length
 properly.

2002-12-30 Monday 14:34  sam

   * ./configure.ac.in: fixed the strncasecmp detection.
   * ./src/extras/libc.c: fixed a bug in our built-in strncasecmp.

2002-12-30 Monday 12:49  massiot

 Added RTP shortcuts to udp.c for backwards compatibility.

2002-12-30 Monday 09:56  massiot

 * modules/access/udp.c: Merged the UDP and RTP plug-ins, with autodetection of RTP,
 * src/misc/darwin_specific.m: if $LANG isn't set, retrieve NSUserDefaults.

2002-12-29 Sunday 22:00  babal

 no time to fix the playlist save&restore issue before the release (and
 wouldn't be wise anyway), so deactivated it in the win32 interface.

2002-12-29 Sunday 02:16  massiot

 OS X port :
 * Reenabled fullscreen shortcut, due to popular requests,
 * Fixed charset encoding in the Preferences window,
 * New implementation of --loop.

2002-12-28 Saturday 16:04  sam

   * ./debian/control: fixed various dependencies.

2002-12-28 Saturday 14:35  massiot

 Yet another typo. :p

2002-12-28 Saturday 03:02  massiot

 Added support for 32 kHz LPCM streams (thanks _Demo_ !).

2002-12-28 Saturday 02:53  sam

   * ./configure.ac.in: removed AC_PROG_EGREP because it's for autoconf 2.54+
     and used AC_EGREP_CPP instead.

2002-12-28 Saturday 02:20  sam

   * ./configure.ac.in: we don't link with -lintl if building against our
     internal one.

2002-12-27 Friday 16:40  sam

   * ./modules/demux/avi/avi.c: replaced a useless asprintf with sprintf.

2002-12-27 Friday 16:31  sam

   * ./src/extras/libc.c: if configure is called with --with-included-gettext,
     we export vlc_dgettext to plugins so that their messages can be translated
     as well.

2002-12-27 Friday 15:16  sam

   * ./configure.ac.in: added a check for $EGREP at the beginning, so that
     it's not done in an obscure "if" statement.
   * ./configure.ac.in: added verbosity around all EGREP calls so that we
     know what's going on.

2002-12-27 Friday 13:44  sam

   * ./Makefile.am: we don't try to distribute mozilla/vlcintf.h since it's
     created at compile time.

2002-12-27 Friday 10:57  massiot

 Audio output.

2002-12-27 Friday 10:47  massiot

 Added Bruno Vella <allevb@tin.it>, author of the Italian localization.

2002-12-27 Friday 09:37  massiot

 Fixed a typo.

2002-12-27 Friday 01:17  massiot

 * Italien translation, courtesy of Bruno <allevb@tin.it>,
 * Compilation fixes for gettext 0.11.5 on MacOS X.

2002-12-26 Thursday 19:17  stippi

 added 'extern "C"' to some includes

2002-12-26 Thursday 14:58  massiot

 Do not compile imdct and downmix modules anymore.

2002-12-26 Thursday 11:55  massiot

 Check for the presence of arguments (--help ?) before rebuilding everything.

2002-12-26 Thursday 00:39  sam

   * ./src/libvlc.c: added a debug message to test the translation system.
   * updated the .po files.

2002-12-25 Wednesday 23:36  sam

   * ./bootstrap: fixed an automake 1.5 check.
   * ./toolbox: removed code from bootstrap that wasn't related to the
     bootstrapping sequence and put it here.

2002-12-25 Wednesday 23:05  sam

   * ./configure.ac.in: lured xggettext into thinking _NS is a keyword.
   * ./bootstrap: bootstrap --update-po also updates vlc.pot.

2002-12-25 Wednesday 22:02  massiot

 * Re-enabled package-* Makefile rules,
 * Worked around automake stack overflow bug on Darwin.

2002-12-25 Wednesday 03:25  massiot

 ... _with_ the actual Italian placeholder (can you believe it ?).

2002-12-25 Wednesday 03:23  massiot

 Santa Claus brings to you :
 * A placeholder for the Italian translation,
 * A bug fix for mono streams on stereo speakers,
 * A fix for a possible crash in the FTP access,
 * Correct coordinates in OS X fullscreen modes (closing #47),
 * Cosmetic fixes.

2002-12-25 Wednesday 00:31  sam

   * ./ipkg/Makefile.am: added missing files to the distribution.

2002-12-25 Wednesday 00:00  massiot

 * Use BeginFullScreen() to hide the mouse cursor ;
 * Cheat with the screen saver (closes #46).

2002-12-24 Tuesday 21:15  jpsaman

 Added gpe and gpe-vlc to Conflicts list for only X11/GTK+ packages.

2002-12-24 Tuesday 21:11  jpsaman

 Build and packaging scripts for building Familiar Linux interface with only GTK+ support.

2002-12-24 Tuesday 20:26  jpsaman

 Forget some.

2002-12-24 Tuesday 20:25  jpsaman

 Added some debug info.

2002-12-24 Tuesday 20:25  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 20:09  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 20:08  jpsaman

 Update packaging scripts.

2002-12-24 Tuesday 19:23  jpsaman

 Added esddsp package to dependency list.

2002-12-24 Tuesday 16:28  massiot

 Fixed a major bug in fixed32tos16.c.

2002-12-24 Tuesday 10:49  sam

   * ./configure.ac.in: fixed dpms.h detection (missing prerequisite headers).

2002-12-23 Monday 23:00  jpsaman

 Enabled --with-gpe-prefix in buildscript.

2002-12-23 Monday 22:58  jpsaman

 Set priority of sdl video output to 60 iso 40. So it is now the default choice for iPaq iso x11.

2002-12-23 Monday 18:22  bozo

 Little fixes.

2002-12-23 Monday 17:21  massiot

 Fixed my fix :p.

2002-12-23 Monday 17:05  massiot

 Fixed a side-effect bug with IPv6 addresses (thanks Xag).

2002-12-23 Monday 16:39  jpsaman

 Familiar interface now uses define NEED_GTK_MAIN define.

2002-12-23 Monday 16:39  massiot

 Fixed an IPv6-related bug (thanks Xag).

2002-12-23 Monday 14:58  massiot

 Cosmetic (thanks Heiko).

2002-12-23 Monday 14:49  massiot

 Cosmetic.

2002-12-23 Monday 00:23  jpsaman

 Use SDL output as default for iPaq.

2002-12-22 Sunday 22:46  jpsaman

 Typing file locations in URL combo without "file://" prefix is possible again.

2002-12-22 Sunday 22:08  jpsaman

 Familiar GPE interface support fixes. Only Manage() function does not seem to work properly.

2002-12-22 Sunday 18:08  sam

   * ./src/audio_output/input.c: fixed a side-effect problem in buffer dates
     recalculation (spotted by KKI).

2002-12-21 Saturday 12:20  sigmunau

  first shot at a file info dialog for the wxwindows interface. It still
 needs to get a sane default size and some cleanups of the code, but I commit
 now in case anyone wants it during cristmas

2002-12-20 Friday 22:33  jpsaman

 Defenitely fixed segmentation fault on directory change.

2002-12-20 Friday 16:18  sigmunau

 removed the code that was not supposed to be in my last commit

2002-12-20 Friday 15:28  jpsaman

 Fixed path to pixmaps for GPE menu system.

2002-12-20 Friday 08:35  yves

 fixed my entry.

2002-12-20 Friday 08:35  yves

 - added rawdv plugin.
 - make it working again with daily CVS snapshot.
 - some typos fixed.
 - better workaround for broken mdk configure macro (aka don't harcore arch in name).

2002-12-20 Friday 00:23  sigmunau

 * modules/demux/ogg.c: provide some file info. Tested with the tarzan.ogm
 * modules/codec/vorbis.c: parse the vorbis comment (can anyone tell me why the
 comment is embedded in the logical stream and not directly in the
 container?). The vorbis comments are in utf8, so extended characters
 currently get messed up.

 Still tring to close #51

2002-12-19 Thursday 18:29  massiot

 Fixed an HTTP compliance issue (thanks Xag).

2002-12-19 Thursday 17:59  sigmunau

 the avi demux now gives some info about the file being played. One step
 towards closing bug #51. Type 'info' in the rc interface to test.

2002-12-18 Wednesday 18:52  gbazin

 * src/libvlc.h, src/input/input_dec.c: added an "sout-video" and
 "sout-audio" config option that allows to selectively enable audio or
 video stream output. This is very useful if you want to play video on
 one computer and audio on another one ;)

2002-12-18 Wednesday 17:33  fenrir

  * mpeg4video: repeat vol headers every 30 frames (But it is buggy)

2002-12-18 Wednesday 17:31  fenrir

  * video.c: with mpeg4 stream, we try to decode a picture only when we have
 received an header (vol). (It prevents some segfaults with mpeg4 streaming).

2002-12-18 Wednesday 17:27  fenrir

  * ts.c: add preliminary support for mpeg-4 streams in mpeg2-TS.
 Becareful that up to now, it's more a hack. (I need to add SL streams
 managments)

2002-12-18 Wednesday 17:16  sam

   * ./modules/demux/avi/libavi.c: added an additional sanity check for
     corrupted headers.

2002-12-18 Wednesday 16:52  fenrir

  * libavi.c: a sanity check to prevent some segfault with corrupted
 header.

2002-12-18 Wednesday 16:03  sam

   * ./modules/codec/ffmpeg/ffmpeg.c: cosmetic change, the ffmpeg module now
     tells what libavcodec build it was built with.

2002-12-18 Wednesday 15:17  sam

   * fixed several format string inconsistencies and deprecated C constructions.

2002-12-18 Wednesday 13:18  sam

   * ./src/misc/messages.c: woops, __attribute__(format) is only needed in the
     prototype.

2002-12-18 Wednesday 12:47  sam

   * ./include/vlc_messages.h: msg_* functions now use the same argument type
     checks as printf. Only works with gcc 3.2 it seems.

2002-12-18 Wednesday 10:27  sam

   * ./modules/video_output/qte/.cvsignore: added a missing .cvsignore.
   * ./modules/video_chroma/Modules.am: added i420_rgb_c.h to the distribution,
     thanks to Stepan Roh for spotting this.

2002-12-18 Wednesday 09:08  gbazin

 * src/video_output/video_output.c: fixed a bug concerning the aspect
 ratio in vout_Request().

 * INSTALL.win32: small update to the documentation.

2002-12-18 Wednesday 02:34  fenrir

 * mpegaudio: fixed another stupid bug for mpeg audio layer 3 only.

2002-12-17 Tuesday 22:58  fenrir

  * bits.h: fixed a stupid bug.
  * ts.c: removed an unused variable.

2002-12-17 Tuesday 22:15  gbazin

 * modules/demux/rawdv.c: new raw dv demuxer (only video for now). I
 didn't find a way to detect correctly a raw dv file so for now we just
 check the file extension (.dv). You can additionaly force this demuxer.

 PS: the ffmpeg plugin works quite well for decoding dv videos.

2002-12-17 Tuesday 22:04  jpsaman

 Functionality of Familiar Linux Gtk+ interface is finished. Only testing on iPaqwith libgpewidget0  still needs to be done.

2002-12-17 Tuesday 15:39  sam

   * ./bootstrap: added warning messages for old automake versions.

2002-12-17 Tuesday 10:54  sam

   * ./modules/gui/kde/preferences.cpp: fixed a compilation issue and a crash.

2002-12-17 Tuesday 00:25  massiot

 Fixed (again) a rendering bug on big endian systems. :-p

2002-12-16 Monday 23:06  jpsaman

 Cleanup action.

2002-12-16 Monday 22:48  jpsaman

 Workaround for crash in ReadDirectory when called from the comboURL text box. For now it is mandatory to prefix filepaths on local disk with "file://" when typing it in the comboURL box.

2002-12-16 Monday 21:18  titer

  Fixed a possible crash.

2002-12-16 Monday 19:30  gbazin

 * modules/demux/ogg.c: added support for the old type of headers produced by the first
 versions of OggDS.

2002-12-16 Monday 17:48  gbazin

 * modules/access/udp.c, modules/access/rtp.c, modules/misc/network/ipv4.c: only check for
 the "server-port" config variable in the access plugins. access_output plugins will now
 pick a port at random, thus allowing sout to work out of the box on a localhost. (thanks
 Meuuh)

2002-12-16 Monday 16:17  fenrir

  * compilation fix for Os X.

2002-12-16 Monday 14:04  fenrir

  * libavi.c: improved parsing of some corrupted files.

2002-12-16 Monday 11:49  fenrir

  Should fix compilation/configuration with --with-ffmpeg options.

2002-12-16 Monday 01:41  babal

 - disc.* : a few enhancements in the design of the "open disc" dialog
   box, including the ability to select dvd menus instead of a particular
   title and chapter
 - preferences.dfm : multiline tabs

2002-12-16 Monday 00:39  fenrir

  * modules/mux/mpeg/*: should fix builtin compilation
  * modules/access/ftp.c : an ftp access, buggy but it begins to work.
 The main issue is about password confidentiality so you must know
 what you are doing :((

2002-12-15 Sunday 23:55  yves

 you can now build RPMs.
 (ffmpeg still not working properly cause configure.ac seems to sucks)

2002-12-15 Sunday 23:54  jpsaman

 Packaging files for Familiar GPE and OPIE releases.

2002-12-15 Sunday 23:48  jpsaman

 Familiar interface build with GPE support does not use NEED_GTK_MAIN.

2002-12-15 Sunday 23:45  jpsaman

 Make distinction between GPE and GTK_NEED_MAIN way of handling interface.
 Trying to fix change directory crash while entering keys in combobox.

2002-12-15 Sunday 23:45  ipkiss

 I forgot this file in my previous commit...

2002-12-15 Sunday 21:48  jpsaman

 Fix crash on directory change.

2002-12-15 Sunday 19:37  ipkiss

  * ./modules/gui/wxwindows: added a log window

2002-12-15 Sunday 17:28  gbazin

 * include/vlc/vlc.h: added a new pi_types field to vlc_list_t. This field will be used
 later on by the object variables functions. I'm adding it now because it also happens to
 solve a binary compatibility problem between gcc and bcc. (depending on compilers,
 structs of 32 < size <= 64 bits can be returned either in a register or in the stack).

2002-12-15 Sunday 00:17  jpsaman

 Fix for building Familiar interface with libgpewidget0 library.

2002-12-14 Saturday 23:33  fenrir

  * libvlc.h: Fix mux/access_output options.

2002-12-14 Saturday 22:32  fenrir

  Added stream output. (common work with titer).

2002-12-14 Saturday 20:43  gbazin

 * src/libvlc.c: oops, forgot to remove a debug message.

2002-12-14 Saturday 20:34  gbazin

 * src/misc/objects.c: implemented the FIND_CHILD mode for vlc_list_find().
    vlc_object_get() now increments the refcount of the object so you'll need to release
 the object at some point.
 * src/misc/variables.c, ALL: var_Change() with VLC_VAR_GETLIST now returns a vlc_value_t
 which points to a vlc_list_t.

2002-12-14 Saturday 20:19  gbazin

 * src/misc/threads.c: implemented vlc_thread_set_priority() for win32.

2002-12-14 Saturday 19:57  fenrir

  * all: with mpeg4 video I changed the way that some initialisation data
 are passed (more logical).

2002-12-14 Saturday 02:05  babal

 - support for Windows style file names for relative paths
 - when eol_tok is '\n', use last line even if eol_tok isn't present

2002-12-13 Friday 23:11  yves

 adaptation for 0.5 branch. almost working :)

2002-12-13 Friday 18:05  babal

 - * : start playing only when opening a stream from the main window;
   when opening it from the playlist window, add it to the list, but
   don't change anything to the playing state and current stream.

 - playlist.dfm : proper resizing behaviour

2002-12-13 Friday 17:26  babal

 - vlc_playlist.h, playlist.c: added the ability to save a playlist to
   and restore it from a file chosen by the user.

 - win32/*:

   - implementation of the previous feature in the win32 interface
 >   -> what the other interfaces need to do to support it is simply to
 >      call the two following functions:
 >       int playlist_LoadFile(playlist_t *p_playlist,const char *psz_filename);
 >       int playlist_SaveFile(playlist_t *p_playlist,const char *psz_filename);
 >      where psz_filename is the name of the destination/source file.

   - ability to open several files at a time

2002-12-13 Friday 11:09  sam

   * ./Makefile.am: added missing files for make dist.
   * ./configure.ac.in: removed unpopular warnings.
   * ./po/*: updated potfiles.

2002-12-13 Friday 04:52  videolan

  * ./modules/win32/menu.cpp: reorganized the code for menus generation,
    and got rid of the global variable (at last!) in the win32 interface.

 Please check that navigation and language selection aren't too much
 broken for DVDs...

2002-12-13 Friday 02:56  gbazin

 * ALL: added a new vlc_list_t common type. vlc_list_find() and vlc_list_release() have been modified
 to use this new type.

2002-12-13 Friday 02:50  gbazin

 * modules/gui/wxwindows/*: added skeleton for popup contextual menu.
 * modules/access/dvdplay/access.c, modules/audio_filter/resampler/linear.c: a couple of warning
 fixes.

2002-12-12 Thursday 16:23  gbazin

 * src/input/input.c: forgot to commit this during my last commit :p

2002-12-12 Thursday 16:10  gbazin

 * src/input/input_clock.c, include/input_ext-intf.h: introduced an i_pts_delay field in
 input_thread_t (initialised to DEFAULT_PTS_DELAY).
 * modules/access/*: i_pts_delay is now configurable on an access module basis. The pts
 delay for http and mms have been raised to 4 * DEFAULT_PTS_DELAY, which is about 1.2
 seconds worth of caching.

2002-12-12 Thursday 14:09  sam

   * ./debian/vlc-plugin-ogg.dirs: added a missing file for Debian package
     builds.

2002-12-12 Thursday 13:24  sam

   * ./modules/gui/familiar/*: compilation fixes. Crashes on directory change.

2002-12-12 Thursday 12:37  ipkiss

  * ./modules/gui/win32: added management for "float" config options
    (thanks Garf)

2002-12-12 Thursday 12:29  massiot

 Fixed a possible deadlock.

2002-12-12 Thursday 11:56  garf

  * fixed one or two things (thanks sam)

2002-12-11 Wednesday 22:50  jpsaman

 Fixed qte video output segmentation fault during initialization.
 The following things have still to be fixed:
 - segmentation fault on destroy
 - video placing and
 - orientation
 - video line spacing is wrong

2002-12-11 Wednesday 21:13  fenrir

  * all: access plugins should not modify
 p_input->stream.p_selected_area->i_tell when reading data. (It's done in
 input_SplitBuffer). (But access should still set it on a "seek")

2002-12-11 Wednesday 18:27  bozo

 New ALSA audio output. It works with ALSA 0.9.0rc4 and earlier versions.

2002-12-11 Wednesday 00:34  gbazin

 * modules/demux/wav/wav.c: small bug-fix for screwed pts calculation.

2002-12-10 Tuesday 22:55  gbazin

 * src/audio_output/filters.c: fix for resampler buffer size.

2002-12-10 Tuesday 19:22  gbazin

 * ALL: fixed a f*ckage I introduced recently ;) var_Type() now returns 0 when the variable
 doesn't exist, but the rest of the code wasn't updated according to this new behaviour.
 * modules/audio_output/waveout.c: changed a few error messages into warning messages.

2002-12-10 Tuesday 16:51  ipkiss

  * ./modules/gui/win32: deletd a dependancy with a global variable

2002-12-10 Tuesday 15:19  gbazin

 * include/configuration.h: fixed my previous fix.

2002-12-10 Tuesday 13:46  gbazin

 * configure.ac.in: fixed ugly hack in sdl detection code (which also broke my build :p)
 * include/configuration.h, include/modules_inner.h: proper fix for a bug that allowed gcc
 to put things in the stack instead of the data segment.

2002-12-10 Tuesday 11:22  fenrir

  ffmpeg: adapted to current cvs version. It should still compile with older
 one (Please reports if it doesn't).

2002-12-10 Tuesday 01:02  gitan

 fixed a segfault under windows.

2002-12-10 Tuesday 00:37  gbazin

 * include/configuration.h: rolled back the last changes made to this file. There is no
 sense in manually initializing all the fields of module_config_t as it will be done by the
 compiler anyway. Furthermore mingw32 gcc seems to have problems optimizing code
 that manually initializes structures to 0.

2002-12-09 Monday 22:37  jpsaman

 Syncing functionality with vlc-0.4.6

2002-12-09 Monday 22:36  jpsaman

 Fixed segfault in Qt Embedded Video Output.

2002-12-09 Monday 14:37  titer

  * AudioOutput.cpp: added sanity tests;
  * VlcWrapper.h, Interface.cpp: removed an unused variable.

2002-12-09 Monday 08:57  titer

  * AudioOutput.cpp: send zeros to BSoundPlayer if nothing comes from
     audio output;
  * VlcWrapper.cpp: handle volume using aout3 features.

2002-12-09 Monday 04:36  titer

  Default re-enabled dvd module.
   --disable-dvd works anyway.

2002-12-09 Monday 01:52  babal

 - new headphone channel mixer with virtual spatialization effect : This
   effect should give you the feeling that you stands in a real room with
   a complete 5.1 speaker set when using only a headphone, providing a
   more realistic sound experience. It should also be more comfortable
   and less tiring when listening to music for long periods of time.It
   works with any source format from mono to 5.1.

   -> please try it and feel free to give me some feedback. Some
      improvements are already planned (adding echo, more configuration
      options, ...).

 NB: whereas the filter itself is in a (very first) stable version, the
     way it is integrated to the filter chain is only a _temporary_ hack
     since it's the audio ouput core (input.c actually) which is directly
     responsible for it. Integrating it in a more suitable way will
     probably require some work on the way the filters are selected as
     well as on the configuration level, but I'm working on it :)

2002-12-09 Monday 00:38  massiot

 * Updated aout3 developer doc.
 * Reworked the Open... menu items, and added the ability to use libdvdplay.
 * Sound output menu is now under Controls.

2002-12-08 Sunday 22:05  jpsaman

 Fixed build and linking for qte video output and made modifications to iPaq packaging files.

2002-12-08 Sunday 20:56  gbazin

 * modules/gui/wxwindows/*: compilation fixes for wxX11 (it doesn't support drag and drop
 yet). Compilation fix for MacOSX as well (wxEntry() not declared).
 * src/misc/variables.c: added a FreeMutex() function.

2002-12-08 Sunday 17:16  jpsaman

 - Updated Maintainers file
 - fixed --disable-dvd, it did not work
 - updated iPaq familiar buildscripts

2002-12-08 Sunday 15:47  gbazin

 * configure.ac.in: fix for dvdread and libdvdplay plugins linking stage.

2002-12-08 Sunday 06:30  jlj

   * ALL: Under Jaguar, vout no longer depends on any specific MacOS X
          intf. wxWindows should work (not tested). Closes #33.

2002-12-08 Sunday 01:41  massiot

 New vlc_thread_set_priority function, to set the priority of the main
 thread.

2002-12-08 Sunday 00:50  massiot

 * configure.ac.in: Disabled -Wtraditional as it produces much more bogus
   warnings than real ones.
 * audio output: New intf-change variable to know when audio-channels
   and audio-device have changed.
 * video output: New intf-change variable and vout_VarCallback, to know
   when video-device has changed (OS X port).
 * modules/gui/macosx/*: Menus for audio channels, implemented volume
   management, added a menu for screen selection.

2002-12-07 Saturday 23:29  titer

  * default disabled SAP under BeOS

2002-12-07 Saturday 23:15  gitan

 fixed my last commit.

2002-12-07 Saturday 23:00  titer

  * use RGB32 BBitmap. That fixes the bad-looking picture in
    non-overlay mode (thanks Sam).

2002-12-07 Saturday 16:25  gbazin

 * ALL: a few updates to the variables API:
   - got rid of the VLC_VAR_COMMAND variable type and introduced the VLC_VAR_ISCOMMAND flag
 instead. This simplifies things and avoid the strange command variables behaviour. Command
 variables will now trigger their callback on var_Set() like any other variables (look in
 modules/control/rc/rc.c for an example).
   - Renamed the VLC_VAR_ISLIST flag into VLC_VAR_HASCHOICE.
   - Added a new VLC_VAR_VOID variable type. This can be useful in conjunction with
 VLC_VAR_ISCOMMAND for instance.

2002-12-06 Friday 23:44  gitan

 * sap.c : make it more compliant (as far as sdp is involved).
 * playlist.c : fixed a memory leak
 * configure.ac.in : added link flags

2002-12-06 Friday 22:27  gbazin

 * configure.ac.in: fixed typo. For dvdread support we have to check for
  dvdread/dvd_reader.h, not dvdread/dvdread.h.

2002-12-06 Friday 17:34  sam

   * ./configure.ac.in: removed -W in favour of -Wtraditional.
   * ALL: a bunch of additional warning fixes.

2002-12-06 Friday 15:22  fenrir

  all: fix some minors warnings.

2002-12-06 Friday 14:05  sam

   * ./modules/access/mms/mms.c: fixed signed/unsigned comparisons, and fixed
     a bug I found in Read(). No idea whether it was triggered before nor what
     it was doing, though :)

2002-12-06 Friday 13:54  sam

   * ./modules/access/http.c: code clean-up. removed sizeof()-1 calls where we
     meant strlen(), removed useless strcmp() calls, implemented atoll() for
     systems where it does not exist, fixed a memory leak, fixed a minor data
     corruption.

2002-12-06 Friday 13:18  sigmunau

 some support for redirection. Moved the break on returncode >=400 to after
 the header parsing. This will be usefull if anyone wants to implemet
 http-passwd support

2002-12-06 Friday 12:53  fenrir

  * ffmpeg: sync with latest ffmpeg cvs. As it need too much
 #if LIBAVCODEC_BUILD , I've enable direct rendering only with latest
 ffmpeg cvs (anyway dr isn't cleanly ported to the latest version).

2002-12-06 Friday 11:10  sam

   * ./src/*, ./include/*: fixed a bunch of badly initialized structures, a few
     signed/unsigned comparisons, and removed trailing spaces here and there.

2002-12-06 Friday 07:42  babal

  * src/playlist/playlist.c : playing again a playlist already in a
    playing state resets the input speed to normal to make sure the
    stream isn't paused or slowed or played faster anymore.
    By doing that, fixes the following bug of the Windows interface:
    when pushing the play button on a paused or slowed stream, nothing
    used to happen.
  * modules/gui/win32/playlist.cpp : when pushing the play button and the
    playlist is empty, displaying the playlist window
  * win32.cpp : rephrasing the module description to "Native Windows
    interface module"

2002-12-05 Thursday 22:49  jpsaman

 Fix for SDL-1.2.5 it now has SDL postpended to the library path. I just rip it of now for --cflags.

2002-12-05 Thursday 18:38  sam

   * ./configure.ac.in: disabled -Wconversion for gcc 2.x because it makes it
     choke on system headers.

2002-12-05 Thursday 18:16  sam

   * ./ipkg/Makefile.in: removed a file handled by automake.
   * ./configure.ac.in: additional warning flags for GCC.
        -Wconversion
            Warn if a prototype causes a type conversion that is different from
            what would happen to the same argument in the absence of a proto-
            type.
        -Wsign-compare
            Warn when a comparison between signed and unsigned values could
            produce an incorrect result when the signed value is converted to
            unsigned.
        -Wunreachable-code
            Warn if the compiler detects that code will never be executed.
        -Wdisabled-optimization
            Warn if a requested optimization pass is disabled.
     See the gcc documentation for more explanations. This triggers a lot of
     warnings everywhere, and at first sight they're all worth fixing. Code
     quality matters, too, so let's fix'em :)

2002-12-04 Wednesday 22:48  gbazin

 * modules/audio_filter/channel_mixer/trivial.c: bugfix for up-mixing.

2002-12-04 Wednesday 22:03  jpsaman

 Build and packaging files for Opie and GPE.

2002-12-04 Wednesday 21:51  jlj

   * ./modules/gui/macosx/vout.m: mouse coordinates support.

2002-12-04 Wednesday 21:51  jpsaman

 file rules.opie was initially added on branch v0_4_1_branch.

2002-12-04 Wednesday 21:51  jpsaman

 Build scripts for building cross-compiling vlc for Opie and GPE.

2002-12-04 Wednesday 21:51  jpsaman

 file rules.gpe was initially added on branch v0_4_1_branch.

2002-12-04 Wednesday 21:41  jpsaman

 Packaging files for opie-vlc

2002-12-04 Wednesday 16:47  fenrir

  * all: Fix an other (and last ? ;) endian issue.

2002-12-04 Wednesday 07:23  titer

  * configure.ac.in, mms.c, sap.c, ipv4.c: added network support for BeOS 5
    (Dano is no more needed); multicast still doesn't work.
    UDP (unicast) and HTTP have been successfully tested, mms is untested.
  * sap.c: BeOS doesn't have memccpy
  * VideoOutput.cpp: forgot to remove a printf

2002-12-04 Wednesday 03:16  titer

  * InterfaceWindow.cpp: removed warnigs
  * AUTHORS/MAINTAINERS: added Stephan Assmus, Arnaud Schauly & myself

2002-12-04 Wednesday 00:36  gitan

 * src/playlist/playlist.c : Added playlist_AddItem (enqueues
 playlist_item_t instead of psz_target ). Now playlist_Add uses
 playlist_AddItem to enqueue.
 * include/vlc_playlist.h : Added a psz_uri field in the playlist_item_t
 structure.
 * src/input/input.c : takes item->psz_uri  argument to start playing an
 item.

2002-12-03 Tuesday 18:00  fenrir

  * adpcm.c: add adpcm decoding support (Now just ms and ima adpcm from
 microfsoft, not yet ima4)
  * wav, asf, avi: fix fourcc creation for adpcm. (Nevertheless adpcm
 could not work with asf because of asf audio scrambling unsupported in asf
 demuxer). Seek will not work, because vlc send garbage and then break stream
 alignment.(I will try to fix that).

2002-12-03 Tuesday 17:29  gitan

 * Added a session announcement protol module (enabled by default).
 * Added the PLAYLIST_CHECK_INSERT option to the playlist. That option
 checks previously enqueued sessions before enqueing.

2002-12-03 Tuesday 13:59  sam

   * ./src/libvlc.h: fixed an aspect ratio bug, we should default to the
     stream's aspect, not to square pixels.

2002-12-03 Tuesday 03:00  titer

  * added mouse management in the BeOS video output.
    Now DVD menus work thanks to libdvdplay.

2002-12-03 Tuesday 00:58  titer

  * added --with-dvdread-tree and --with-dvdplay-tree for static linking.
    It works fine under BeOS, please check I didn't break anything.

2002-12-02 Monday 22:13  jlj

   * ALL: Fixed some compiler warnings.

2002-12-02 Monday 19:19  sam

   * ./modules/access/vcd/cdrom.c: NetBSD VCD input fixes, courtesy of
     Olaf 'Rhialto' Seibert.

2002-12-02 Monday 14:12  sam

   * ./configure.ac.in: linking with -framework AGL wasn't needed (Closes: #7).

2002-11-30 Saturday 12:33  jpsaman

 Cleanup of headerfile detection for qte video output plugin.

2002-11-30 Saturday 12:22  jpsaman

 Deprecreated --with-qte-system. Using --with-qte=<path>/opt/QtPalmtop sets all linker and includes paths for libjpeg and qte correctly now.

2002-11-30 Saturday 02:14  ipkiss

  * ./modules/gui/win32/dragdrop.cpp: we can now drag and drop video
    files on the interface or on the playlist (Closes: #10).
  * ./modules/gui/win32/playlist.cpp: factorized a lot of code.
  * ./modules/gui/win32/*: reorganized some code here and there.

2002-11-30 Saturday 00:08  ipkiss

  * ./src/libvlc.h: fixed a few typos

2002-11-29 Friday 15:39  jpsaman

 configure script set Qt Embedded link and include paths correctly. Use these additional options:
 --enable-qte
 --with-qte=<..cross-path..>/opt/QtPalmtop
 --with-qte-system=<..cross-path..>/usr

2002-11-29 Friday 00:53  sigmunau

 made the vlc mozilla plugin a drop-in replacement for wmp in most embedded
 wmp sites I could find, by adding som mimetypes and parsing some more
 parameters passed by mozilla. Also disabled the StreamAsFile function since
 mozilla tend to pass it non-exsisting files.

2002-11-29 Friday 00:24  massiot

 * Correct socklen_t detection.
 * Fix for S/PDIF encapsulation on big endian systems.
 * S/PDIF output for Mac OS X, courtesy of Heiko Panther <heiko_panthe@mac.com>.

2002-11-28 Thursday 22:49  garf

  * a few bugfixes/enhancements/clean up

2002-11-28 Thursday 22:00  gbazin

 * configure.ac.in: fixed linkage of theora plugin.
 * modules/codec/theora.c, modules/codec/tarkin.c: fixed breakage.
 * modules/codec/vorbis.c: lowered the priority of the tremor plugin.

2002-11-28 Thursday 19:35  fenrir

  * asf: fix my previous commit.

2002-11-28 Thursday 19:16  sigmunau

 increased maximums size of a http request from 256 to 1024 in order to allow
 insanly long urls

2002-11-28 Thursday 18:34  sam

   * ./src/video_output/video_output.c, modules/*: factorized video output
     creation code into vout_Request which looks for existing vout objects
     and spawns a new one if none was found.

2002-11-28 Thursday 17:44  fenrir

  * ffmpeg: arg, fix a previous fix for non-latest ffmpeg cvs tree.

2002-11-28 Thursday 17:32  fenrir

  * all: some clean up with WAVEFORMATEX and endian issues. Somebody could
 test if mp4,asf,avi,wav demuxers and araw,ffmpeg,faad decoders work under
 big endian architectures ? (else could you give vlc log )

2002-11-28 Thursday 16:18  sigmunau

 * set b_seakable to false for http/1.0 streams such as those from icecast.
 * allow some unusual, but legal ways to construct the http headers, and
 clean up the header parsing code. parsing other headers ( like the mime-type
 ) should be very easy now.

2002-11-28 Thursday 15:34  sam

   * ./src/video_output/video_output.c: added a --aspect-ratio option to force
     the aspect ratio of the stream. Two different usages are possible, either
     int:int ("16:9") to specify a real aspect ratio, or float ("1.25") to
     specify pixel squareness.

     Note that it does not work properly yet; it will need an API change in
     the video output layer that I'm working on.

2002-11-27 Wednesday 22:51  babal

 - Enterely new layout for the preference window of the native win32
   interface, in order to improve its clarity (the dialog box is now even
   a bit smaller) and to get closer to Windows standards.
   (second part of the job, and hopefully the last for now, begun with
   Ipkiss a few days ago by using CheckListBoxes)

   Still need some work to get the interface compatible with Windows XP
   skins.

2002-11-27 Wednesday 16:18  sam

   * ./modules/codec/cinepak/cinepak.c: fixed V1-encoded blocks luma loading.

2002-11-27 Wednesday 15:44  fenrir

  * ffmpeg: add a LIBAVCODEC_BUILD test for CODEC_ID_MJPEGB

2002-11-27 Wednesday 14:17  fenrir

  cinepak: fix a bug (bad frame gathering), pointed by sam.

2002-11-27 Wednesday 13:41  fenrir

  * all: added mjpeg support, some clean up in video part.

2002-11-27 Wednesday 07:27  titer

  Fixed a segfault by adding a mutex_lock() (thx fenrir)

2002-11-27 Wednesday 06:36  titer

  * AudioOutput.cpp: fixed a segfault
  * ALL: cleaned the VlcWrapper class, removed unused code

2002-11-27 Wednesday 03:51  ipkiss

  * ./modules/gui/win32/*: some cleaning

2002-11-26 Tuesday 23:20  gbazin

 * modules/video_output/directx/directx.c, modules/audio_output/directx.c: removed
 unnecessary code.

2002-11-26 Tuesday 22:52  ipkiss

  * ./modules/gui/win32/preferences.cpp: used CheckListBoxes instead
    of ListViews, because they are more intuitive. This eliminates the
    "Select" button and the "Selected" label.

    The preferences window still needs some work though...

2002-11-26 Tuesday 21:04  sam

   * ./modules/video_chroma/i420_rgb.h: fixed slanted picture output with odd
     widths (Closes: #28).

2002-11-26 Tuesday 20:52  jpsaman

 Packaging for Opie and Qt Embedded support.

2002-11-26 Tuesday 20:31  gbazin

 * modules/video_output/directx/directx.c: fixed to work with DirectDraw 3 (ie. with
 NT4).

2002-11-26 Tuesday 19:58  sigmunau

 allow windows style linebreaks in .m3u files. and fixed a minor bug

2002-11-26 Tuesday 18:38  gbazin

 * modules/demux/ogg.c: audio is now dropped when fast-forwarding.

2002-11-26 Tuesday 18:28  fenrir

  * mp4: prevent float exeption with some truncated file.

2002-11-26 Tuesday 16:03  sam

   * ./BUGS: scrapped this file. Entered the remaining bugs in Bugzilla.

2002-11-26 Tuesday 15:08  sam

   * ./TODO: scrapped the todo-list. I put the unresolved items in Bugzilla
     (http://bugzilla.videolan.org/).

2002-11-26 Tuesday 13:09  massiot

 Fixed another crash with S/PDIF.

2002-11-26 Tuesday 11:55  gbazin

 * modules/video_output/directx/directx.c: don't fail miserably when we can't
    create a surface in video memory. We now automatically toggle the b_use_sysmem
    flag in this case and give it another shot.

2002-11-26 Tuesday 08:04  jpsaman

 Fix fix of fixing QT Embedded detection.

2002-11-26 Tuesday 02:06  titer

  * ALL: more intensive use of the VLCWrapper class
  * PreferencesWindow.*: renamed a few variables (using some of the
    OpenTracker conventions)
  * clean up

2002-11-25 Monday 20:29  sam

   * ./modules/video_chroma/i420_rgb16.c: merged the RV15 and RV16 conversions
     because they're basically the same. Also, the MMX conversions now check
     that the bitmasks are the ones we expect.

2002-11-25 Monday 20:12  fenrir

  mms.c: fix command/packet parsing functions.

2002-11-25 Monday 18:25  gbazin

 * configure.ac.in: for wxWindows headers detection, we now check wx/wxprec.h.
    Also fixed a typo: libdvbpsi is enabled by default.

2002-11-25 Monday 17:16  massiot

 Fixed my fix :p.

2002-11-25 Monday 17:00  massiot

 Fixed a crash in S/PDIF mode.

2002-11-25 Monday 16:56  sigmunau

 fixed a bug in the contentbased autodetection that caused this demux to be
 selected for streams that contained a null byte.

2002-11-25 Monday 16:08  fenrir

  * mms: enable seek :) It works for me with both udp and tcp. Somebody
 could check if it compiles on other OS than linux ? (I don't known what
 headers should be included)
  * asf: fix to support seeking with mms
  Note: You cannot seek and use demuxdump demuxer...

2002-11-25 Monday 13:19  sam

   * ./modules/gui/gtk/open.c: made the HTTP text bar more consistent, thanks
     to Pierre Baillet (Closes: #11).

2002-11-25 Monday 13:08  sam

   * ./src/misc/messages.c: we overwrite the WinCE logfile instead of appending
     data to it.
   * ./evc/vlc.vcw: minor updates.

2002-11-25 Monday 04:12  ipkiss

  * small compilation fixes for win32

2002-11-25 Monday 01:22  fenrir

  * all: begin to add mms over udp support. It begin to work (at least
 for me) but it still needs some work.

2002-11-24 Sunday 19:54  sam

   * ./configure.ac.in: we no longer choke if libdvbpsi headers aren't here.
   * ./include/vlc_common.h: we don't try to include inttypes.h with Borland.

2002-11-24 Sunday 17:00  sigmunau

 separated the code to parse html files with embedded wmp, and the code to
 parse asx files. Added a new shortcut "html" to force the "html" behaviour.
 Reduced number of false positives for both html and asx files. We now also
 trigger on the content of files, since html and asx files are often
 autogenerated on the webserver using php or asp.

2002-11-24 Sunday 14:02  sigmunau

 fix to allow absolute entries in m3u/asx files

2002-11-24 Sunday 02:29  sigmunau

 fixed a bug in the code to handle relative paths. Added support for file://
 and http:// items in asx files, and not just mms://

2002-11-23 Saturday 21:37  sam

   * ./modules/control/rc/rc.c: the seek command is now "seek" and not "r",
     and it uses a command variable like other controls. This also fixes a
     bug that prevented to have spaces between the command and its argument.

2002-11-23 Saturday 19:42  gbazin

 * modules/gui/wxwindows/*: additional small fixes.

2002-11-23 Saturday 17:17  gbazin

 * modules/gui/wxwindows/*: a few fixes for the win32 build.

2002-11-23 Saturday 16:00  titer

  * enhanced BeOS preferences window (post-processing, brightness,
    contrast, hue and saturation are adjustable)

2002-11-23 Saturday 15:28  gbazin

 * modules/gui/wxwindows/*: misc improvements to the main interface, implementation of
 drag and drop, proper initialisation of the i18n routines.

2002-11-23 Saturday 05:40  sam

   * ./modules/access/http.c, ./modules/misc/network/ipv4.c: http and ipv4
     plugins compile for WinCE. Couldn't test yet though.

2002-11-23 Saturday 03:40  sam

   * ./modules/video_output/wingdi.c: the GDI video output now properly sets
     the bitmasks; we're not limited to 8bpp and 16/24 works.
   * ./modules/video_filter/*: the video filters now work under WinCE.

2002-11-23 Saturday 02:32  ipkiss

  * ./modules/gui/wxwindows/playlist.cpp: added a playlist to the wxwindows interface

2002-11-23 Saturday 01:11  garf

  * yuv filter was a bit useless. Hope adjust filter is more usefull :)

2002-11-23 Saturday 00:12  sam

   * ./configure.ac.in: we only add -lm to the a52 linkage if it's needed
     (and available).

2002-11-22 Friday 21:27  sam

   * ./modules/video_output/wingdi.c: ported the wingdi plugin to Win32; it
     somewhat works under Wine (if you force internal buffers to 8bpp), but
     doesn't work under Win2k. Any hints welcome.
   * ./configure.ac.in: activated the wingdi plugin by default.

2002-11-22 Friday 20:37  titer

  * AudioOutput.cpp : compilation fix.
  * VideoOutput.cpp : now --fullscreen works with BeOS video output.

2002-11-22 Friday 19:35  sam

   * ./modules/access/mms/var_buffer.h: this file is now a separate .c, to
     prevent gcc's optimizer to go amok with nested inline functions, loop
     unrolling and such things that we don't really need in an access plugin.

2002-11-22 Friday 16:24  sam

   * ./modules/video_output/directx/events.c: we now call CreateWindow so that
     we are sure that the WndProc always has a valid p_vout value.

2002-11-22 Friday 16:19  sam

   * ./modules/video_output/wingdi.c: implemented offscreen rendering with
     fast blit (well at least it was considered "fast" back in the times of
     Windows 3.1). Default is 8bpp because that's what my iPaq does (no
     palette support yet though), 16bpp can be chosen at compile time and
     works perfectly in the emulator.

2002-11-22 Friday 13:11  sam

   * ./modules/video_chroma/i420_rgb16.c: fixed a segfault in the 24/32bpp
     chroma conversion.

2002-11-22 Friday 00:06  massiot

 Channel reordering according to the WG-4 specification, courtesy of
 Heiko Panther.

2002-11-21 Thursday 22:37  gbazin

 * modules/codec/Modules.am, configure.ac.in, modules/codec/vorbis.c: added
    a tremor decoder module using libvorbisidec (aka tremor) from xiph.org.
    This module allows decoding vorbis audio on hardware without a fpu
    (--enable-tremor).

 * modules/LIST: added entries for tremor and theora.

2002-11-21 Thursday 16:51  gbazin

 * src/playlist/playlist.c: fixed deadlock in playlist.
 * modules/audio_output/oss.c: don't play blank samples when we are starving
    for data but our internal buffers are not empty. Some cleanup too.

2002-11-21 Thursday 14:58  jpsaman

 Fix detection of QT Embedded development headers.

2002-11-21 Thursday 14:53  sam

   * ./modules/video_output/wingdi.c: skeleton of a Windows GDI video output.
   * ./modules/access/file.c: the file access plugin gets the real file size
     under WinCE.
   * ./modules/audio_filter/converter/u8tofixed32.c: added this conversion
     filter to play some WAV files without an FPU.
   * ./bootstrap: bootstrap --update-vc doesn't rely on the Makefile's presence.

2002-11-21 Thursday 11:12  gbazin

 * modules/demux/ogg.c: small bug-fix for my previous commit.

2002-11-21 Thursday 10:39  gbazin

 * modules/demux/ogg.c: better handling of PCRs (we now base our calculations
    on all sub-streams instead of just using one of them). Some code factorisation
    too.

2002-11-20 Wednesday 22:51  jpsaman

 Build and link Familiar interface against libgpewidget for gpe support.

2002-11-20 Wednesday 22:27  jpsaman

 Fix detection of AR and LD

2002-11-20 Wednesday 22:23  jpsaman

 Updated for release v_0.4.6 of Familiar Linux packages.

2002-11-20 Wednesday 20:07  sam

   * ./src/misc/messages.c: added ^Ms to the WinCE logfile.
   * ./bootstrap: fixed a typo that prevented per-object target directories
     to work.
   * ./evc/*, ./msvc/*: removed project files; they're becoming a bit large
     (more than 1MB) and I don't want to spoil the CVS with them.

2002-11-20 Wednesday 18:23  gbazin

 * configure.ac.in: temporary hack for libdvbpsi detection.

2002-11-20 Wednesday 17:43  sam

   * ./modules/audio_output/waveout.c: audio output now works under WinCE
     using the waveout module.
   * ./bootstrap: we ignore comments when parsing makefiles.
   * ./modules/audio_filter/converter/fixed32tofloat32.c: changed this module
     so that it also does float32tofixed32.
   * ./modules/*: ported a few other modules to WinCE (most of the time it's
     just a #include <errno.h> that needs to be removed).

2002-11-20 Wednesday 16:58  gbazin

 * configure.ac.in, modules/gui/wxwindows/wxwindows.cpp: other compilation
    fixes for the wxwindows interface on win32.

2002-11-20 Wednesday 16:34  gbazin

 * modules/control/rc/rc.c: added commands to navigate between chapters and
    titles.

2002-11-20 Wednesday 15:24  gbazin

 * modules/gui/wxwindows/*: fixes for the win32 build. Removed a few
    unnecessary things and replaced the stop icon with a new one.

2002-11-20 Wednesday 15:09  gbazin

 * modules/codec/theora.c, configure.ac.in, modules/codec/Modules.am: new
    theora codec plugin.
    This plugin is based on the experimental theora codec from the Xiph.Org
    foundation (http://www.theora.org/). Because the theora bitstream
    specifications are likely to change in the near future, this plugin won't
    be compiled by default. If you want to test/develop theora with vlc, you'll
    need to configure it with --enable-theora and also make sure you've got a
    fresh libogg from cvs.

 * modules/demux/ogg.c: modified to handle theora and tarkin bitstreams.

 * modules/codec/tarkin.c: fixed a few typos.

2002-11-20 Wednesday 14:37  sam

   * ./evc/plugins.vcp.in: fixed plugin entry points for WinCE.
   * ./modules/*: fixed a bunch of modules so that they compile under WinCE,
     we now have access_file and the mpeg demux and video decoder working
     (http://zoy.org/~sam/vlc/pocketvlc2.png).

2002-11-20 Wednesday 09:58  sam

   * ./include/vlc_common.h, ./src/extras/libc.c: exported our custom libc
     functions to plugins.
   * ./bootstrap: enhanced the project file generation for plugins; we now
     parse makefiles to make this easier.
   * ./modules/**/Modules.am: reworked a few makefiles so that they are more
     easily parsed.

2002-11-20 Wednesday 02:47  gbazin

 * src/video_output/video_output.c: fixed a really old bug in the video output
    layer. This bug was only affecting video outputs without direct rendering
    capabilities.

2002-11-19 Tuesday 21:56  gbazin

 * modules/misc/network/ipv6.c: restored the msg_*() outputs from BuildAddr().

2002-11-19 Tuesday 21:45  gbazin

 * include/video.h, include/vlc_config.h, src/video_output/*: changed the
    picture buffer allocation scheme to allocate pictures from the render
    heap in a clockwise fashion instead of always picking the first available
    one from the start of the heap.
    This allows us to benefit from ffmpeg's macro-block skipping feature.
    As a side effect, we also have less chance of reusing a refrence picture
    buffer when we can't link/unlink them.

 * modules/codec/ffmpeg/video.c: modified the direct rendering code to benefit
    from the macro-block skipping algorithm.
    A new flag has also been introduced in the video_output's render heap to
    forbid modifications to the render picture buffers (for instance to overlay
    subtitles).

2002-11-19 Tuesday 18:38  sam

   * ./src/misc/modules.c: p_module->psz_filename is now filled with a real
     8 bit string under WinCE.
   * ./extras/Win32_msvc: scrapped this directory.
   * ./bootstrap: we now parse plugin makefiles to guess what to put in
     the MSVC project files. Only the dummy plugin has been tested yet.

2002-11-19 Tuesday 18:23  fenrir

  all: Use BITMAPINFOHEADER everywhere (Needed because of endian issue).

2002-11-19 Tuesday 00:00  massiot

 Partial fix of the OS X audio output (thanks Heiko!).

2002-11-18 Monday 20:31  fenrir

  * ogg: change i_dts usage for subtitle ES.

2002-11-18 Monday 19:37  gbazin

 * src/misc/modules.c: fixed small typo that was breaking the build.

2002-11-18 Monday 19:05  sam

   * ./src/misc/modules.c: support for Unicode filenames under WinCE; VLC now
     successfully opens plugins.
   * ./modules/misc/dummy/*: hacked the dummy plugin so that it compiles for
     WinCE.

2002-11-18 Monday 18:31  gbazin

 * modules/gui/wxwindows/*: updated the toolbar icons.

2002-11-18 Monday 17:39  gbazin

 * modules/gui/wxwindows/interface.cpp: enabled the OpenFile dialog box.

2002-11-18 Monday 16:19  gbazin

 * modules/gui/wxwindows/interface.cpp: fixed typo.
 * modules/audio_filter/converter/u8tofloat32.c: fixed typo.

2002-11-18 Monday 14:28  gbazin

 * configure.ac.in, modules/codec/Modules.am, modules/codec/tarkin.c: added
    an experimental tarkin video decoder. You will need to specify the tarkin
    tree you want to use with --with-tarkin-tree=.

    Warning: Tarkin is still in very early development stage, so this plugin isn't
    actually usefull unless you intend to do some development on tarkin itself.

2002-11-18 Monday 14:08  gbazin

 * modules/demux/m3u.c: should manage entries with relative paths.
 * src/playlist/playlist.c: fixed playlist_Next().

2002-11-18 Monday 14:02  gbazin

 * added a wxwindows interface using the wxWindows cross-platform GUI framework.
    The interface is quite basic for now but should be functional anyway.
    (you need to have wxWindows >= 2.3.0 installed to use this plugin)

2002-11-18 Monday 12:50  sam

   * ./bootstrap: reverted the behaviour behaviour to the default, which
     means no default flag to use (except for me, muahaha).

2002-11-18 Monday 03:46  fenrir

  * ffmpeg: set bug detection to auto by default.

2002-11-17 Sunday 07:46  fenrir

  * ffmpeg: disable direct rendering by default. I have too many files
 that don't work with it (I don't see why it doesn't work :(
  * mp4: fix a bug in timestamp calculation. Replace s/u* by s/uint*_t
  * avi : remove an useless debug message.
  * src/misc/objects.c : fix stream output object allocation.

2002-11-16 Saturday 23:25  fenrir

  * avi: fix playing over http (a bug I have introduced).

2002-11-15 Friday 19:10  fenrir

 * modules/demux/util : add a text subtitle demuxer. (Module called by demux).
 MicroDVD, SubRIP, SSA subtitle format should work...
  Options: --sub-file <subtitle file> [--sub-fps, --sub-delay --sub-format].

  * modules/demux/avi : make use of subtitle parser.
  * modules/demux/asf : display movie length. (It will not work with live
 streams of course).

  modules/codec/spudec : use i_dts to send end of display time for subtitle.
 (Yes it's ugly, but it works :)

2002-11-15 Friday 18:17  gbazin

 * configure.ac.in, modules/audio_output/arts.c, modules/audio_output/esd.c:
    fixed the arts and esd audio plugins after the recent changes to aout3
    (untested).

2002-11-15 Friday 17:27  gbazin

 * configure.ac.in, modules/audio_output/directx.c, modules/audio_output/waveout.c:
    fixed the waveout and directx audio plugins after the recent changes to aout3.

2002-11-15 Friday 15:41  gbazin

 * modules/access/http.c: added an http-proxy config variable. If the variable
    is not set, we'll still look at the value of the http_proxy environment
    variable.

2002-11-15 Friday 13:22  sam

   * ./src/video_output/video_output.c: backport of a fix in MAIN for
     spoiled FPU registers.

2002-11-15 Friday 02:23  gbazin

 * configure.ac.in: fixed a few typos regarding LDFLAGS_access_*. Re-enabled
    the oss plugin as it seems to be working fine.
 * src/audio_output/input.c: fixed an obscure bug... (strange one though:
    int foo = -1; unsigned int bar = 2; __MAX( foo, bar) == -1 ).

2002-11-15 Friday 02:17  fenrir

  faad: adapt to new changes in aout3 (at least it compiles)

2002-11-15 Friday 01:41  gbazin

 * modules/codec/vorbis.c, modules/audio_filter/resampler/linear.c: adapted to
    the new changes in aout3.

2002-11-14 Thursday 23:44  alexis

 Added the changelog of vlc 0.4.6.

2002-11-14 Thursday 23:38  massiot

 Major change of the channels management. p_format->i_channels disappeares
 and is replaced by two members : i_physical_channels and i_original_channels.
 i_physical_channels describes the channels which are effectively present
 in the stream (at the current point of the aout pipeline), whereas
 i_original_channels represents the channels we used to constitute the
 stream. For instance a mono stream (FRONT_CENTER) may emanate from a
 FRONT_LEFT channel of a STEREO stream.

 Additionally, this contains hooks to dynamically select the audio device
 and the channels configuration. In order to do that, all aout plugins,
 and all interface plug-ins need to be adapted. Currently only SDL
 (partially OSS) and the rc interface have been adapted, please use them
 as a guide. Other aout plug-ins have been temporarily disabled.

 IMPORTANT : if you need a working sound output, DO NOT UPDATE YOUR TREE
 for several days until we fix that.

 * modules/misc/network/ipv4.c: Fixed a long-standing segfault when saving
   preferences and asking for multicast.

2002-11-14 Thursday 17:32  fenrir

  mms.c: it takes care of --no-audio and --no-video (to reduce bandwith
 usage),  and should not use more than --mms-maxbitrate (when there
 are multiple audio or video streams).

2002-11-14 Thursday 17:17  fenrir

  asf/* : Convert all u* into uint*_t
          Fix playing of some live asf, seek improvement (at least for me ;)
 but it's more some "kludge" with vlc clock than true fixes ...

  I will never understand how vlc clock works ....

2002-11-14 Thursday 16:07  sigmunau

  make --version --help --longhelp --list and -p output to stdout.

2002-11-14 Thursday 15:08  gbazin

 * src/audio_output/intf.c: fixed a bug affecting audio volume initialization.

2002-11-13 Wednesday 23:36  massiot

 * OS X plug-in fix ;
 * Re-enabled float32 mixer (huh?).

2002-11-13 Wednesday 23:36  gbazin

 * Updated changelog and package files.

2002-11-13 Wednesday 22:58  gbazin

 * ChangeLog: updated ChangeLog.

2002-11-13 Wednesday 22:18  fenrir

  * fix and make better stream selection (if mms-maxbitrate unset, get the best
 quality else try to be closed to mms-maxbitrate ).

2002-11-13 Wednesday 21:51  sam

   * ./bootstrap: bootstrap now requires the --config flag. With no arguments
     it simply outputs a usage message.
   * ./src/*: fixed a bunch of (legitimate) warnings under VC++.
   * ./evc/*, ./msvc/*: split the workspaces into three projects (libvlc, vlc
     and plugins -- plugins doesn't build anything yet).

2002-11-13 Wednesday 21:28  fenrir

  * mms/* : better stream selection and add some options to override it.
 (Usefull with demuxdump).

2002-11-13 Wednesday 21:23  fenrir

  access/* : don't override demux setting made by user.
  modules/demux/demuxdump.c : a little demux that dump raw stream.
 (should work with all access...)

2002-11-13 Wednesday 16:28  sam

   * ./msvc/*, ./evc/*: moved eMbedded Visual Studio files to the toplevel evc/
     directory because the two project files are starting to diverge.
   * ./evc/vlc.c: created a specific vlc.c file for Windows CE.
   * ./src/misc/messages.c: as WinCE doesn't have stdout or stderr, the message
     queue outputs to a logfile (until we have a proper interface).

2002-11-13 Wednesday 13:58  gbazin

 * src/playlist/playlist.c: bugfix for when we delete the last playlist
    element (I'll get this one right... eventually ;).
 * modules/demux/m3u.c: allow forcing the demux to be used by specifying the
    asx or m3u demux.

2002-11-13 Wednesday 12:09  gbazin

 * src/playlist/playlist.c: when autodeleting an item, we don't need to skip
    to the next one.
 * modules/demux/m3u.c: added .asx support and changed the autodetection of
    file type to just probe the file extension.

2002-11-13 Wednesday 10:56  sam

   * ./po/POTFILES.in: fixed "make dist".

2002-11-13 Wednesday 10:45  sam

   * ./FAQ: changed Debian repository location to HTTP (for better upload
     stats estimations on our side).

2002-11-12 Tuesday 23:18  sigmunau

  added a new demux that reads .m3u files and addes the contained items to
 the playlist. Currently only autodetects files that start with #EXTM3U
 otherwise you'll have to force it.

2002-11-12 Tuesday 22:20  gbazin

 * include/vlc_playlist.h, src/playlist/playlist.c: added a b_autodeletion
    flag to the playlist item structure. If this flag is set then the playlist
    item will be deleted automatically after it has been played.

2002-11-12 Tuesday 17:02  gbazin

 * modules/gui/gtk/gtk_callbacks.c: fixed deadlocks.
 * modules/gui/gtk/gtk.c: fixed uninitialized variables.

2002-11-12 Tuesday 14:57  sam

   * ./Makefile.am: fixed rc compilation under mingw32/cygwin.
   * ./modules/access/http.c: fixed a segfault (unchecked strstr return value).
   * ./src/input/input_ext-plugins.c: removed platform-specific code and put
     it in plugins. This leads to some code duplication but I have an evil
     plan to get rid of that, too.

2002-11-12 Tuesday 12:45  gbazin

 * modules/gui/gtk/gtk.c: small bug-fix for a crash on module loading.

2002-11-12 Tuesday 11:44  gbazin

 * src/extras/libc.c: fixed typo.
 * configure.ac.in: compilation fix on win32 for the mms access plugin (the
    plugin is linked with ws2_32).

2002-11-12 Tuesday 01:54  fenrir

  * modules/demux/asf/.cvsignore : put the good one.
  * modules/access/mms : add MMS (Microsoft Media Streaming) access (Support
 only TCP, I will try to add UDP and HTTP as well).
  There are some problems with streams selections and we cannot seek, but
 anyway it seems to work. (Usefull for some radio web)
  * other: enable mms access by default.

2002-11-11 Monday 23:27  gbazin

 * src/audio_output/filters.c, src/audio_output/input.c, include/aout_internal.h,
    modules/audio_filter/resampler/*: Changes that allow the resamplers to set
    the start and end date of the frame it outputs.
    This allows us for instance to output a smaller frame than what we should, and
    keep the rest of the data to compute the resampling of the next frame.
    In short, we can implement much more complex resampling algorithms than before.

 * modules/audio_filter/resampler/linear.c: rewrote the linear resampler. The audio
    quality doesn't seem to be better than the ugly resampler, maybe I shouldn't
    have wasted my time on this...

2002-11-11 Monday 20:16  gbazin

 * modules/audio_output/file.c: will write a WAV header by default. Can be
    disabled with --no-audiofile-wav.
 * modules/audio_filter/resampler/linear.c: disabled for now, until I actually
    manage to make it work without a problem.

2002-11-11 Monday 15:39  sam

   * ./include/*, ./src/*: separated WIN32 #tests and UNDER_CE #tests, because
     WIN32 isn't always defined under WinCE, but might be. Grmbl.
   * ./include/*: changed a few u* and s* to uint*_t and int*_t.

2002-11-11 Monday 00:41  sam

   * ALL: libvlc now compiles and run under WinCE. I haven't ported any modules
     yet so there's little that can be tested, but threads work at least.
   * ./src/extras/libc.c: renamed strndup.c to libc.c because a few other
     libc functions were added (strcasecmp, atof, getenv...).

2002-11-10 Sunday 19:04  sam

   * ALL: WinCE compilation fixes (mostly nonexistent headers). A lot of
     work is still needed for missing functions. I only touched libvlc for
     the moment, plugins will come in a long long while.
   * ./bootstrap: moved MSVC project files generation here; use --update-msvc.

2002-11-10 Sunday 17:31  fenrir

  all: fix a bug in packet parsing and can now play unseekable stream.

2002-11-10 Sunday 16:37  fenrir

  http: Accept ICY server reponse (Used for some web radio) and in that
 case it forces mp3 demuxer (Should be ok...)

2002-11-10 Sunday 15:31  gbazin

 * src/audio_output/output.c: fixed another quality affecting bug.

 * include/aout_internal.h src/audio_output/input.c: major change to the
    resampling algorithm. When resampling is requested to keep the audio stream
    synchronised to the main clock, we trigger it but we change the resampling
    rate only progressively so it doesn't get noticed too much by the listener.

2002-11-10 Sunday 14:24  sigmunau

  ./ChangeLog: added entry for the linear resampler
  ./modules/audio_filter/resampler/linear.c: This should allways generate the
 right number of samples now. The morale is never base your floating point
 calculations on the output of integer divitions.

2002-11-10 Sunday 03:47  fenrir

  * faad : adapt to newer version.
  * ffmpeg : adapt postprocessing for latest libavcodec version, add an
 option to disable direct rendering as postprocessing is currently broken
 with it, and with some files I have bad pictures.

2002-11-09 Saturday 19:28  sam

   * ./msvc/vlc.dsp: additional fixes to the MSVC project.
   * ./msvc/vlc.vcw: skeleton of a WinCE project file (yet non-functional).

2002-11-09 Saturday 19:28  sam

  * ./include/aout_internal.h: fixed a breakage I just introduced.

2002-11-09 Saturday 18:44  sam

   * A few additional MSVC build fixes.

2002-11-09 Saturday 17:39  sam

   * ./msvc/*: MSVC project files and default config files.

2002-11-09 Saturday 17:34  sam

   * ./Makefile.am: added a "update-vlc.dsp" rule to create the MSVC project
     file from the makefile.
   * ./msvc/*: moved the MSVC files here.
   * ./src/extras/*: moved the extra code here (used to be in src/misc,
     extras/GNUgetopt and extras/Win32_msvc).
   * ./include/*: a few warning fixes.

2002-11-08 Friday 15:23  gbazin

 * configure.ac.in, modules/audio_filter/converter/*: added a s8tofloat32.c and
    u8tofloat32.c converter.
 * modules/codec/araw.c: modified to also decode u8 pcm audio samples.

2002-11-08 Friday 11:26  gbazin

 * ALL: using "%ll" in printf format strings is not portable (notably on win32) so
    we now use the I64Fx familly of macros to print 64 bits numbers (x being
    replaced by d,i,o,u,x or X).
    eg: msg_Dbg( p_this, "sample is "I64Fi" late", ll_time );

 * src/misc/messages.c: got rid of ConvertPrintfFormatString().

2002-11-07 Thursday 23:56  sam

   * ./include/vlc_common.h: compilation fix for Cygwin.

2002-11-07 Thursday 22:09  sigmunau

  added a new resampler based on linear interpolation, giving a fair tradeoff
 between sound quality and speed

2002-11-07 Thursday 20:31  gbazin

 * INSTALL.win32, include/vlc_config.h, src/libvlc.h: changes to reflect the
    fact that libdvdcss now needs a colon after the DVD drive letter (on Win32).

 * src/misc/messages.c: on Win32 only use fflush() if in debug mode.

 * src/misc/win32_specific.c: try to raise the our process priority slightly
    above normal. This prevent us from suffering too much from normal activity
    of the OS.

2002-11-07 Thursday 17:54  gbazin

 * modules/access/http.c: don't crash, but complain on non http/1.x streams.

2002-11-06 Wednesday 22:48  gbazin

 * modules/codec/spudec/*: modified the spu decoder to handle text subtitles.
    Only one format of text subtitles is supported right now but we should be able
    to expand this by modifying modules/codec/spudec/text.c.
    Most of this work comes from by Andrew Flintham ( thanks a bunch Andrew :).

 * share/font-eutopiabold36.rle: new font for the text subtitler, courtesy of
    Andrew Flintham.

 * AUTHORS: added Andrew Flintham to the authors file.

 * modules/demux/ogg.c: modified the ogg demuxer to handle subtitles.

 * modules/codec/ffmpeg/*: modified the ffmpeg decoder to always keep the last decoded
    frame linked.

2002-11-06 Wednesday 19:07  sam

   * ./modules/access/dvdplay/access.c: activated button highlighting.
   * ./modules/codec/spudec/parse.c: implemented subtitle cropping and
     temporarily disabled subtitle cropping.
   * ./modules/codec/spudec/render.c: split RenderSPU into chroma-specific
     functions.

2002-11-06 Wednesday 16:41  jobi

   * modules/access/vcd/vcd.*: added entry points support (sort of
     chapters).
   * modules/gui/gtk/gtk_callbacks.c: added some locks to the
     navigation functions

2002-11-06 Wednesday 15:44  sam

   * ./modules/demux/avi/avi.c, ./modules/demux/avi/libavi.c: additional
     endianness fixes, spelling fixes, reworked return values usage, used
     C99 types.

2002-11-06 Wednesday 10:26  sam

   * ./src/misc/extras.c: removed a duplicate calculation inside a macro.
   * ./src/libvlc.c: fixed a bug causing all commandline targets to be ignored
     for playback except the last one.
   * ./modules/codec/dv.c: we detach p_vout before quitting.
   * ./modules/codec/xvid.c: fixed image corruption, added a direct rendering
     option which doesn't work yet.

2002-11-06 Wednesday 00:48  gbazin

 * modules/demux/avi/*: should theoretically fix the endianness issues with
    the avi demuxer.

2002-11-05 Tuesday 23:53  sam

   * ./modules/codec/xvid.c: beginning of a video decoder using the Xvid codec
     from xvid.org; compile with --enable-xvid --with-xvid-tree=..., run with
     --codec xvid,any (the priority is lower than ffmpeg's for the now).

     todo list: direct rendering, better buffer handling, see why only I frames
                are rendered OK here... probably more.

2002-11-05 Tuesday 22:57  gbazin

 * modules/demux/ogg.c: should theoretically work on Big Endian machines now.

2002-11-05 Tuesday 19:25  gbazin

 * All: moved the check for "video" and "audio" config variables to
    input_SelectES(). That allows --no-video and --no-audio to automagically
    work for all demuxers.

2002-11-05 Tuesday 15:52  sam

   * ./codec/dv/dv.c: moved this single file to its parent directory; removed
     GetFirstPES in favour of input_ExtractPES/input_DeletePES calls.

2002-11-05 Tuesday 11:07  gbazin

 * modules/codec/ffmpeg/*: modified the ffmpeg video codec to use direct
    rendering when possible.
    Use BITMAPINFOHEADER from include/codecs.h + got rid of Little Endian
    translations that were already done in the demux.
 * modules/demux/avi/* modules/demux/asf/*: Use BITMAPINFOHEADER from
    include/codecs.h.

2002-11-05 Tuesday 04:57  jlj

   * ./modules/gui/macosx/prefs.m: new configuration interface

2002-11-04 Monday 19:27  sam

   * ./bootstrap: automake 1.7 is OK to bootstrap vlc.

2002-11-04 Monday 16:04  sam

   * ./Makefile.am: we properly install plugins in the OS X vlc.app directory.
   * ./mozilla/npvlc_rc.rc, ./mozilla/vlcplugin.h: added the Ogg mime type to
     the Mozilla plugin properties.
   * ./debian/control: added libogg-dev and libvorbis-dev dependicies to the
     Debian build script.

2002-11-04 Monday 00:00  gbazin

 * include/codecs.h: new header file to store information shared by decoders
    and demuxers, like the BITMAPINFOHEADER structure for instance.
 * modules/demux/ogg.c: the ogg demuxer should now work nicely with ogm files
    (including for the video). It has only been tested with a few streams
    produced with dvd::rip and ogmmerge though.

2002-11-03 Sunday 14:22  gbazin

 * modules/demux/ogg.c: we now correctly handle multiple vorbis logical streams
    in ogm files.
 * modules/codec/vorbis.c: small bugfix.

2002-11-02 Saturday 23:47  gbazin

 * modules/demux/ogg.c: small fix to avoid crashing when find unknown codecs.

2002-11-02 Saturday 19:13  gbazin

 * modules/demux/ogg.c, modules/codec/vorbis.c: seeking in an ogg stream is
    working fine now, + misc other improvements.

2002-11-02 Saturday 18:31  sigmunau

 modules/codec/dv/dv.h: workaround for a namespace collision (#undef vlc_error)
 debian/rules: update the location of libgnome_main_plugin.so and
 libgtk_main_plugin.so. Added the ui.rc file to the kvlc package. All debian
 packages seem to build now (even though there were some warnings)

2002-11-02 Saturday 12:53  gbazin

 * src/video_output/video_output.c: small change to avoid using floating point
    registers in the video ouptut routines.

2002-11-02 Saturday 00:06  jpsaman

 --enable-familiar accepts now:
 --with-sdl-prefix=[PATH], --enable-gtk-prefix=[PATH] and --enable-gpe-prefix=[PATH] to enable cross-compiling.

2002-11-01 Friday 16:43  gbazin

 * modules/audio_output/directx.c: forgot an aout_BufferFree().

2002-11-01 Friday 16:06  gbazin

 * src/audio_output/common.c, include/aout_internal.h: added a new function
    aout_FifoFirstDate() that allows the aout plugin to schedule the first
    play.
 * src/audio_output/output.c: fixed another problem affecting the audio quality.
 * modules/audio_output/directx.c: improvements. The buffering scheme has been
    changed to be less affected by temporary starving. We also schedule the first   sample to play.

2002-11-01 Friday 13:52  sigmunau

 fixed a typo that caused the ui.rc file to be installed in PREFIX/sharevlc/

2002-10-31 Thursday 12:16  sam

   * ./src/misc/variables.c: callbacks are now called after the variable has
     been modified. Maybe we'll need the other type, too, but this change will
     make things simpler in aout3.

   * ./src/playlist/playlist.c: removed two unused variables.
   * ./src/misc/modules.c: removed a debug message I had forgotten.
   * ./src/misc/modules_plugin.h.in: fixed a typo (thanks bozo).

2002-10-31 Thursday 10:40  gbazin

 * modules/codec/spudec/spudec.c, modules/codec/spudec/parse.c: fixed a couple
    of problems introduced with the recent changes to the bitstream facility.
 * src/audio_output/output.c: fixed a quite annoying bug in aout3 that was
    triggering unnecessary trashing of audio frames.

2002-10-31 Thursday 03:12  massiot

 Fixed plug-in compilation on OS X.

2002-10-30 Wednesday 07:37  titer

   - Fixed an enormous memory leak (forgot to aout_BufferFree ;)

2002-10-30 Wednesday 07:12  titer

   - Fixes. Most of the interface features now work again.

2002-10-30 Wednesday 01:59  titer

  - now vlc no longer tries to use overlay if another application already
    uses it
  - clean up

2002-10-29 Tuesday 21:59  jpsaman

 Added GPE support to familiar interface. Use --with-gpe-prefix=<installation-dir> to enable it.

2002-10-29 Tuesday 21:58  jpsaman

 Solved merge conflicts

2002-10-29 Tuesday 21:52  jpsaman

 GPE is integrated in familiar files.

2002-10-29 Tuesday 21:51  jpsaman

 Familiar packaging files.

2002-10-29 Tuesday 21:49  jpsaman

 Added HAVE_GPE_INIT_H define for autodetection of libgpewidget and GPE headerfiles.

2002-10-29 Tuesday 20:16  gbazin

 * ALL: changes to reflect the fact that libdvdcss now needs a colon after
    the DVD drive letter.

2002-10-29 Tuesday 19:57  sam

   * ./src/misc/modules.c: plugin extension check is now case unsensitive.

2002-10-29 Tuesday 19:12  sam

   * ./Makefile.am: fixed a typo that caused HAVE_DEBUG to imply HAVE_RELEASE.
   * ./bootstrap: fixed calls to $(LINK) which had duplicate -o options.

2002-10-29 Tuesday 18:33  titer

  No more warnings.

2002-10-29 Tuesday 14:38  sam

   * ./src/misc/variables.c: simple change to var_Type() so that it returns
     an error (value < 0) if the variable does not exist.

2002-10-29 Tuesday 14:22  sam

   * ./include/vlc_common.h: defined the INSERT_ELEM and REMOVE_ELEM macros
     which are a generic use of the realloc/memmove/index++ scheme we use for
     dynamic arrays.
   * ./src/misc/variables.c: properly free the choice list upon variable
     destruction.

2002-10-29 Tuesday 11:22  gbazin

 * modules/codec/ffmpeg/audio.c: compilation fix for ffmpeg builds < 4618

2002-10-29 Tuesday 00:00  massiot

 * Bumped up revision number to 0.4.6.

2002-10-28 Monday 23:31  gbazin

 * configure.ac.in: libvorbis depends on libogg.
 * include/vlc_threads.h: changed the different threads priorities to optimize
    audio and video quality as well as responsiveness.
 * modules/audio_output/waveout.c modules/audio_output/directx.c: waveout and
    directx will now use the float32 format if available. Various tweaks for
    better performance.

2002-10-28 Monday 23:25  gbazin

 * modules/video_output/directx/directx.c: fixed segfault on initialization.
    Changed back the priority of the event thread to normal.

2002-10-28 Monday 23:23  gbazin

 * modules/codec/mpeg_video/parser.c: add_module() for "mpeg-motion" wasn't using
    the right capability.
 * modules/codec/ffmpeg/ffmpeg.c: fixed typo (re-enabled default case in a
    switch).
 * modules/codec/a52.c: fixed the AOUT_DOLBY detection.

2002-10-28 Monday 21:57  sam

   * ./include/variables.h, ./src/misc/variables.c: list variables.

2002-10-28 Monday 20:42  titer

 - Added LCD info view from 0.4.x

2002-10-28 Monday 18:18  titer

 Forgot to add files :|

2002-10-28 Monday 17:55  titer

 - Added a small preferences window
 - Fixes

2002-10-28 Monday 17:26  sam

   * ./configure.ac.in: we explicitely link the dvdplay plugin with libdvdcss
     if it was found.
   * ./modules/access/dvdplay/tools.c: we don't try to stat the device if it
     looks like a Win32 drive.
   * ./src/misc/messages.c: we only flush stderr under Win32.

2002-10-28 Monday 14:25  sam

   * ./Makefile.am: fixed missing build dependencies for the Mozilla plugin.
   * ./src/misc/variables.c: implemented min/max and steps for integer and
     float variables.

2002-10-28 Monday 12:49  fenrir

  * fix a bug while passing informations to audio decoder(wma in
 asf should work).

2002-10-28 Monday 08:46  sigmunau

  * Disable some menu items when no input is available.
  * Some cleanups

2002-10-28 Monday 07:26  fenrir

  * all : add audio decoding support in ffmpeg module, since they have
 added wma1/2 decoder... :))

2002-10-28 Monday 02:51  fenrir

  * avi.c : fix a bug (bad choice in stream to be read)
  * libioRIFF : now useless files.

2002-10-28 Monday 00:10  sigmunau

  * added a simple dialog to show id3-tags and other info
  * finally added languages/subtitles selections menus, found and got fixed two
  bugs in kdelibs in the process, but only one of them will get into kde 3.1.
  * made the location of the ui.rc file configureable, usefull for testing.

2002-10-27 Sunday 19:06  fenrir

  * all: new way to gather frame (same as ffmpeg).

2002-10-27 Sunday 18:23  titer

 vlc_threads_func.h : skip a useless BeOS warning
 faad/decoder.c : minor compile fix

2002-10-27 Sunday 17:59  gbazin

 * modules/demux/ogg.c: we now set p_input->stream.i_mux_rate.

2002-10-27 Sunday 17:58  gbazin

 * ALL: removed GetPES and NextPES, we now use input_ExtractPES everywhere instead
    of these. The bitstream facility has also been changed to use input_ExtractPES
    and now stores the current PES in its structure.
    Introduced input_FlushPESFifo() and CloseBitstream().

2002-10-27 Sunday 16:37  fenrir

  * all : rewrite demux part (simpler and cleaner). Please, tell me if you see
 some regression.

2002-10-26 Saturday 21:14  fenrir

  * all : fix for new use of p_selected_area->i_tell.

  Just a word: now we cannot update anymore p_input->p_current_data
 without updating i_tell. I known that it's used for skipping some bytes in
 mp3 demux (not yet fixed), I don't known if it's used elsewhere....

2002-10-26 Saturday 17:24  gbazin

 * ALL: p_selected_area->i_tell is now update inside input_SplitBuffer instead
    of inside the pf_read functions of access plugins. That means i_tell now
    actually reflects the position of what is being decoded and furthermore it
    is updated more often.

2002-10-26 Saturday 03:08  garf

 YUV plans filter (modifies all 3 plans separatly)

2002-10-25 Friday 20:17  sam

   * ./modules/video_output/directx/events.c: start the colorkey search at 10,
     not 5, to avoid using a color used by another application.
   * ./modules/video_output/directx/events.c: support for drawing in a parent
     window instead of creating our own; still a bit flakey.

   * ./mozilla/vlcshell.cpp: we can now compile the Mozilla plugin so that it
     does not call libvlc (for testing purposes).

2002-10-25 Friday 17:42  gbazin

 * include/aout_internal.h: oops, forgot to commit this in my last changes.

2002-10-25 Friday 17:21  gbazin

 * modules/audio_output/oss.c: when now set the fragment size of the OSS device
    according to the size of an audio sample.
    For buggy OSS drivers, we now take into account the real size of the OSS
    internal buffer when we check how much this buffer has been filled.

2002-10-25 Friday 11:24  sam

   * ./bootstrap, ./Makefile.am: we don't build static libraries if their only
     goal is to provide dependencies for shared libraries.

2002-10-25 Friday 11:21  sam

   * ./include/vlc_common.h: we now use the ISO C9x types (int8_t, uint8_t,
     int16_t) instead of our custom types (s8, u8, s16) and you are encouraged
     to use these types from now. Of course the old types are still available
     for backward compatibility.

2002-10-24 Thursday 23:08  massiot

   * plugins/network/ipv4.c: fixed a crash with multicast addresses when no
     interface address is given.

2002-10-24 Thursday 19:36  gbazin

 * modules/audio_output/oss.c: Finally fixed! There also is a new config option
    (--oss-buggy) to work-around buggy oss drivers.

2002-10-24 Thursday 16:26  sigmunau

 less braindead coloring

2002-10-24 Thursday 12:33  fenrir

  * ffmpeg : new way to gather a frame
  * input_ext-dec.c : add a call to GetPES in NextPES when fifo is empty.

2002-10-24 Thursday 11:37  gbazin

 * src/input/input_ext-dec.c, include/input_ext-dec.h, modules/codec/araw.c:
    renamed input_NextPES into input_ExtractPES and factorised its code.
 * modules/codec/ffmpeg/ffmpeg.c, modules/codec/faad/decoder.c,
    modules/codec/cinepak/cinepak.c: make use of NextPES and GetPES from
    src/input/input_ext-dec.c.
 * modules/codec/a52.c: fixed uninitialized variable.

2002-10-24 Thursday 11:30  gbazin

 * ALL: I did add these files, but forgot to commit them ( ouarf ouarf :)

2002-10-24 Thursday 01:17  gbazin

 * ALL: New ogg demux and vorbis codec modules for preliminary support of
    ogg/vorbis streams.

2002-10-24 Thursday 00:05  massiot

 Cosmetic.

2002-10-23 Wednesday 23:54  gbazin

 * ALL: fixed a bunch of memory leaks.

2002-10-23 Wednesday 01:07  massiot

 * Added -mdynamic-no-pic to darwin CFLAGS (can you believe I actually read ./ :)
 * Miscellaneous small fixes.

2002-10-22 Tuesday 23:10  sam

   * ./mozilla/vlcshell.cpp: ported the Mozilla plugin to Windows.

     For the moment it spawns a separate window and seems to behave nastily
     (read: crashes) when the target has sound, but the javascript interface
     works perfectly, for instance.

     To build it, I installed Mozilla development files in my mingw32 dir
     and hacked mozilla-config so that it uses these files. I also hacked
     jri_md.h and jni_md.h to put "defined(_MSC_VER) || defined(__MINGW32__)"
     where it read "defined(_MSC_VER)". No other changes were necessary.

2002-10-22 Tuesday 22:55  sam

   * ./modules/audio_output/alsa.c: tiny compilation fix.

2002-10-21 Monday 22:00  massiot

 * Avoid overflowing the message queue with "audio output is starving"
   messages,
 * Updated BeOS and QNX outputs with respect to i_channels policy.

2002-10-21 Monday 12:46  fenrir

  * input_ext-dec.* : add a new function to parse decoder fifo at PES level
 (input_NextPES);
  * araw.c : use this new function.

2002-10-21 Monday 11:18  fenrir

  * configure.ac.in Makefile.am: enable asf demuxer plugin
  * modules/demux/asf/*: some clean up

2002-10-21 Monday 10:27  sam

   * ./debian/vlc-plugin-a52.dirs: forgot a debian file for the a52 plugin.

2002-10-20 Sunday 19:44  fenrir

  * all: fix for correct "i_channels" use.

2002-10-20 Sunday 19:28  fenrir

  * all: add wmv1/2 codec support.

2002-10-20 Sunday 19:22  fenrir

  * all : add an asf file (v1.0 only) demuxer. Need a lot of work to be
 usable, but it begin to give good result.

2002-10-20 Sunday 14:23  massiot

 * modules/demux/mpeg: Added DVB stream type for A/52 streams (0x6),
 * include/vlc_threads.h: Avoid locking the interface,
 * ALL: reworked all audio output plug-ins to correctly take into account
   i_channels. At present this is known to break OSS, probably others.

2002-10-17 Thursday 19:30  ipkiss

 * ./modules/video_output/directx/events.c: compilation fix

2002-10-17 Thursday 18:56  sam

   * ./modules/video_output/directx/events.c: mouse coordinates support for
     the DirectX plugin (please test compilation).

2002-10-17 Thursday 18:48  sam

   * ./modules/video_output/sdl.c: mouse coordinates support for SDL.
   * ./modules/video_output/x11/xcommon.c: we transmit the click only at
     release time.

2002-10-17 Thursday 18:03  sam

   * ./src/video_output/video_output.c: mouse coordinates are now variables.
   * ./modules/access/dvdplay/intf.c: instead of probing the mouse on each
     loop iteration, we set a callback on the corresponding variables.

2002-10-17 Thursday 15:15  sam

   * ./src/misc/variables.c: callback loops are now detected; this means you
     can now use var_* functions from within your callback, they can even
     trigger callback themselves, to any level. The main restriction is that
     you shouldn't meddle with a variable that is already being triggered by
     the current thread (other threads will just wait).
   * ./src/misc/objects.c: fixed a deadlock in the "tree" command.
   * ./modules/misc/testsuite/test4.c: added a "callback-test" command to the
     rc interface to test callback loop detection and concurrent triggers.

2002-10-17 Thursday 10:24  sam

   * ./modules/codec/spudec/parse.c: fixed bad initialization of the alpha
     palette, implemented the "force display" command as forever-living
     subtitles, and reworked some code.
   * ./src/video_output/video_output.c: we increment the image date even if
     we are repeating the previous image, so that subtitles have a chance to
     get displayed.
   * ./src/video_output/vout_subpictures.c: ephemer subpictures don't timeout.

2002-10-17 Thursday 01:34  sigmunau

 Use a KURLRequester widget for variables of type CONFIG_ITEM_FILE. This
 crates a little button next to the textarea that pops up a file open dialog
 where the user can point and click on the file to select. It also drops down
 a list of possible completions as the user types.

2002-10-17 Thursday 01:12  massiot

 * Fixed AOUT_CHAN_CHANNEL2 trivial mixer,
 * Fixed a compile issue in the vcd plug-in,
 * Fixed SDL behavior with > 2 channels.

2002-10-16 Wednesday 21:39  sam

   * ./include/variables.h, ./src/misc/variables.c: implemented variable
     callbacks.

2002-10-16 Wednesday 17:10  sam

   * ./configure.ac.in, ./src/libvlc.c: attempt at activating gettext support
     under platforms without libintl such as Win32. Use --with-included-gettext
     to test. Might break compilation on systems I don't have access to.

2002-10-16 Wednesday 13:35  sam

   * ./modules/access/vcd/vcd.c: changed an error to a warning in the probe
     phase.
   * ./modules/video_filter/deinterlace/deinterlace.c: the bob method now
     flickers less thanks to a patch from Marian Durkovic <md@bts.sk>.

2002-10-16 Wednesday 12:31  sam

   * ./src/misc/variables.c: fixed a deadlock in command variables handling;
     we now release the variable lock before calling the command.
   * ./src/misc/threads.c: removed deprecated code.

2002-10-16 Wednesday 01:10  massiot

 * Fixed filters which couldn't work with more than 2 channels ;
 * Fixed detection of VCD support under OS X.2.

2002-10-16 Wednesday 01:00  massiot

 Fixed VCD detection under MacOS X.

2002-10-15 Tuesday 21:56  gbazin

 * modules/access/vcd/*, configure.ac.in:
    - Major changes to allow reading vcd images directly from the hard drive
       (you need a .cue and .bin file).
    - Removed duplicated code by merging ioctl_GetTrackCount and ioctl_GetSectors.
    - Implemented necessary ioctls for Win9x/NT/2K/XP.

2002-10-15 Tuesday 14:30  sam

   * ./po/*: updated locales.

2002-10-15 Tuesday 10:35  sam

   * ./include/vlc_threads_funcs.h, ./src/misc/threads.c: eradicated
     vlc_mutex_need() and vlc_mutex_unneed().
   * ./src/misc/variables.c: implemented VLC_VAR_MUTEX variables.
   * ./modules/misc/gtk_main.c, ./src/libvlc.c: replaced named mutexes with
     named mutex variables.

2002-10-15 Tuesday 03:50  fenrir

  * cinepak.c : initialize picture to black.

2002-10-15 Tuesday 02:56  fenrir

  * all : forgot to add theses new files :p

2002-10-15 Tuesday 02:55  fenrir

  * all : begin to rewrite some parts of avi demux, mainly to clean ugly code
 and to prepare for OpenDML support.
 Add new options :
   --avi-index force index creation.
   --avi-interleaved force method used for unseekable stream but need
 interleaved stream and could lead to loss of audio/video synchro.

2002-10-15 Tuesday 01:11  titer

 Cleaner code.

2002-10-14 Monday 23:59  fenrir

  * araw.c : pseudo pcm decoder
  * wav : demux for wav file( should work with raw pcm, mp3 or a52 stream ) but
 untested under big endian machine(for pcm).

 All are compiled by default.

2002-10-14 Monday 23:42  alexis

 Update for 0.4.5 release.
 Update of the description.

2002-10-14 Monday 23:36  alexis

 Updated description.

2002-10-14 Monday 22:09  titer

 Fixed seeking.

2002-10-14 Monday 21:04  sam

   * ./modules/misc/testsuite/test4.c: made the 4th test less CPU intensive
     by making the spawned threads wait a bit longer.
   * ./src/misc/variables.c: added a usage count to the variables; trying to
     create a variable with the same name only increments its refcount.

2002-10-14 Monday 18:46  sam

   * ./include/vlc/vlc.h, ./src/libvlc.c: added VLC_Error() to the libvlc API.
   * ./include/main.h: removed p_vlc->i_status because it was not sufficient
     to represent all the possible states of p_vlc; each part should be tested
     separately upon destruction.
   * ./src/misc/objects.c: fixed a signed/unsigned bug that prevented creation
     of VLC_OBJECT_GENERIC objects.

   * ./src/misc/variables.c: added the VLC_VAR_COMMAND type which is simply a
     variable that stores a function pointer, and calls it when var_Get is
     called for it. The function argument is taken in val.psz_string.
   * ./src/misc/objects.c: vlc_dumpstructure and vlc_liststructure are no longer
     exported to the rest of the program; instead, they're VLC_VAR_COMMAND vars
     ("tree" and "list").
   * ./modules/control/rc/rc.c: moved a few commands to VLC_VAR_COMMAND vars.

2002-10-14 Monday 18:35  sam

   * ./src/misc/error.c: added vlc_error, a strerror() equivalent.

2002-10-14 Monday 18:34  sam

   * ./modules/misc/testsuite/test4.c: added a stress test module; doesn't get
     compiled yet because it uses the "command" variables I'm about to check
     in. They need to be typed in the rc interface for instance (-I rc). This
     module has two available commands: "signal <int>" which sends the given
     signal to the vlc process, and "stress [<int>]" which performs a series of
     object creation/lookup/destruction, variable creation/setting/destruction
     and thread spawning/joining tests. The optional argument for stress is an
     integer between 1 and 200 (the bigger, the heavier the tests; it may hang
     your machine at around 150, be careful).

2002-10-14 Monday 01:01  massiot

 Imported Changelog from 0.4.5.

2002-10-14 Monday 01:00  massiot

 Fixed a typo.

2002-10-14 Monday 00:51  massiot

 Added recent ipkg files in the tarball.

2002-10-14 Monday 00:34  massiot

 Updated Mac OS X README.

2002-10-13 Sunday 17:39  titer

 Now BeOS sound is (almost) clean.
 It is kludgy, but it works ;)

2002-10-13 Sunday 16:26  sigmunau

  modules/demux/util/id3*: fixed up some dead comments
  modules/gui/kde/*: only set variable the user actually have changed when
 apply is pressed in the preferences window.

2002-10-13 Sunday 01:15  alexis

 Fixed a bug in the developer doc : hacking.xml and overview.xml were
 identical ! So I removed hacking.xml...

2002-10-12 Saturday 23:31  gbazin

 * configure.ac.in: fix for the mingw32 build. The gtk plugin may also need mingwex.
 * modules/demux/mpeg/ts.c: added an #include <stdint.h> to make mingw32 happy when
    compiled with libdvbpsi.
 * Makefile.am: fixed dependency problem with share/vlc_win32_rc.rc.

2002-10-12 Saturday 23:26  gbazin

 * configure.in: fix for the mingw32 build. The gtk plugin may also need mingwex.
 * plugins/mpeg_system/mpeg_ts.c: added an #include <stdint.h> to make mingw32 happy.

2002-10-12 Saturday 22:09  gbazin

 * configure.ac.in: fix for the mingw32 build. We check if we need to explicitly
    link with the mingwex library (needed for dirent support with new mingw32
    runtimes).

2002-10-12 Saturday 21:59  gbazin

 * configure.in: slight modifications to the last mingw32 build fix.

2002-10-12 Saturday 21:47  gbazin

 * configure.in: fix for the mingw32 build. We check if we need to explicitly
    link with the mingwex library (needed for dirent support with new mingw32
    runtimes).

2002-10-12 Saturday 14:24  titer

 Rewritten BeOS audio output for audio output 3. It now "pulls" the data.
 Sound is yet choppy (I don't know why).

2002-10-12 Saturday 01:44  massiot

 * Updated FAQ.

2002-10-12 Saturday 01:44  massiot

 * Updated FAQ.
 * Updated project files for 0.4.5 release.

2002-10-12 Saturday 00:32  sam

 Changes to the libvlc API:
   * ./include/vlc/vlc.h: changed the naming conventions for libvlc. Now
     exported functions start with VLC_ instead of vlc_ to avoid conflicts.
   * ./include/vlc/vlc.h: removed the vlc_object_t, vlc_list_t, vlc_error_t
     and vlc_t types; they are now internal types only.
   * ./include/vlc/vlc.h: merged the reentrant and non-reentrant libvlc
     calls. In non-reentrant mode, we just use 0 as the first argument. In
     reentrant mode, we use an object's ID. (see below)

 Internal changes:
   * ./src/libvlc.c, ./src/misc/objects.c: instead of manipulating vlc_object_t
     pointers, we manipulate their i_object_id. When needed, an object is
     retrieved using vlc_object_get (I hope the lookup isn't too expensive,
     that's why I designed the pp_objects layout to allow log2(n) seeks).
   * ./src/misc/objects.c: activated the per-object variable storage. Unused
     yet, unless you want to try "getfoo" and "setfoo blablah" in vlc -I rc.
   * ./include/vlc_objects.h: moved the vlc_object_t and vlc_list_t definitions
     here.

 Misc:
   * ./src/vlc.c, ./mozilla/vlcshell.cpp: removed inclusion of config.h in
     code portions not part of libvlc; it was just required for the
     COPYRIGHT_MESSAGE string which is now available from VLC_Version().

2002-10-11 Friday 23:17  sam

   * ./plugins/filter/deinterlace.c: fixed the green bottom line in the
     linear deinterlace mode, thanks to Marian Durkovic <md@bts.sk>.

2002-10-11 Friday 19:29  gbazin

 * INSTALL.win32: removed note about running in administrator mode to play
    a DVD. Updated doc about using cygwin for compiling.

2002-10-11 Friday 14:50  sigmunau

 added some coloring to the messages window in the kde interface

2002-10-11 Friday 13:05  sam

   * ./src/misc/variables.c, ./include/variables.h: a few functions for
     in-object variable storage. Unused yet (not even compiled).

2002-10-11 Friday 12:08  gbazin

 * src/misc/modules.c: fixed a memory leak with the "plugin-path" config option.
 * modules/audio_output/directx.c, modules/audio_output/waveout.c: ported the directx
    and waveout audio plugins to the new changes in the audio output layer.
 * configure.ac.in: fixes for cygwin compilation, and the gtk plugin under mingw32.

2002-10-11 Friday 11:01  gbazin

 * src/interface/main.c, src/misc/modules.c: added a quick hack for a
    --plugin-path command line option.
 * INSTALL.win32: removed note about running in administrator mode to play
    a DVD.

2002-10-11 Friday 01:11  titer

 Some clean-up. Playlist works again.

2002-10-11 Friday 00:50  massiot

 * Updated 0.4.5 Changelog.
 * Bumped up revision number to 0.4.5.
 * Do not use vasprint on Mac OS X because X.1 doesn't have that.

2002-10-11 Friday 00:46  massiot

 Do not use vasprintf under Mac OS X because OS X.1 doesn't have that (how
 lame...).

2002-10-10 Thursday 21:34  sigmunau

  messages.cpp: use append(...) and not setText( text() + ...), seems to
 decrease cpu-usage considerably.
  preferences.cpp: allow config strings to be 40 characters long instead of
 10. Is that enough?

2002-10-10 Thursday 19:25  sam

   * ./configure.ac.in: dropped the use of typeset in favor of eval to
     set variable values (ash doesn't have typeset).

2002-10-10 Thursday 00:54  massiot

 * (Hopefully) fixed S/PDIF outputs ;
 * Finally fixed the audio problem on most platforms.

2002-10-09 Wednesday 17:29  stippi

 improved title and chapter navigation in BeOS GUI, added LCD type info view displaying current file, title, chapter and elapsed time

2002-10-09 Wednesday 03:14  titer

 BeOS compilation fixes.

2002-10-09 Wednesday 00:48  massiot

 OS X : raised the priority of the intf at the same level as the video, since
 otherwise we can't quit the application any longer...

2002-10-08 Tuesday 20:10  sam

   * ./src/libvlc.c, ./src/misc/messages.c: due to horrible user threats,
     only two levels of -v are now possible: -v for warnings, -vv for debug
     messages (-q for no output at all).

2002-10-08 Tuesday 18:02  sam

   * ./src/input/input.c: do not try to use stream output if the "sout" variable
     is set to the empty string (happens when doing "Apply" in a GUI).

2002-10-07 Monday 23:58  massiot

 * HACKING : documentation for the automake crash
 * http.c : fixed a problem with seeking with large files

2002-10-07 Monday 23:28  jpsaman

 Dependencies for SDLAudio (esd/esddsp) and instalation script fixes.

2002-10-06 Sunday 22:23  jpsaman

 Patch for using libgpewidget library for full GPE support.

2002-10-06 Sunday 22:23  jpsaman

 file gpe-configure.in.patch was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 21:59  jpsaman

 file gpe.patch was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 21:59  jpsaman

 Adding patch for using GPE specific libraries.

2002-10-06 Sunday 21:39  jpsaman

 file control.gpe was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 21:39  jpsaman

 Added control file for Familiar GPE build. There are three control files now:
 - control : depends on task-x and sdl only for backwards compatibility of familiar v0.5.3.
 - control.gpe : depends on gpe specific libraries (gpe.handhelds.org) for familiar v0.6 and onwards.
 - control.opie : depends on qt embedded libraries (opie.handhelds.org) for familiar v0.6 and onwards.

2002-10-06 Sunday 21:35  jpsaman

 Updated rules

2002-10-06 Sunday 21:28  gbazin

 * configure.ac.in: vlc can now be built under cygwin with or without the
    unix emulation layer (without if you use CC="gcc -mno-cygwin").
 * INSTALL.win32: doc update for cygwin build.
 * modules/video_output/directx/events.c, modules/video_output/directx/directx.c,
    modules/audio_output/directx.c: compilation fixes for cygwin.

2002-10-06 Sunday 21:24  jpsaman

 Familiar GPE packaging files.

2002-10-06 Sunday 21:23  jpsaman

 file sdl.patch was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 21:23  jpsaman

 Rename ipkg/patch to sdl.patch

2002-10-06 Sunday 21:15  jpsaman

 GPE packaging files.

2002-10-06 Sunday 21:01  jpsaman

 Files for gpe package.

2002-10-06 Sunday 20:56  jpsaman

 file postinst.gpe was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 20:56  jpsaman

 More GPE packaging stuff for Familiar Linux distribution.

2002-10-06 Sunday 20:56  jpsaman

 file postrm.gpe was initially added on branch v0_4_1_branch.

2002-10-06 Sunday 13:47  jpsaman

 GPE menu launch script for iPaq port.

2002-10-06 Sunday 13:47  jpsaman

 file vlc.gpe was initially added on branch v0_4_1_branch.

2002-10-05 Saturday 21:26  jlj

   ./src/misc/netutils.c: GetMacAddress Darwin support
   ./src/libvlc.h: Default to en0 instead of eth0 under Darwin

2002-10-05 Saturday 19:29  gbazin

 * ALL: Splitted the directx plugin into an audio and video module.

2002-10-05 Saturday 05:44  bozo

 Up-to-date ALSA audio output module.

2002-10-05 Saturday 02:10  jlj

   ./extras/MacOSX/.../MainMenu.nib: added Open Target panel
   ./modules/gui/macosx/open.[mh]: Open Target code

2002-10-04 Friday 20:07  sam

   * ./configure.ac.in: removed now unnecessary --force-exe-suffix flag.
   * ./src/misc/objects.c: structure_lock is now local.
   * ./src/misc/threads.c: implemented named mutexes which provide a handy
     way to protect data across plugins which might be sharing the same
     resources. Thread-unsafe libraries come to mind, but we can imagine
     using a named mutex for configuration files, or special devices.
   * ./include/main.h: removed global_lock because of vlc_mutex_need, removed
     p_global_data because it was never used, removed structure_lock because
     it did not belong here.

2002-10-04 Friday 16:02  sam

   * ./modules/gui/macosx/vout.m: if no MacOS X interface is available when
     the video output is initialized, we wait for a while before giving up;
     also changed the code so that it probes all interface objects rather than
     the first one it finds.

2002-10-04 Friday 15:13  sam

   * ./bootstrap: we use the proper linker for plugin compilation.
   * ./modules/misc/testsuite/*: moved the null module into three test modules
     that are only built when --enable-testsuite is activated. This directory
     can be a good place for compilation tests or performance benchmarks.

2002-10-04 Friday 14:01  gbazin

 * src/misc/threads.c, src/misc/win32_specific.c, include/interface.h: fixed typos.
 * configure.ac.in, modules/gui/gtk/gtk.c: Added a NEED_GTK_MAIN macro to the compiler
    flags for the gtk module. When this macro isn't defined, then the gtk module
    doesn't make use of the gtk_main module. I had to do this change because the
    gtk_main trick can't work on win32 and render the whole gtk interface unusable.

2002-10-04 Friday 00:14  massiot

 * Backported RTP access module from HEAD.
 * Fixed a compile issue in the HTTP plug-in.

2002-10-03 Thursday 23:45  massiot

 Fixed miscellaneous problems with the RTP plug-in.

2002-10-03 Thursday 23:14  jpsaman

 Found bug in configure.in script Qt Embedded definition used $(QTDIR) i.s.o ${QTDIR}

2002-10-03 Thursday 23:10  jpsaman

 vlc launch script for opie.

2002-10-03 Thursday 23:10  jpsaman

 file vlc.opie was initially added on branch v0_4_1_branch.

2002-10-03 Thursday 23:01  jpsaman

 Updated for opie

2002-10-03 Thursday 22:49  jpsaman

 Fixed known bug in rtp plugin which resulted in superflous error messages.

2002-10-03 Thursday 22:46  jpsaman

 Updated AUTHOS file.

2002-10-03 Thursday 20:56  sam

   * ./configure.ac.in: duplicated arguments to AM_INIT_AUTOMAKE to fix
     locales breakage.
   * ./src/libvlc.c: libvlc understands the VLC_VERBOSE environment variable,
     to be set between 0 and 4. Default value is 0 for a program using libvlc,
     but vlc sets it to 1 by default.
   * ./src/misc/configuration.c: -v now works the old way (-v, -vv, -vvv) as
     well as the new way (-v0, -v1, -v4). -v1 is the same as -v, and -v0 is
     the same as -q (quiet). Hope it's all understandable.

2002-10-03 Thursday 19:01  gbazin

 * FAQ: updated FAQ with config file issues.
 * configure.ac.in: use -mms-bitfields instead of -fnative-struct for
    mingw32 gcc-3.x.
 * include/interface.h, modules/misc/dummy/interface.c, modules/misc/logger/logger.c,
    modules/control/rc/rc.c: Display message on Win32 explaining how to get
    back to the GUI mode.
 * src/misc/threads.c, include/vlc_threads_funcs.h: ignore the
    win9x-cv-method config option on WinNT when fast-mutex is not enabled.

2002-10-03 Thursday 18:44  gbazin

 * FAQ: updated FAQ with config file issues.
 * configure.in, configure: user -mms-bitfields instead of -fnative-struct
    for mingw32 gcc-3.x.
 * include/interface.h, plugins/dummy/intf_dummy.c, plugins/text/logger.c,
    plugins/text/rc.c: Display message on Win32 explaining how to get back
    to the GUI mode.
 * include/threads_funcs.h, src/misc/win32_specific.c: ignore the
    win9x-cv-method config option on WinNT when fast-mutex is not enabled.

2002-10-03 Thursday 15:21  sam

   * ./src/libvlc.c, ./include/main.h: the root of all objects is now
     p_libvlc, and each p_vlc is a child of p_libvlc. Reasons for this are:

      o the module bank and the message bank only need to be initialized once,
        which gives faster loads when multiple instances of libvlc are used,
      o we allow the possibility of different p_vlc sharing objects, for
        instance the audio output,
      o the CPU detection is only done once.

     This patch is not polished yet, but I cannot do any intensive tests for
     the moment because of a bug somewhere that leaves audio output objects
     lying here and there which needs to be investigated first. The current
     major issue is that the module bank is no longer freed.

2002-10-03 Thursday 12:15  sigmunau

 forgot to add the actual code in my last commit

2002-10-03 Thursday 12:15  sigmunau

  kde.cpp: subscribe and unsubscribe messages
  interface.cpp, interface.h: create a messages window, and add menu iten to
 show it
  Modules.as: build messages window
  ui.rc: menuitem to show messages
  preferences.cpp: fixed typo in comment

2002-10-03 Thursday 11:25  sam

   * ./modules/gui/win32/win32.bpr: use the .dll extension instead of .so.

2002-10-03 Thursday 11:21  jpsaman

 Added author Gerald Hansink of Qt Embedded Video Output to AUTHORS list.

2002-10-03 Thursday 10:44  sam

   * ./bootstrap: fixed a bug I introduced yesterday that caused automake
     version detection not to work properly.

2002-10-03 Thursday 00:56  massiot

 * Mac OS X audio device discovery and selection, patch courtesy of
 Heiko Panther <heiko.panther@web.de>.

2002-10-02 Wednesday 18:02  sam

   * ./bootstrap: added a check for automake bug #326. No easy workaround is
     really possible other than patching/upgrading automake. This happens for
     automake 1.6.0 and automake 1.6.1.

2002-10-02 Wednesday 17:37  sigmunau

 fixed some insanities which coused this module to fail on a52 sound

2002-10-02 Wednesday 15:28  sam

   * ./Makefile.am: removed a circular dependency on src/misc/modules_plugin.h.

2002-10-02 Wednesday 15:26  sam

   * ./Makefile.am: another workaround for an old automake 1.5 bug (bug #279).

2002-10-02 Wednesday 14:59  sam

   * ./bootstrap, ./Makefile.am: workarounds for automake 1.5.

2002-10-02 Wednesday 11:15  sam

   * ./configure.ac.in: --enable-a52 activates a52tofloat32, not a52.
        (always re-run bootstrap when configure.ac.in has changed).

2002-10-02 Wednesday 00:34  massiot

 Fixed a bug in the OSS output I introduced yesterday.

2002-10-02 Wednesday 00:26  massiot

 For people who have several network interfaces, added a --iface-addr option
 to select which interface to use for multicast sockets.

2002-10-01 Tuesday 23:55  massiot

 Finally fixed the A/52 TS input.

2002-10-01 Tuesday 23:47  massiot

 Finally fixed A/52 TS input.

2002-10-01 Tuesday 22:43  ipkiss

 * modules/video_output/directx/events.c: added an "Always on top" entry
   in the system menu.

2002-09-30 Monday 23:32  massiot

 * Made audio_sample_format->i_format a FOURCC to allow the creation of
 new ones.

2002-09-30 Monday 22:13  jpsaman

 Configuration, compile and build settings for:
 - Familiar Linux Gtk+ interface
 - Qt Embedded video ouput
 - preparations for opie interface.

2002-09-30 Monday 21:55  jpsaman

 Adding files for ipkg packaging system off Familiar Linux.

2002-09-30 Monday 21:53  jpsaman

 Adding icons for familiar interface.

2002-09-30 Monday 20:30  titer

 Attempt to port new BeOS features from the stable branch.
 Playlist is yet broken (maybe others things too)

2002-09-30 Monday 17:47  sam

   * src/*: another bunch of .cvsignore files.

2002-09-30 Monday 17:46  sam

   * ./debian/rules: moved the gtk_main and gnome_main plugins to the gvlc
     and gnome-vlc packages.
   * ALL: updated .cvsignore files to properly ignore automake files.

2002-09-30 Monday 13:05  sam

   * ALL: the build mechanism now uses automake. See HACKING for more details.
   * ./mozilla/vlcplugin.cpp: javascript support for the Mozilla plugin.
   * debian/rules: the A52 module is now in a separate package.

2002-09-30 Monday 12:00  sam

   * ALL: added *.am files here and there for future automake support.

2002-09-29 Sunday 20:19  sam

   * ./src/playlist/playlist.c: don't run the playlist by default.
   * ./src/libvlc.c: if items are specified in the commandline, run the playlist.
   * ./src/vlc.c: don't rely on internal vlc types (mtime_t).

2002-09-29 Sunday 20:16  sam

   * ./src/misc/threads.c: fixed a bug in the st_mutex_new() failure detection.

2002-09-29 Sunday 17:39  jpsaman

 Updating ipkg files for X and QT Embedded packages of vlc.

2002-09-29 Sunday 14:04  titer

 BeOS enhancements by Stephan Assmus :
   - many fixes
   - added ability to open a file by dropping it onto the vlc icon
   - blanks cursor when no activity
   - added "Speed" menu
   - made nicer look similar to BeOS MediaPlayer
   - playlist now functioning
   - screen capture option
   - and more...

2002-09-28 Saturday 15:05  massiot

 * Several stability patches for multiple input streams aout.

2002-09-28 Saturday 01:38  massiot

 * Makefile.old: Fixed BeOS compilation.
 * ALL: Fewer overhead when resampling.

2002-09-27 Friday 00:56  massiot

 * Fixed my A/52 fix.

2002-09-27 Friday 00:43  massiot

 * Fixed my A/52 fix.

2002-09-27 Friday 00:40  massiot

 * Major API change of the audio output. New aout_Dec* functions.
 * Fixed a compile issue in s16tofloat32swab.
 * Fixed a typo in demux/mpeg/ts.c.

2002-09-26 Thursday 01:11  massiot

 Backported support for VLS CVS with regards to A/52 streams. Also
 backported --vls-backwards-compat option. Please test.

2002-09-25 Wednesday 22:41  jpsaman

 Added compiler and link flags to --enable-opie (not tested).

2002-09-25 Wednesday 22:25  jpsaman

 Adding lost instruction for compiling libmad library.

2002-09-24 Tuesday 01:05  massiot

 * New --vlc-backwards-compat option, to go back to the old behavior with old
 VLS's.
 * Fixed a bug with non-ASCII characters in the OS X playlist.
 * Fixed a warning on start-up.

2002-09-23 Monday 23:44  jpsaman

 Video output for QT embedded compiles. There are still some linking issues to fix, before it is usable.

2002-09-22 Sunday 16:53  massiot

 Fixed a bug in the conversion splitter.

2002-09-21 Saturday 22:20  jlj

   * ./modules/audio_filter/converter/Makefile: Fixed typo.

2002-09-21 Saturday 01:27  massiot

 * Fixed miscellaneous cosmetic issues with lpcm and s16tofloat32swab modules.
 * First hooks for changing the audio output plug-in and its parameters
   on-the-fly.

2002-09-19 Thursday 23:56  massiot

 * Audio volume management now works properly. See src/audio_output/intf.c
   for information on how to use it in your interface plug-ins. In the
   SDL vout, b and n are mapped to sound down/sound up.
 * Fixed a major in the mad plug-in with wrong dates.
 * Fixed a compilation bug.

2002-09-19 Thursday 17:58  fenrir

  * avi.c : fix my last fix about endiannes issues (I hope)

2002-09-19 Thursday 01:34  fenrir

  * all: fix endian issue with new definition of VLC_FOURCC, but
 untested. Meuuh, could you test it ?

2002-09-18 Wednesday 23:21  massiot

 * ALL: More hooks for audio volume management.
 * configure.in: Fixed a typo.

2002-09-18 Wednesday 14:20  sam

   * ./modules/audio_filter/converter/s16tofloat32swab.c: compilation fix for
     systems which don't have swab(). Fixed a memory leak.

2002-09-18 Wednesday 13:50  tcastley

 Updated to use the new AOUT_VOLUME_* constants.

2002-09-18 Wednesday 03:28  henri

 lpcm support (tested on 1 source only)

2002-09-17 Tuesday 16:56  sam

   * ./src/libvlc.c: switched the position of msg_Create() and system_Init()
     because the BeOS system_Init spawns a thread, which makes use of msg_*
     functions.
   * ./src/misc/threads.c, ./src/misc/win32_specific.c: put the detection
     of SignalObjectAndWait in the thread system initialization because
     system_Init() now happens after msg_Create().

2002-09-17 Tuesday 13:57  fenrir

  * all: - fix a memory leak while parsing.
         - fix a bug while playing last frames (in last chunk).
         - add seek support, not complete but usable.

2002-09-17 Tuesday 10:18  sam

   * ./mozilla/*: added hooks so that the vlc plugin is scriptable from
     javascript. It's also in C++, but we didn't have the choice.

2002-09-16 Monday 22:46  massiot

 * configure.in: Fixed detection of Qt-embedded.
 * modules/codec/a52.c: Fixed detection of A/52 sound.
 * modules/audio_filter/converter/a52tofloat32.c: Fixed a bug related to
   downmixing.
 * ALL: Added hooks for audio volume management.

2002-09-16 Monday 10:10  sam

   * ./modules/gui/gtk/gtk.glade: handled delete event for the Open window.

2002-09-16 Monday 00:33  ipkiss

  * modules/gui/win32/preferences.cpp: added a forgotten initialization

2002-09-15 Sunday 22:54  jpsaman

 Configure option --enable-qte works now (default is disabled).
 Porting video out plugin/builtin for Qt Embedded to CVS is not complete. (Please do not use it.)

2002-09-15 Sunday 21:32  jpsaman

 Hide progressbar widget on startup.

2002-09-14 Saturday 22:51  stef

 *Fixed a bug that prevented OSS from closing cleanly in spdif.

2002-09-14 Saturday 22:50  stef

 *Fixed a typo that made spudec selection fail.

2002-09-14 Saturday 00:38  massiot

 (Temporary) end of the audio output 3 documentation.

2002-09-12 Thursday 01:10  stef

 .Quick hack to make spdif work with emu10k1 oss driver. Still buggy.

2002-09-12 Thursday 01:08  stef

 .Fixed the length of the spdif frame.

2002-09-10 Tuesday 14:58  sam

   * ./modules/misc/dummy/vout.c: fixed an endianness issue in the commandline
     chroma parsing.

2002-09-10 Tuesday 14:15  sam

   * ./modules/video_output/x11/xcommon.c: if we do not own the X window, like
     in the Mozilla plugin, we do not try to unmap it.

2002-09-09 Monday 15:52  sam

   * ./configure.in: the DV module is now a plugin, with the proper
     dependencies in debian/control.

2002-09-09 Monday 00:20  massiot

 Three lines :).

2002-09-07 Saturday 01:15  massiot

 Aout3 developer documentation, cont'd.

2002-09-04 Wednesday 23:44  massiot

 Beginning of the developer documentation for audio output 3.

2002-09-04 Wednesday 23:18  jpsaman

 Little cleanup action.

2002-09-04 Wednesday 23:13  jpsaman

 Qt Embedded video out patch courtesy of Gerald Hansink.
 Ported Qt Embedded video out to vlc-0.5.0 (it is not useable yet).

2002-09-04 Wednesday 23:09  jpsaman

 Renamed --enable-qte switch for Qt Embedded interface support to --enable-opie.
 Reused --enable-qte for Video Out support under Qt Embedded.

2002-09-03 Tuesday 14:03  tcastley

 Added Stephan Assmus who is helping with the BeOS Code

2002-09-03 Tuesday 14:00  tcastley

 src/misc/beos_specific.cpp:
 - Implemented VlcApplication::RefsReceived()
 - this added ability to open a file by dropping its icon onto the vlc icon
 - this makes Open With... work as well
 plugins/beos/intf_beos.cpp
 - A message is sent to be_app when the interface is created
 	(needed to support BApplication::RefsReceived())
 plugins/beos/vout_beos.cpp
 - reacts on Escape and Tab key to switch fullscreen/window mode
 - blanks cursor when no activity
 - Fixed a memory leak in VideoWindow::ScreenChanged()
 - Fixed the ugly scrambled video content before any decoding actually begins
 - Added selectable aspect ratio correction
 - Added better error handling when setting the drawing mode
 plugins/beos/InterfaceWindow.h/.cpp
 - Implemented dynamic view layout
 - Fixed crashes in MessageReceived() when no file was loaded
 - Implemented disabling of menus when no file is loaded
 - Added "Speed" menu
 - Added ability to enable navigation menu items according to features of current stream
 - Cleaned up code somewhat
 - Changed parts of LanguageMenu::GetChannels() to show more user friendly and no invalid entries
 - better support for muting and volume info
 - better support for scrubbing and detection of stopped stream
 plugins/beos/MediaControlView.h/.cpp
 - Added dynamic layout of elements
 - Exchanged rewind/fastforward buttons for skip buttons that skip to the next chapter if stream supports it.
 - made nicer looking SeekSlider similar to BeOS MediaPlayer
 - made VolumeSlider similar to BeOS MediaPlayer, plus additional features that one doesn't have (muted state)
 - got rid of MediaSlider (no need for it anymore)
 - detection of stopped stream
 plugins/beos/Bitmaps.h
 - Added bitmaps for VolumeSlider
 plugins/beos/intf_vlc_wrapper.h/.cpp
 - added set_volume() and is_muted() functions
 - fixed a bug in toggle_muted()

2002-09-03 Tuesday 01:21  massiot

 Fixed the trivial channel mixer.

2002-09-03 Tuesday 01:17  massiot

 The liba52 "codec" is now an audio filter. It means we are now able to
 autodetect S/PDIF hardware support and the audio output plug-in chooses
 the best one. Of course it probably breaks existing output modules, see
 oss.c for hints :).

 Also include minor tweaks which will entitle us to decode and output 5.1
 audio. It may break existing plug-ins, too. See
 audio_output.c:aout_FormatNbChannels for hints.

2002-09-01 Sunday 23:20  massiot

 Added a priority for video decoders, for systems with fixed-priority
 policy.

2002-09-01 Sunday 00:10  stef

 *It seems that the setting of the fragment size was buggy.

 OSS work with my sblive! now :). It still works on my other computer too
 but please test.

2002-08-31 Saturday 21:58  stef

 *Make pf_setformat disappear from sdl module.

2002-08-31 Saturday 01:27  massiot

 aout3 API change :
 pf_setformat disappears (it was never called independantly of Open). If
 the format needs to be changed, we will have Close/Open. This is much
 simpler than before. Please check that I didn't break some plug-ins.

2002-08-31 Saturday 00:22  massiot

 * demuxes: Worked around a bug in old VLC and VLS by changing TS stream types
   (see my last mail).
 * aout: Rewrote our whole lock policy. The output thread now doesn't require
   the mixer_lock, which might avoid delays. We will also be able to change
   the filter pipelines at runtime.

2002-08-30 Friday 21:16  sam

   * ./include/vlc_threads_funcs.h, modules/video_output/directx/vout.c: Win32
     compilation fixes (typo, undeclared var).

2002-08-30 Friday 14:23  sam

   * ./configure.in: do not try to link with -lrt if not using pthreads. This
     might break the HP/UX or Solaris ports, please check if possible.
   * ./src/misc/threads.c: fixed syntax in the st and pth implementations.

2002-08-30 Friday 01:53  massiot

 * ./bootstrap : Fixed an issue with old shell versions
 * ALL : Added a priority argument to vlc_thread_create(), so that audio
 and input threads can run with a higher real-time priority, on systems
 allowing you to use priorities.

2002-08-30 Friday 00:29  ipkiss

 The win32 interface is preparing for the internationalization.

2002-08-29 Thursday 00:44  massiot

 * Fixed libmad's output volume.

2002-08-29 Thursday 00:25  massiot

 * Finally fixed the segfault when resampling.
 * Reactivated the A/52 demux.
 * Wrote a real full-featured float32 mixer.

2002-08-28 Wednesday 23:40  sam

   * ./Makefile.old: fixed the automatic dependency rule (include dirs missing).

2002-08-28 Wednesday 21:48  massiot

 It now works when there is no automake-1.5 nor automake-1.6.

2002-08-28 Wednesday 17:30  sam

   * ./m4/*: added gettext m4 macros so that the configure behaviour is
     always the same.

2002-08-28 Wednesday 16:22  sam

   * Additional fixes for bootstrap when gettext isn't available.

2002-08-28 Wednesday 15:38  sam

   * ./bootstrap: fixed a shell error (replaced "if `foo`" with "if foo").

2002-08-28 Wednesday 14:50  sam

   * ./bootstrap: we should be able to bootstrap CVS even without gettext.

2002-08-27 Tuesday 23:53  sigmunau

 fixed a minor bug

2002-08-27 Tuesday 16:15  sam

   * ./HACKING: we can now use automake-1.5 instead of automake-1.6. But now
     we _really_ depend on it.
   * ./bootstrap: we don't use touch to create a file, because it doesn't seem
     to work everywhere.

2002-08-27 Tuesday 01:36  sam

   * ./bootstrap: we touch m4/Makefile.am so that configure doesn't complain
     about a missing m4/Makefile.in.
   * ./include/vlc_common.h: workaround for Borland's redefinition of PACKAGE.

2002-08-27 Tuesday 01:00  massiot

 * Miscellaneous S/PDIF fixes.
 * New NextPTS() function, to replace CurrentPTS() (gives the PTS which will
   be valid for NEXT byte).
 * Fixed mono mode in the builtin mpeg audio decoder.
 * Various fixes related to PTS calculation in audio decoders.

2002-08-27 Tuesday 00:54  sigmunau

 have my filter compile by default

2002-08-27 Tuesday 00:35  sigmunau

 An motion blur filter. --blur-factor states the degree of blurring from 1
 to 127. about 100 is cool

2002-08-26 Monday 23:46  sam

   * ./bootstrap: another fix for old versions of autoconf which don't seem
     to like the gettext m4 files.

2002-08-26 Monday 22:49  sam

   * ./configure.in: we now require autoconf 2.5x because previous versions
     don't seem to work very well if you are using autopoint, although
     gettext 0.11.5 claims to be fully backwards compatible. Welcome to
     automake hell.
   * ./bootstrap: workaround which uses gettextize if you do not have
     autopoint. We'll probably stay like this for a while, until gettext
     0.11.x (which replaces gettextize with autopoint) becomes more
     widespread. Currently this workaround seems to work, but don't expect
     a clean tarball if you make dist without having used autopoint. Welcome
     to automake hell.

2002-08-26 Monday 12:02  sam

   * ./Makefile.old, ./modules/gui/win32/win32.bpr: fixed header location
     issues in the Win32 build.

2002-08-26 Monday 11:38  sam

   * ./bootstrap: dropped the dependency on gettext 0.11.5. Now 0.10.4 is OK.

2002-08-26 Monday 11:12  sam

    (A few minor pending patches I had around)
   * ./debian/control: gnome-vlc recommends vlc-plugin-esd, and kvlc recommends
     vlc-plugin-arts.
   * ./src/misc/messages.c: message queue now prints the current object type.
   * ./modules/*: cosmetic fixes for the --long-help output.

2002-08-26 Monday 10:36  sam

   * ALL: fixed a few include directories.

2002-08-26 Monday 03:01  sam

   * Moved ./include/defs.h to ./config.h
   * Renamed ./include/config.h to ./include/vlc_config.h
   * Other misc auto* fixes.

2002-08-26 Monday 01:18  sam

   * ALL: started the slow move to automake. For the moment, the changes are
     unnoticeable apart from the extra dependency on autoconf, automake and
     gettextize. See the new HACKING file for some information, especially if
     you don't run Linux.

     The current strategy is to have the configure script generate a nice
     automake Makefile from Makefile.am, and then clobber it with our good
     old dirty Makefile. Muahaha :-)

2002-08-25 Sunday 22:44  jpsaman

 Directory content is now read at startup.

2002-08-25 Sunday 21:27  sam

   * ./src/playlist/playlist.c: -Z flag makes playlist loop endlessly.

2002-08-25 Sunday 19:22  ipkiss

  * all: Unified behaviours using "action list" objects

2002-08-25 Sunday 18:55  sam

   * ./modules/audio_output/oss.c, ./modules/audio_output/sdl.c: improved
     sound synchronization.
   * ./src/audio_output/output.c: reverted another change I previously did :-)

2002-08-25 Sunday 11:39  sam

   * ./src/audio_output/output.c: reverted my previous aout_OutputNextBuffer
     prototype change; it looks like we won't need it after all.
   * ./src/audio_output/output.c: if audio output is too slow, but we
     know there is no next packet, then we play it anyway. Rationale behind
     this is: better play a slightly wrongly dated packet than play silence,
     because it might be wrongly dated but there are chances it won't break
     audio continuity.
   * ./modules/audio_output/sdl.c: workaround for SDL's crap audio output
     system (callback gets called at random times, and no way to know the
     latency of the samples being played). Audio output is now rather good
     here, but please give feedback.
   * ./modules/audio_output/oss.c: we delay a bit before asking for a new
     buffer to avoid starvation.

2002-08-24 Saturday 23:35  sigmunau

  moved id3 related code to a separate utility module since several
 demuxers need it

2002-08-24 Saturday 23:11  sam

   * ./modules/audio_output/oss.c: we don't ask too early for a new buffer,
     but rather sleep a bit.

2002-08-24 Saturday 22:22  sam

   * ./modules/audio_filter/resampler/ugly.c: simple resampler which does not
     insert blank samples, but changes pitch.

2002-08-24 Saturday 19:04  gbazin

 * modules/misc/logger/logger.c: fixed initialization bugs.
 * src/misc/objects.c: in vlc_object_destroy() there's no need to lock structure_lock if
 we are the root object (structure_lock has already been destroyed anyway).

2002-08-24 Saturday 18:07  sam

   * ./modules/audio_filter/resampler/trivial.c: fixed a buffer size calculation
     issue in the trivial resampler.

2002-08-24 Saturday 16:49  sam

   * ./configure.in: fixed a typo that prevented compilation of the network
     modules.
   * ./debian/rules: added faad to the package generation.

2002-08-24 Saturday 13:57  sam

   * ./modules/gui/gtk/open.c: the Gtk and GNOME interfaces no longer ignore
     the "dvd", "frequency" and "symbol-rate" variables.

2002-08-24 Saturday 13:46  sam

   * ./modules/audio_output/oss.c: fixed a bug on module reopening.
   * ./modules/audio_output/oss.c: we now properly set the fragment size.

2002-08-24 Saturday 12:19  sam

   * ./src/audio_output/output.c: added an argument to aout_OutputNextBuffer
     which lets the audio output module give a timeout value for buffer
     delivery. This fixes a few issues with aout modules which were calling
     aout_OutputNextBuffer way too early.

2002-08-24 Saturday 11:55  sam

   * ./debian/*: created legacy packages for smooth upgrades to the upcoming
     0.5.x version, and created the vlc-plugin-svgalib package.

2002-08-24 Saturday 03:14  sigmunau

  fixed an off by factor 10 error. Noted along the way that this module
 seems to be requesting audio some time before the output pipeline is
 finnished

2002-08-23 Friday 16:16  tcastley

 Rewritten aout3.  BeOS currently PUSHES the audio.

2002-08-23 Friday 16:05  sam

   * ./modules/codec/faad/decoder.c: the AAC decoder is in sync with aout3.
   * ./modules/codec/a52old/a52old.c: the a52old decoder as well.

2002-08-22 Thursday 19:14  sam

   * ./modules/audio_filter/converter/fixed32tofloat32.c: fixed conversion.
   * ./modules/codec/mad/libmad.c: ported to the latest aout changes. Still
     doesn't work here, though.

2002-08-22 Thursday 01:19  sam

   * ./include/vlc_common.h: declared aout_fifo_t.

2002-08-22 Thursday 01:17  sam

   * ./include/aout_internal.h: exported aout_FifoPop to plugins.

2002-08-22 Thursday 00:41  massiot

 Big round of fixes in the aout3.
 * Audio and video should now _always_ be perfectly in sync.
 * Changes in a52.c (end_date management) must be ported to other codecs,
   otherwise mixer errors will appear.
 * Audio output plug-in can now tell whether they can handle a little
   clock drift (for instance, inserting zeroes after a pause).

2002-08-21 Wednesday 21:30  jpsaman

 Stopping vlc from the Familiar interface is possible again.

2002-08-21 Wednesday 19:31  sam

   * ./src/misc/modules.c: if a plugin requested not to be unloaded, then we
     won't unload it. This makes us more fault-tolerant with crap libraries
     that are making use of atexit().
   * ./configure.in: svgalib can now be a plugin.
   * ./modules/misc/gtk_main.c: gtk_main doesn't need g_atexit anymore.

2002-08-21 Wednesday 17:55  sam

   * ./modules/misc/gtk_main.c: fixed a minor compilation warning.

2002-08-21 Wednesday 17:53  sam

   * ./include/vlc_common.h: we don't set _() and N_() in Gnome-enabled modules
     because <gnome.h> already does it for us.

2002-08-21 Wednesday 17:10  sam

   * ./modules/video_output/svgalib.c: SVGAlib video output module.

     Currently only supports 256 color output, and defaults to 320x200. You need     to be root to use it, it may leave your console in an unusable state, lock
     up your video card, it will segfault at exit if you compile it as a plugin
     because of SVGAlib's ludicrous use of atexit() and signal().
     Apart from these few glitches, it's rather OK, use "-I dummy -V svgalib"
     to activate. Q or Esc to quit (press for a long time if it doesn't work).

2002-08-21 Wednesday 13:07  xav

 Fixed a polioterie in the previous commit

2002-08-21 Wednesday 11:27  sam

   * ./modules/codec/a52old/a52old.c: ported the old A52 decoder to aout3.
   * ./modules/audio_filter/converter/s16tofloat32.c: converter needed for
     a52old, includes the walken trick and b_in_place = true.

2002-08-21 Wednesday 11:26  xav

 * libvlc.c : Win32 compilation fix.
 * modules.c : we now check the directory plugins/ to find some plugins.
 (this will allow us to use the packager / installer which wasn't aware
 of plugins -> modules :)

2002-08-21 Wednesday 00:11  stef

 *Set output format to AOUT_FMT_SPDIF when in spdif mode.

 S/PDIF does not work here in oss though (output starving).

2002-08-20 Tuesday 23:10  sam

   * ./modules/gui/gtk/display.c: changed the configuration callbacks so that
     all instances of a module get changed when options such as gtk-tooltips
     or gnome-toolbartext are toggled.

2002-08-20 Tuesday 23:02  sam

   * ./modules/gui/qnx/*: ported the QNX audio output to the new API, courtesy
     of Pascal Levesque.

2002-08-20 Tuesday 20:25  sam

   (compilation fixes for my previous commit)

2002-08-20 Tuesday 20:08  sam

   * ./modules/misc/gtk_main.c: created the gtk_main module, which simply runs
     gtk_main() in its own thread, and does nothing on subsequent calls. This
     ensures that gtk_main is only running once.
   * ./modules/gui/familiar/*, modules/gui/gtk/*: the familiar, gtk and gnome
     modules are now fully reentrant thanks to their use of the gtk_main module.
   * ./src/libvlc.c: implemented vlc_set(), a wrapper for config_Put* available
     to external programs.
   * ./src/libvlc.c: removed vlc_stop() and vlc_end(), everything is now done
     by vlc_destroy().
   * ./modules/control/rc/rc.c: implemented a few new functions. For instance,
     run "vlc -I rc" and then type "intf gtk" or "intf gnome". You can even
     launch several of them. "segfault" works, too.

2002-08-20 Tuesday 14:32  sam

   * ./modules/gui/familiar/familiar.c: added a timer to check when the
     familiar interface is asked to quit.

2002-08-20 Tuesday 01:12  massiot

 More changes in the date handling. Should be more tolerant with
 pause/play and change of audio channel.

2002-08-20 Tuesday 01:07  sam

   * ./modules/audio_output/*: ported the ALSA, aRts, esd and OSS modules to
     the latest aout3 changes.

2002-08-19 Monday 23:54  massiot

 * Fixed BeOS output ;
 * Fixed a few boolean_t.

2002-08-19 Monday 23:31  massiot

 * ./configure: Fixed double detection of gethostbyname.
 * Major changes in the handling of dates in the audio output ; still buggy,
 but differently.
 * Fixed a major bug in the aout pre-filters, preventing to run any other
 decoder than liba52.
 * p_aout->output.pf_play now has only one argument.

2002-08-19 Monday 19:07  bozo

   * modules/audio_output/alsa.c: we now open the device in SetFormat because
     it depends on the audio format. Cosmetic changes. The S/PDIF output may
     work.

2002-08-19 Monday 13:51  tcastley

 Fixed segfault.  Now fails to load due to incorrect format.
 Getting there :)

2002-08-19 Monday 13:37  sam

   * ./src/misc/cpu.c: we use void(*)(int) instead of sighandler_t because
     mingw32 doesn't know about sighandler_t.

2002-08-19 Monday 13:13  sam

   * ./src/misc/cpu.c: libvlc now plays nice with SIGILL and restores the
     signal handler to its previous value after use.
   * ./src/libvlc.c: moved signal handling to vlc.c.

2002-08-19 Monday 10:30  sam

   * ./modules/visualization/xosd/xosd.c: support for libxosd 1.0.0.
   * ./configure.in: added check for libxosd version.

2002-08-19 Monday 10:19  gbazin

 * modules/video_output/x11/xcommon.c: fixed a bug related to the size of the
 fullscreen window. We also unmap the current window when switching to fullscreen.

2002-08-18 Sunday 22:36  jpsaman

 - File and directory listing show unix permissions.

2002-08-18 Sunday 18:17  titer

 Enhanced BeOS icon ;)

2002-08-18 Sunday 16:33  sigmunau

 removed a line used during debugging

2002-08-18 Sunday 16:11  sigmunau

  the mp3 demux now parses id3 tags into the info structures if libid3tag
 is available

2002-08-18 Sunday 15:49  sam

   * ./src/libvlc.c: removed the simple signal handler because it's not
     really needed, and we were calling pthread_mutex_lock from it.
   * ./src/libvlc.c: released a vlc_list_t that caused vlc --list to hang.

2002-08-18 Sunday 15:16  sigmunau

 doxygen documented my code

2002-08-18 Sunday 15:14  sigmunau

  modules/gui/kde/interface.cpp: made the kde interface look for the rc
 file in DATA_PATH
  modules/gui/kde/kde.cpp and interface.h: removed a stupid class, moved
 stuff from open() to run() to make the kde interface start without
 segfaults.

2002-08-18 Sunday 13:32  titer

 Fixed a few linking BeOS problems (-lm, -lstdc++.r4...).

 Now everything should compile with every gcc with no problem (mp4, ffmpeg
 and faad plugins, especially).

2002-08-17 Saturday 17:35  fenrir

  * all : mpeg_audio decoder works now with aout3.

2002-08-17 Saturday 15:33  jpsaman

 Added filetype information.

2002-08-17 Saturday 15:26  tcastley

 This now compiles in BeOS.  Probably others, the i was not declared.

2002-08-17 Saturday 10:46  tcastley

 At least it compiles now.  :-)

2002-08-16 Friday 18:26  sam

   * ./modules/video_output/x11/xcommon.c: we include Xmd.h before dpms.h
     (compilation fix for Solaris).

2002-08-16 Friday 16:30  bozo

 Up to date ALSA information.

2002-08-16 Friday 14:31  sam

   * ./src/playlist/playlist.c: added -Z (--random) for endless random playing.

2002-08-16 Friday 05:07  sam

   * ./modules/codec/spudec/*: split spudec into the parsing and the rendering
     functions.
   * ./modules/demux/mpeg/audio.c: at least three PS startcodes are required
     before we abort the parsing and consider the input as PS instead of MP3.

2002-08-15 Thursday 19:05  titer

 * Another BeOS fix for people using some recent gcc
    (that needs libstdc++.r4)

2002-08-15 Thursday 18:37  titer

  * BeOS fixes

2002-08-15 Thursday 14:35  bozo

   * configure.in, configure: put back the ALSA audio output module in
     configure.

2002-08-15 Thursday 14:22  sam

   * ./src/misc/modules.c: compilation fix.
   * ./modules/gui/win32/preferences.cpp: the Win32 interface doesn't use the
     old module linked list anymore.

2002-08-15 Thursday 14:11  sam

   * ./src/misc/modules.c: the module linked list is going bye bye. We now use
     the vlc_object_* and vlc_list_* functions to manage modules. The Win32
     interface doesn't build, but I'll fix this.

2002-08-15 Thursday 12:31  bozo

   * modules/audio_output/alsa.c: cleanings and comments.

 TODO: S/PDIF mode.

2002-08-15 Thursday 10:24  ipkiss

  * compilation fix

2002-08-14 Wednesday 23:50  jpsaman

 Changes in familiar interface:
 - added GtkCList instead of GtkList.
 - added first column sorting order by clicking on column header
 - selecting item from list works
 - reading entire directory list is displayed in GtkCList widget

2002-08-14 Wednesday 19:06  sam

   * ./src/misc/objects.c: implemented vlc_list_find() which works like
     vlc_object_find() but returns a list of _all_ the matching objects. Only
     works with FIND_ANYWHERE at the moment.
   * ./modules/gui/gtk/preferences.c, ./modules/gui/kde/preferences.cpp,
     ./modules/gui/win32/preferences.cpp: the module lists in the preferences
     menus work again.
   * ./src/misc/objects.c: added a missing sizeof that caused crashes because
     the reindexing of the global object array was incomplete.
   * ./include/modules_inner.h: propagated the module long description to its
     submodules.

2002-08-14 Wednesday 15:10  sam

   * ./modules/audio_output/esd.c: compilation fix (aout_FormatTo is obsolete).
   * ./src/audio_output/audio_output.c, ./src/audio_output/mixer.c: fixed a
     horrible sound issue by making sure internal buffers have a size multiple
     of 4 bytes. Waiting for a real fix made in Meuuh, of course.

2002-08-14 Wednesday 12:50  bozo

 ALSA audio output v3.01 is out !

2002-08-14 Wednesday 12:18  ipkiss

  * compilation fix (by sam)

2002-08-14 Wednesday 10:50  tooney

   . Simple RTP access module : only supports TS payload.
     This first draft is made to read RTP streamed by the vls.

2002-08-14 Wednesday 10:17  sam

   * ./modules/control/rc/rc.c: 'l' outputs a list of all allocated objects,
     just as 'd' displayed a tree of attached objects.
   * ./src/misc/modules.c: added a missing header.

2002-08-14 Wednesday 02:43  massiot

 * Added a third argument to aout_OutputNextBuffer. In case the buffer
   received does not start exactly at the given date, it indicates if the
   output plug-in is able to compensate for the drift (for instance on
   startup, or with S/PDIF packets), or if we need the aout core to
   resample the coming buffers. It is currently unimplemented.

2002-08-14 Wednesday 02:23  massiot

 * Changed aout_FormatTo* ; aout_FormatToSize does no longer exist.
   p_buffer now has a i_nb_bytes member. It is possible to indicate for a
   format its byterate (necessary for AC3 and SPDIF).
 * S/PDIF output seems to be working at last (tested with the file output).

2002-08-14 Wednesday 00:42  massiot

 * New float32to* converter modules, courtesy of Xavier Maillard
   <zedek@fxgsproject.org>.
 * Fixed a bug in float32tos16, where gcc over-optimized a little and
   caused problems on some platforms (eg. solaris).

2002-08-13 Tuesday 22:28  fenrir

  * clean up some code, add "mp3" short cut.
    And now if this demux has been forced it will (try) to play the whole
 file even if the stream is heavily corrupted (like PS demux).
    But now, it makes less assumptions on the stream, so report any
 problem if it mis-recognizes others files as mpeg audio (specially PS file).

2002-08-13 Tuesday 18:11  sam

   * ./modules/audio_output/arts.c: ported the aRts module to aout3.
   * ./modules/audio_filter/converter/*: fixed a bug in all the converters
     test routines (thx Meuuh).

2002-08-13 Tuesday 16:53  sam

   * ./modules/audio_output/esd.c: we now properly use the esd_get_latency()
     return value to avoid audio starvation.
   * ./modules/audio_filter/converter/*: a little loop optimization trick.
   * ./src/audio_output/aout_ext-dec.c: removed this deprecated file.

2002-08-13 Tuesday 15:15  sigmunau

 ./modules/control/rc/rc.c: fixed a segfault when pressing 'i' with no
 input

2002-08-13 Tuesday 13:59  sam

   * ./modules/audio_output/oss.c: we spare a variable by using p_aout->b_die
     instead of our own variable.
   * ./modules/audio_filter/converter/a52tospdif.c, ./modules/codec/a52.c: added
     <unistd.h>, required for bswap.
   * ./modules/demux/mp4/libmp4.c: removed an unneccessary semicolon in a
     macro definition.
   * ./modules/audio_output/esd.c: first attempt at getting esd to work.
   * ./modules/video_output/*: split sdl.so into a video and an audio plugin,
     and removed useless subdirectories.
   * ./modules/audio_output/sdl.c: compilation fix.

2002-08-13 Tuesday 00:48  massiot

 * Fixed miscellaneous bugs.
 * Fixed an endianness issue in S/PDIF.
 * Added a walken optimization of float32tos16.

2002-08-13 Tuesday 00:30  sigmunau

  ./modules/demux/mpeg/ps.c: this module never fails the probe and should
 therefore have capability 0

2002-08-13 Tuesday 00:12  massiot

 * Fixed a variable overflow bug in the audio output.
 * Prepared for some advances in the aout3 clock management.
 * Added the first stone of the forthcoming stream output.

2002-08-12 Monday 23:43  sigmunau

  ./configure.in: fix linking of i420_rgb

2002-08-12 Monday 23:40  jpsaman

 This conversion should make more sense.

2002-08-12 Monday 22:43  jpsaman

 - Updated configure to build fixed32tos16 and fixed32tofloat32.
   Desperately need a fixed32 mixer for testing the conversions.
 - Uncommented unused functions in libmad.

2002-08-12 Monday 22:38  jpsaman

 Support for browsing local media (not finished).

2002-08-12 Monday 22:35  jpsaman

 Updated Makefile to include fixed32tos16 and fixed32tofloat32 conversions.

2002-08-12 Monday 22:35  jpsaman

 Added fixed32tofloat32 conversion.

2002-08-12 Monday 22:34  jpsaman

 Added fixed32tos16 filter based upon libmad downscale functionality.

2002-08-12 Monday 19:38  sigmunau

  ALL: added GPL headers to my files. Some of the files from the original
 author does still not contain this header.

2002-08-12 Monday 19:00  fenrir

  * all : enable aac demux by default.

2002-08-12 Monday 18:59  fenrir

  * all : a demux for aac stream ( raw aac with adts headers ). For now
 it has a capability equal to 0 because it conflicts with PS, so you need
 to force it.

2002-08-12 Monday 17:56  sigmunau

   ./Doxyfile: a sample doxygen configuration file. Have a look at
 http://s253c.studby.ntnu.no/vlc/html/index.html to see what doxygen can
 do.

   ./doc/doxygen: a place for doxygen to put it's files

2002-08-12 Monday 11:34  sam

   * ./src/misc/objects.c: two big changes in the object API: now objects can
     only have one parent, because I don't want to deal with cycles, and each
     created object is indexed in a global array. This feature is unused yet,
     but it will speed up vlc_object_find(FIND_ANYWHERE).
   * ./debian/rules: activated the faad codec.
   * ./doc/fortunes.txt: new fortune cookies.
   * ./modules/codec/mpeg_video/headers.c: reduced the use of attach/detach.
   * ./modules/audio_output/oss.c: fixed two compilation warnings.

2002-08-12 Monday 09:40  massiot

 Fixed a S/PDIF bug.

2002-08-12 Monday 01:26  massiot

 S/PDIF fixes.

2002-08-12 Monday 00:46  massiot

 Definition of vlc_fixed_t.

2002-08-12 Monday 00:36  massiot

 * S/PDIF output should now be working (untested, though).

2002-08-11 Sunday 14:27  sam

   * ./modules/misc/memcpy/memcpyaltivec.c: added a missing AltiVec requirement.

2002-08-11 Sunday 10:30  gbazin

 * src/misc/configuration.c: bugfix (don't initialize and free p_module->object_lock
 twice).
 * src/misc/win32_specific.c: missing initializations.
 * modules/demux/mp4/libmp4.c: was missing an #ifdef HAVE_ZLIB_H

2002-08-11 Sunday 03:27  massiot

 More S/PDIF fixes.

2002-08-11 Sunday 01:29  sam

   * Small fix for "make dist".

2002-08-11 Sunday 01:22  massiot

 Imported 0.4.4 Changelog.

2002-08-11 Sunday 01:20  massiot

 Updated release date.

2002-08-10 Saturday 22:05  fenrir

  * modules/codec/faad : an AAC decoder module using libfaad library
 (faad2).
  * modules/demux/mp4/libmp4.c : could compile without zlib.
  * modules/codec/ffmpeg/* : set error resilience to -1 by default.(in
 order to decode more files, but it could produce segfaults ... )
  * Makefile.*, configure.in : enable mp4 by default, add faad
 module (disabled by default ).

2002-08-10 Saturday 22:01  massiot

 * Fixed a bug triggering the trivial resampler when it was unnecessary.

2002-08-10 Saturday 21:40  sam

   * ./src/interface/intf_msg.c: backported a buffer overflow fix from HEAD.

2002-08-10 Saturday 21:23  sam

   * ./src/misc/messages.c: fixed an extremely old buffer overflow.

2002-08-10 Saturday 21:22  sam

   * ./Makefile: fixed "make package-win32".

2002-08-10 Saturday 20:17  gbazin

 * modules/video_output/directx/aout.c: adapted the directx audio plugin to aout3.
 * modules/audio_output/waveout.c: adapted the waveout audio plugin to aout3 and
 decreased its score so the directx plugin is selected by default.
 * configure.in: re-enabled the waveout plugin

 It's really amazing how much aout3 simplifies these plugins :)

2002-08-10 Saturday 19:53  jpsaman

 Enabled mad plugin again.

2002-08-10 Saturday 18:17  sam

   * ./modules/gui/win32/Makefile: fixed the Win32 interface compilation.
   * ./modules/gui/win32/win32.cpp: merged intfwin.cpp into this file.

2002-08-10 Saturday 13:35  jpsaman

 Preparation for Qt embedded support.

2002-08-10 Saturday 01:52  sam

   * ./include/audio_output.h: small compilation fix.

2002-08-10 Saturday 01:46  massiot

 * Trivial resampler plug-in (resampling still non-functional)
 * Begun writing some hooks for forthcoming S/PDIF support
 * ./modules/access/vcd/cdrom.c: compile fix for Darwin

2002-08-09 Friday 18:39  sam

   * ./src/libvlc.c: p_vlc->pf_memset is now usable (it's always the libc
     default though).

2002-08-09 Friday 18:38  sam

   * ./Makefile: fixed a sed command syntax.

2002-08-09 Friday 00:28  sam

   * ./include/modules_inner.h: support for several modules with the same
     name but with different directory names.
   * ./Makefile: plugins get installed in different directory names.
   * ALL: additional -ansi -pedantic fixes.

2002-08-09 Friday 00:26  massiot

 Added another level of directory in audio_filter/.

2002-08-08 Thursday 02:35  sam

   * ./modules/audio_output/oss.c: compilation fixes.
   * ALL: lots of -ansi -pedantic fixes.

2002-08-07 Wednesday 23:41  sam

   * Updated ChangeLog.

2002-08-07 Wednesday 23:36  massiot

 Audio output 3. Expect major breakages.

2002-08-07 Wednesday 23:35  massiot

 * ./src/audio_output/audio_output.c: Partially disabled what I just did
   because it might be a source of unstability on some architectures.

2002-08-07 Wednesday 22:42  massiot

 * Bumped up version number to 0.4.4.
 * ./plugins/spudec/spu_decoder.c: Fixed a moronic endianness bug.
 * ./src/audio_output/audio_output.c: The default rate is now fetched from
   the audio decoder, so avoid unnecessary resampling.

2002-08-07 Wednesday 21:59  massiot

 Moved MODULES, for the same reason as in the unstable tree.

2002-08-07 Wednesday 02:31  sam

   * added a .cvsignore file.

2002-08-07 Wednesday 02:29  sam

   * ./modules/demux/mpeg/system.c: added a helper plugin for MPEG-related
     demux plugins (ps, ts, but also dvd*).
   * ./src/input/mpeg_system.c: removed MPEG-related stuff from the vlc core.
   * ./src/misc/modules.c: max recursion level is now 5.
   * ./modules/access/dvdplay/es.c: fixed a buffer overflow.

2002-08-07 Wednesday 01:43  jlj

   * ./modules/gui/macosx/open.m: compile fix

2002-08-06 Tuesday 22:04  massiot

 Removed the MODULES file, because on case-insensitive filesystems, it
 conflicts with the modules/ directory.

2002-08-06 Tuesday 21:31  jpsaman

 Sam I hate you ;-)

2002-08-06 Tuesday 12:54  tcastley

 Fixed include call.  Now compiles and BeOS version runs :)

2002-08-06 Tuesday 02:26  sam

   * ./Makefile, ./mozilla/Makefile: make uninstall removes vlc-specific dirs.
   * ./src/misc/modules.c: the directory browsing should be more portable now,
     we use stat(2) instead of file->d_type.

2002-08-05 Monday 18:27  sam

   * ./Makefile: fixed directory browsing with "clean" and "distclean" rules.

2002-08-05 Monday 17:16  sam

   * ./modules/codec/dv/dv.c: decoder for the DV format, uses libdv.

2002-08-05 Monday 13:48  sam

   * ./Makefile.opts.in: fixed the builtins_LDFLAGS regexp so that it works
     with the Solaris sed.
   * ./src/misc/modules.c: fixed a warning caused by misuse of const.

2002-08-05 Monday 00:16  fenrir

  * add compilation of postprocessing modules for ffmpeg.

2002-08-05 Monday 00:13  fenrir

  * add post processing modules.( As defined in MPEG4 ISO) There are C,
 mmx, mmxext version, but only mmxext is really usable (other need a
  _lot_ of CPU power).

 There are new options for ffmpeg plugins :
  --ffmpeg-pp to choose postprocessing module( c, mmx, mmext or mmx2 )
  --ffmpeg-pp-q to choose quality( 0..6 )
  --ffmpeg-db-?? ( where first ? is for y or c, and the other ? for v or h )
 to force deblocking on luminance(y)/chrominance(c) horizontally or
 vertically.
  --ffmpeg-dr-? ( where ? is y or c ) to force dering on ...

2002-08-04 Sunday 23:29  sam

   * ./Makefile: make clean works again.

2002-08-04 Sunday 22:04  sam

   * ./src/misc/modules.c: if a module name starts with "$", vlc calls
     config_GetPsz and uses the result instead.

2002-08-04 Sunday 20:39  sam

   * ./include/vdec_ext-plugins.h: removed this public header and put it
     in ./modules/codec/mpeg_video/.

2002-08-04 Sunday 19:40  sam

   * ./modules/misc/dummy/decoder.c: the dummy codec now uses GetChunk instead
     of GetBits and doesn't get stuck on high bitrate movies (thanks fenrir).

2002-08-04 Sunday 19:23  sam

   * ./modules/*: moved plugins to the new tree. Yet untested builds include
     waveout, directx, qnx, beos, win32, macosx, and the AltiVec modules.
   * ALL: removed mention of AC3 in favour of A52.
   * ./configure.in, ./Makefile*: modules can now be built deeper than 1
     directory. As a consequence, the build is even slower (but I'm fixing
     this) and make clean doesn't work anymore.

2002-08-04 Sunday 14:18  sam

   * ./src/misc/modules.c: we now recursively parse directories when
     looking for plugins.

2002-08-04 Sunday 10:45  sam

   * ./configure.in, ./mozilla/Makefile: we link the Mozilla plugin with libXt.

2002-08-01 Thursday 13:04  tcastley

 Compilation fixes for C++ environments like BeOS.

2002-08-01 Thursday 00:54  sam

   * ./include/configuration.h, ./include/modules_inner.h: compilation fix for
     compilers which don't support constructor expressions. I hate Borland.

2002-07-31 Wednesday 22:56  sam

   * ALL: new module API. Makes a few things a lot simpler, and we gain
     about 2000 lines of code.

     I could not test everything on every architecture, so please report
     any module breakage (especially on BeOS, OSX and QNX).

2002-07-30 Tuesday 09:56  gbazin

 * include/vlc_threads.h: fixed the --fast-mutex option.

2002-07-30 Tuesday 09:54  gbazin

 * include/threads_funcs.h: fixed the --fast-mutex option.

2002-07-29 Monday 21:05  gbazin

 * include/vlc_threads.h,include/main.h,src/misc/threads.c,src/misc/win32_specific.c:
 reverted Win32 pthread implementation to the old code. Fixed vlc_cond_broadcast() for
 WinNT/2K/XP. Additional vlc_cond_* implementations for Win9x.
 * src/libvlc.h: renamed --fast_pthread option into --fast-mutex. Added a
 --win9x-cv-method option to choose which vlc_cond_* implementation we want on Win9x.

2002-07-29 Monday 18:12  gbazin

 * include/threads.h,include/threads_funcs.h: reverted Win32 pthread implementation to
 the old code. Fixed vlc_cond_broadcast() for WinNT/2K/XP. Additional vlc_cond_*
 implementations for Win9x.
 * src/interface/main.c: renamed --fast_pthread option into --fast-mutex. Added a
 --win9x-cv-method option to choose which vlc_cond_* implementation we want on Win9x.

2002-07-26 Friday 02:06  massiot

 Haven't thought that maybe people don't want their email to appear on the
 Web :p.

2002-07-26 Friday 02:03  massiot

 Haven't thought that maybe people don't want their email to appear on the
 Web :p.

2002-07-26 Friday 00:46  massiot

 * ./README.MacOSX.rtf : updated README.
 * ./plugins/macosx/vout_macosx.c : additional QuickTime fix, thanks to
   David Eldred <*******@apple.com>.

2002-07-26 Friday 00:34  lool

   * ./FAQ: removed QT6 / QT6 Preview "bug"

2002-07-26 Friday 00:23  sam

   * ./include/threads_funcs.h: Win32 compilation fix.

2002-07-26 Friday 00:14  massiot

 * Updated Changelog for 0.4.3 release.

2002-07-26 Friday 00:12  massiot

 Bumped up version number to 0.4.3.

2002-07-25 Thursday 23:53  sigmunau

   plugin/access/http.c: cosmetic fixes in an error message
   src/input/*: removed some testcode and some unnecessary debug messages

2002-07-25 Thursday 23:02  sam

   * Updated ChangeLog.

2002-07-25 Thursday 21:55  sam

   * updated ChangeLog.

2002-07-25 Thursday 21:46  sam

  Backported two fixes from HEAD:
   * ./plugins/mpeg_system/mpeg_es.c: fixed a deadlock at the end of some
     streams.
   * ./src/input/input_ext-plugins.c: fixed a memory leak.

2002-07-25 Thursday 01:11  massiot

 * ./configure : better detection of IPv6, fixed solaris handling
 * ./src/input/* : fixed a memory leak

2002-07-24 Wednesday 17:58  jpsaman

 XPM version of VideoLAN logo.

2002-07-24 Wednesday 17:21  sam

   * ./plugins/mpeg_system/mpeg_es.c: fixed a segfault when no decoder was
     found (p_fifo might be NULL).
   * ./plugins/mpeg_system/mpeg_es.c, ./src/input/input_ext-dec.c: fixed
     a deadlock issue with demuxers waiting on p_fifo->data_lock.

2002-07-24 Wednesday 01:22  massiot

 Swedish translation, courtesy of Joel Arvidsson <dogai@privat.utfors.se>
 (incomplete and untested).

2002-07-23 Tuesday 22:16  sam

   * ./mozilla/Makefile: fixed dependencies on .h files.
   * ./plugins/filter/distort.c: fixed a typo in option names.

2002-07-23 Tuesday 22:12  sam

   * ./configure.in: workaround Debian bug #150490 (bad mozilla-config output).
   * ./mozilla/vlcplugin.h: added .mov and .mp4 files to the plugin.
   * ./Makefile: we no longer try to merge .a files into libvlc.a, but rather
     add them to the vlc-config output.

2002-07-23 Tuesday 21:56  stef

 *first version of plugin for libdvdplay. To test it, you need to have
  libdvdplay installed (available from videolan CVS), and request plugins
 compilation in the usual way:
 	--enable-dvdplay.
 Note that libdvdplay needs libdvdread and libdvdcss.

 Currently it has only been tested under linux, with gnome interface (optional)
 and xvideo output.

 What works (more or less):
  -DVD reading in some rare cases :) (title and menus),
  -Menu pause,
  -Seeking,
  -Selecting directly a specific title/chapter/angle,
  -Changing audio, sub-picture, angle during playback,
  -Interactive menus with mouse only.

 What is missing:
  -Menu buttons highlighting (needs spudec patch),
  -Keyboard interaction (needs a specific part in port specific plugins),
  -A specific interface to navigate through menus (needs that I move my ass),
  -Interactive menus won't work with other output plugins so long as they
   have not been patched to send mouse/keyboard events to vlc interface,
  -Whatever you need.

 Known bugs (bugs in libdvdplay mostly):
  -Seeking in some menus or intro titles (bad vobu map),
  -Read/seek error with some DVDs,
  -the configure needs tweaking,
  -numerous segfaults,
  -decoder/output modules locking error,
  -fuzzy colors in menus when spudec is active (default in menus).

 The plugin is not guaranteed to work anywhere outside my computer. If it break your, don't come and complain to me :).

2002-07-23 Tuesday 02:39  sam

   * ALL: decoders now use a fourcc as a probe value.
   * include/input_ext-intf.h: killed p_es->b_audio, since i_cat already fills
     its purpose.
   * include/input_ext-intf.h: killed p_es->i_type in favour of p_es->i_fourcc.
   * include/video.h: killed p_pic->p_plane->b_margin; now i_visible_pitch is
     always valid.

   * ./src/libvlc.h: replaced --mpeg-adec and --ac3-adec with --codec; see
     vlc --help for more information.

   * include/video.h: removed fourcc values which should _not_ be global
     (thanks fenrir for convincing me).
   * ALL: video output plugins use the VLC_FOURCC macro to build their fourccs.
   * ./plugins/beos/InterfaceWindow.cpp: removed the last remaining call to
     input_ChangeES.

    Things I'm not sure about and need comments:
     - I used "mpga" and "mpgv" for MPEG (1+2) audio and video fourcc values.
     - I also introduced "spu ", "lpcm" and "ac3 ".
     - I removed for instance "MP4_GetCodec" because it wasn't really
       used except for the description string. I hope this change did not
       break anything really important.
     - fenrir, I must have broken a lot of things you wrote. Sorry in advance.

2002-07-23 Tuesday 02:30  sam

   * ./src/input/input_info.c, ./src/misc/messages.c: initialized the first
     vasprintf arguments to NULL for extra safety.

2002-07-23 Tuesday 00:19  sam

   * ./src/misc/modules.c: added the "any" and "none" keywords to the module
     selection string. "any" matches any module, and "none" always fails.

     You can for instance use "--vout none" to disable video output, or
     "--intf gtk,any" to use the gtk interface or any other one if gtk isn't
     available. Hope it's clear :)

2002-07-22 Monday 23:14  sigmunau

 win32 compilation fixes

2002-07-22 Monday 15:49  jpsaman

 VCR icon buttons for Familiar Linux interface.

2002-07-22 Monday 15:48  jpsaman

 Added --enable-familiar to configure.in, the default is disabled.

2002-07-22 Monday 01:40  sam

   * ./src/input/input_ext-plugins.c: reverted my previous fix which wasn't
     really a fix.
   * ./plugins/memcpy/fastmemcpy.h: commented out suspicious code.

2002-07-21 Sunday 21:26  sigmunau

  * all: these didn't get along in my last commit

2002-07-21 Sunday 20:57  sigmunau

   * ./src/libvlc.c: updated usage info to include STRING_FROM_LIST
     configuration items.
   * rest: new input info subsystem.

 Have a look in plugins/mpeg_system/mpeg_audio.c to see how to add info.
 Have a look in plugins/text/rc.c to see how to read info.

 Sigmund

2002-07-21 Sunday 17:27  sam

   * ./debian/control: changed "interface plugin" occurences to "frontend" to
     make package descriptions less misleading.
   * ./bootstrap.sh: use C locale for generating vlc_symbols.h.
   * ./bootstrap.sh: don't generate pofiles by default.

2002-07-21 Sunday 17:18  fenrir

  * all : enable cinepak decoder, I hope I haven't break anything.

2002-07-21 Sunday 16:37  sam

   * ./src/input/input_ext-plugins.c: backported crash fix from MAIN.

2002-07-21 Sunday 16:32  sam

   * ./src/input/input_ext-plugins.c: added a missing lock to input_SplitBuffer
     which was causing crashes with some demux plugins (mpeg_audio, avi).

2002-07-21 Sunday 00:31  massiot

 * Added -lrt for HP/UX port.

2002-07-20 Saturday 20:01  sam

   * ALL: changed "struct foo_s" into "struct foo_t" to make greppers happy.
   * ./src/libvlc.c, ./include/vlc/vlc.h: created reentrant versions of the
     libvlc API.
   * ./src/vlc.c: vlc uses the non-reentrant libvlc functions.
   * ./mozilla/vlcplugin.c: the mozilla plugin uses the reentrant functions.
   * ./debian/*: created packages for libvlc0-dev.

2002-07-19 Friday 23:14  massiot

 Fixed a typo of mine :p.

2002-07-19 Friday 23:12  massiot

 * New --mtu option.

2002-07-18 Thursday 03:23  sam

   * ./configure.in: we no longer check for a specific function in -lphtread
     because some systems (such as HP-UX...) have them inlined.

2002-07-18 Thursday 03:11  sam

   * ./Makefile.modules: we don't chmod -x the compiled plugins because of
     HP-UX's dynamic linker which would otherwise be unable to open them.

2002-07-18 Thursday 03:02  sam

   * ./configure: rebuilt using the newest autotools.

2002-07-18 Thursday 03:00  sam

   * ./src/vlc.c, ./src/libvlc.c: added more robust consistency checks.

2002-07-18 Thursday 02:59  jlj

   * ./configure.in: fixed description of MP4 module

2002-07-18 Thursday 02:58  sam

   * ./doc/fortunes.txt: added a selection of Lool's fortune cookies.

2002-07-18 Thursday 02:54  jlj

   * ./configure.in: added mp4 module, default disabled

2002-07-18 Thursday 00:23  jlj

   * ./src/misc/darwin_specific.c: s/vlc_object_t/vlc_t

2002-07-17 Wednesday 23:58  massiot

 * ./configure : fixed Mac OS X compilation which was broken on some machines
 * ./include/vlc/vlc.h : include os_specific.h

2002-07-17 Wednesday 23:54  stef

 Interface creation and destruction functions are now exported to plugins
 so that any plugin can spawn a new interface.

2002-07-17 Wednesday 23:38  massiot

 Fixed nanosleep detection on some platforms.

2002-07-17 Wednesday 14:21  sam

   * ./configure.in: plugin compilation fix for HP-UX.

2002-07-17 Wednesday 12:01  sam

   * ./configure.in: better protection of CFLAGS and LDFLAGS. Should also fix
     remaining issues with XvPutImage detection, please confirm!

2002-07-17 Wednesday 08:40  sam

   * ./plugins/alsa/alsa.c: ALSA device selection patch, courtesy of John
     Paul Lorenti <jpl31@columbia.edu>.

2002-07-16 Tuesday 23:59  massiot

 * ./Makefile : src/misc/modules_builtin.h now depends on Makefile.config.

2002-07-16 Tuesday 23:29  sam

   * ./src/misc/threads.c: improved lazy initialization of the global lock.

2002-07-16 Tuesday 23:28  sam

   * ./doc/fortunes.txt: a few IRC fortune cookies for those with too much
     time on their hands.

2002-07-16 Tuesday 23:25  sam

   * ./plugins/mpeg_vdec/video_parser.c, ./src/input/input_programs.c: fixed
     a few uninitialized variables.

2002-07-16 Tuesday 22:41  jlj

   * MacOS X: added deinterlace submenu

2002-07-16 Tuesday 00:05  sam

   * ./configure.in: fixed a typo in my previous commit (thx fenrir).

2002-07-15 Monday 21:33  fenrir

  * avi.c : quick hack to read file created by ffmpeg. I think it should
 work.
  * all   : add support for some others codecs provided by ffmpeg, but some of them aren't tested.

2002-07-15 Monday 21:15  sam

   * ./src/misc/messages.c: debug messages that were issued before the -v
     flag was tested for are no longer lost.

2002-07-15 Monday 21:08  sam

   * ./configure.in: we now look for XvPutImage instead of XvSetPortAttribute
     because XvSetPortAttribute isn't always available.

2002-07-15 Monday 03:54  jlj

   * MacOS X changes:
     - added messages and playlist panel
     - simple dock menu (play, pause, stop)
     - context menu in video view
     - localization support: http://nanocrew.net/vlc/vlc-osx-ja.png
     - no longer broken :)

2002-07-13 Saturday 14:22  jpsaman

 Add package sdl to package dependency list.

2002-07-13 Saturday 01:53  sam

   * ./AUTHORS: removed my entry for lool. /me should go back to school and
     learn how to alpha sort.

2002-07-13 Saturday 00:42  massiot

 Closed old entries.

2002-07-12 Friday 23:57  massiot

 * ./AUTHORS : added lool :-p ;
 * ./doc/vlc-howto.sgml : Fixed typos ;
 * ./include/vlc_common.h : Greatly simplified ntoh*, and U??_AT macros are
   now alignment-safe ;
 * ./STATUS : New file indicating who's working on what. Please keep it
   up-to-date ;
 * ./MAINTAINERS : New file indicating who has knowledge on which parts.

2002-07-12 Friday 19:08  sam

   * ./po/*: polish translation, courtesy of Arkadiusz Lipiec.

2002-07-12 Friday 18:30  sam

   * ./ChangeLog: updated.
   * ./README: removed much outdated data.
   * ./debian/*: great package renaming - names should make more sense now.

2002-07-11 Thursday 21:28  sam

   * ./plugins/gtk/*: new generic "Open Target" window. Please test and
     comment on usability.

2002-07-11 Thursday 21:05  sam

   * ./debian/rules: the Debian package creation script builds ffmpeg.

2002-07-11 Thursday 20:44  sam

   * ./src/vlc.c: reduced the amount of default simultaneous interfaces.
   * ./src/libvlc.c: removed calls to vlc_mutex_lock in sighandlers.

2002-07-11 Thursday 09:58  tcastley

 New Bug on SPU decoder

2002-07-10 Wednesday 19:00  sam

   * ./ChangeLog: added missing entries.

2002-07-10 Wednesday 09:32  lool

   * ./FAQ: new entry for RTP

2002-07-10 Wednesday 01:40  lool

   * ./FAQ: minor updates, new sections: uninstall/reinstall,
     DirectX-blackscreen, device permissions, debug messages,
     config file, (un)planned ports/features, sources.list

2002-07-08 Monday 00:05  sam

   * ./debian/changelog: updated Debian changelog.

2002-07-07 Sunday 23:55  massiot

 Update for 0.4.2 release.

2002-07-07 Sunday 23:55  massiot

 Preparing for 0.4.2 release.

2002-07-05 Friday 13:18  sam

   * ./src/misc/darwin_specific.c, ./src/misc/extras.c: moved our custom
     strndup to a separate file so that Win32 can benefit from it.
   * ./include/vlc_threads.h: Borland compilation fix.

2002-07-04 Thursday 20:11  sam

   * ./mozilla/*: preliminary Mozilla plugin. Only works under Unix for now.
   * ./debian/rules: activated the vlc-xosd, vlc-kde and mozilla-plugin-vlc
     Debian packages.
   * ./po/*: updated potfiles.

2002-07-03 Wednesday 21:40  sam

   * ./src/misc/modules.c: module_Need accepts a comma-separated list of
     module names. Try for instance: "vlc --intf gnome,gtk,dummy".

2002-07-03 Wednesday 00:07  jlj

   * darwin_specific.[ch]: added strndup needed by video_output.c.
   * configure.in: added -lintl to plugins_LDFLAGS.

2002-06-27 Thursday 21:46  sam

   * ./plugins/dvd/dvd_es.c: error in selecting SPU stream.
   * ./plugins/spudec/spu_decoder.c: endianness fix for subtitles colour.
   * ./plugins/spudec/spu_decoder.c: little hack for preventing blank alpha
     palette.
   * ./plugins/spudec/spu_decoder.c: subtitle transparency support.

    Patches imported from v0_4_1_branch.

2002-06-27 Thursday 21:44  sam

   * ./plugins/dvd/dvd_es.c: error in selecting SPU stream.
   * ./plugins/spudec/spu_decoder.c: endianness fix for subtitles colour.
   * ./plugins/spudec/spu_decoder.c: little hack for preventing blank alpha
     palette.
   * ./plugins/spudec/spu_decoder.c: subtitle transparency support.

    All patches courtesy of Roine Gustafsson.

2002-06-27 Thursday 21:05  sam

   * ./src/misc/modules.c: added the --plugin-path option to give vlc an
     extra plugin location.
   * ./plugins/text/rc.c: if stdin/stdout are not connected to a TTY, we
     don't launch the rc interface.
   * ./plugins/access/http.c: fixed a compilation warning.
   * ./src/misc/messages.c: cosmetic enhancements in the message output.

2002-06-20 Thursday 00:47  massiot

 Backported stable changes.

2002-06-20 Thursday 00:45  massiot

 * Deinterlace support in the OS X interface.
 * Bumped up version number to 0.4.2.

2002-06-19 Wednesday 01:18  massiot

 Ported previous stable commits.

2002-06-19 Wednesday 01:18  massiot

 * ./plugins/macosx/vout_vlc_wrapper.m : Arrow-up and arrow-down allow to
   control the sound volume ;
 * ./plugins/access/http.c : For streams which are not seekable, we fall
   back on old HTTP/1.0 behavior ; on systems implementing atoll() we
   can also read files > 2 GB ;
 * ./configure : atoll() detection.

2002-06-19 Wednesday 00:29  massiot

 * ./plugins/macosx/intf_vlc_wrapper.m : Fixed a bug with the language and
   subtitle menus
 * README.MacOSX.rtf : More documentation.

2002-06-17 Monday 11:32  sam

   * ./plugins/filter/deinterlace.c: backported new deinterlacing routines.

2002-06-17 Monday 10:37  sam

   * ./include/threads.h, ./include/threads_funcs.h: backported the new Win32
     cond_wait implementation from MAIN. Please report problems.

2002-06-11 Tuesday 11:44  gbazin

 * ./include/configuration.h: renamed MODULE_CONFIG_* macros into
 CONFIG_*.
 * ./include/configuration.h, ./plugins/gtk/gtk_preferences.c,
 ./plugins/filter/transform.c, ./plugins/filter/distort.c,
 ./plugins/filter/deinterlace.c: added an ADD_STRING_FROM_LIST()
 configuration macro.
 * ./include/modules.h, ./include/video_output.h,
 ./src/video_output/video_output.c, ./plugins/filters/*: added a
 VOUT_FILTER capability. Having a clear distinction between VOUTs and
 VOUT_FILTERs allows us to get rid of ugly hacks. The filters are also
 stackable now (use --filter=foo:bar:foo etc..).
 * ./include/configuration.h, ./src/libvlc.h, ./src/libvlc.c: clean-up +
 added an ADD_USAGE_HINT() configuration macro.

2002-06-10 Monday 18:48  sam

   * ./FAQ: added QT6 FAQ entry.

2002-06-10 Monday 02:41  sam

   * ./configure.in: fixed inet_pton detection.
   * ./plugins/filter/deinterlace.c: the blend mode is now a lot smoother, but
     also a bit slower, so I also kept the old version, optimized it, and
     called it "mean".

2002-06-10 Monday 00:57  massiot

 * IPv6 multicast support, courtesy of Remco Poortinga <poortinga@telin.nl> ;
 * Mac OS X icons and fixes, courtesy of Benjamin Mironer <bmironer@noos.fr>.

2002-06-10 Monday 00:33  massiot

 file mpeg4.icns was initially added on branch v0_4_1_branch.

2002-06-10 Monday 00:33  massiot

 file generic.icns was initially added on branch v0_4_1_branch.

2002-06-10 Monday 00:33  massiot

 file mpeg.icns was initially added on branch v0_4_1_branch.

2002-06-10 Monday 00:33  massiot

 file mpeg2.icns was initially added on branch v0_4_1_branch.

2002-06-10 Monday 00:33  massiot

 file divx.icns was initially added on branch v0_4_1_branch.

2002-06-10 Monday 00:33  massiot

 * IPv6 multicast support, courtesy of Remco Poortinga <poortinga@telin.nl> ;
 * Mac OS X icons and fixes, courtesy of Benjamin Mironer <bmironer@noos.fr>.

2002-06-10 Monday 00:33  massiot

 file mpeg1.icns was initially added on branch v0_4_1_branch.

2002-06-08 Saturday 16:08  sam

   * ./include/vlc_threads.h, ./src/misc/threads.c: improved the cond_wait
     implementation to avoid races, by using SetEvent instead of PulseEvent.

2002-06-08 Saturday 03:41  lool

   * ./configure.in: checking for the header should be enough in most cases
   * ./plugins/xosd/xosd.c: configuration options

2002-06-08 Saturday 01:53  sam

   * ./plugins/win32/*: tried to port the Win32 interface to the new API. Seems
     to be still crashing.

2002-06-08 Saturday 00:41  lool

   * forgot to cvs add the _files_ -- sorry

2002-06-08 Saturday 00:32  lool

   * fixed my typos in configure.in

2002-06-08 Saturday 00:24  lool

   * basic On Screen Display intf-plugin based on libxosd

2002-06-07 Friday 23:45  sam

   * ./src/misc/netutils.c: network mode works again.

2002-06-07 Friday 21:54  sam

   * ./plugins/gtk/*: the Gnome/Gtk+ interfaces have all their features back.
   * ./src/playlist/playlist.c: fixed an off-by-one loop error.

2002-06-07 Friday 18:06  sam

   * ./plugins/dummy/input_dummy.c: dummy targets such as vlc:nop, vlc:loop
     and vlc:quit work again.
   * ./src/playlist/playlist.c: when a new target is added, for instance through     the "File" menu, it is automatically played.

2002-06-07 Friday 16:59  sam

   * ./include/vlc_objects.h: pointers are set to NULL after a call to
     vlc_object_destroy (idea from stef).
   * ./po/pl.po: updated polish translation, thanks to Arkadiusz Lipiec
     <alipiec@adrenalina.pl>.

2002-06-07 Friday 16:30  sam

   * ./src/playlist/playlist.c: lots of playlist behaviour enhancements.
   * ./src/misc/objects.c: we do not hang on attempt to destroy an object with
     a non-zero reference count, but we still complain.
   * ./plugins/gtk/gtk_control.c, plugins/gtk/gtk_playlist.c: most controls such
     as play, pause, stop, next, fast etc. work again.
   * ./plugins/gtk/gnome_*: got rid of lots of useless wrappers which were a
     workaround for a bug in Glade. Instead, bootstrap.sh does the Glade fixes.
   * ./plugins/ffmpeg/ffmpeg.c: if there is already a video output with the
     appropriate properties, we use it.

2002-06-05 Wednesday 22:58  titer

 Minor fix for the BeOS' make-package (icon loss).

2002-06-05 Wednesday 20:29  stef

 * Set object pointer to NULL after destroy.

2002-06-05 Wednesday 20:07  stef

 * Added mouse coordinates to vout struct. They are only update from x11 for now,
 and they are used nowhere.

2002-06-04 Tuesday 22:33  sam

 (new in MAIN)
   * ./plugins/gtk/gtk_callbacks.c: fixed a segfault when switching to
     fullscreen from the popup menu.
 (from v0_4_1_branch)
   * ./plugins/gtk/gnome_callbacks.c: fixed a crash when activating preferences
     from the popup menu.
   * ./plugins/gtk/gnome.glade: added lines this #@%$! Glade had munched, fixes
     a segfault in the Gnome popup menu when toggling the interface.

2002-06-04 Tuesday 20:30  sam

   * ./plugins/gtk/gnome_callbacks.c: fixed a crash when activating preferences
     from the popup menu.

2002-06-04 Tuesday 15:16  sam

      ___   _   _    _  _____ _____    ____ _        _    ____  _____
     |_ _| | | | |  / \|_   _| ____|  / ___| |      / \  |  _ \| ____|
      | |  | |_| | / _ \ | | |  _|   | |  _| |     / _ \ | | | |  _|
      | |  |  _  |/ ___ \| | | |___  | |_| | |___ / ___ \| |_| | |___
     |___| |_| |_/_/   \_\_| |_____|  \____|_____/_/   \_\____/|_____|

   * ./plugins/gtk/gnome.glade: added lines this #@%$! Glade had munched, fixes
     a segfault in the Gnome popup menu when toggling the interface.

2002-06-04 Tuesday 02:11  sam

 (new in MAIN)
   * ./src/interface/interface.c: interfaces are no longer attached only to
     p_vlc.
   * ./src/libvlc.c, ./src/misc/modules.c, ./src/playlist/playlist.c,
     ./src/input/input.c: improvements in the playlist handling (not quite that
     yet though).
 (ported from v0_4_1_branch)
   * ./configure.in, ./plugins/mpeg_system/mpeg_ts.c: fixed libdvbpsi handling.
   * ./src/misc/configuration.c: fixed the --nofoo option handling.
   * ./src/interface/main.c: fixed two compilation warnings under Solaris.

2002-06-04 Tuesday 01:16  sam

   * ./debian/rules: forgot to commit this file.

2002-06-04 Tuesday 01:14  sam

   * ./configure.in, ./plugins/mpeg_system/mpeg_ts.c: fixed libdvbpsi handling.

    (what? frozen? sorry, I can't hear you)

2002-06-04 Tuesday 00:21  sam

   * ./configure.in: fixed a breakage.
   * ./debian/control: activated libdvbpsi.

2002-06-03 Monday 23:43  ipkiss

  * added the --with-dvbpsi-tree option

2002-06-03 Monday 23:40  ipkiss

  * added the --with-dvbpsi-tree option

2002-06-03 Monday 19:19  sam

   * ./src/misc/configuration.c: fixed the --nofoo option handling.
   * ./src/interface/main.c: fixed two compilation warnings under Solaris.
   * ./plugins/avi/avi.c, ./plugins/mpeg_system/mpeg_audio.c: ES will be
     selected only once.
   * updated TODO list.

2002-06-03 Monday 02:28  sam

   * ./src/misc/netutils.c: factored code common to the interfaces into the
     network_ChannelJoin function.
   * ./plugins/mga/xmga.c, ./plugins/x11/xcommon.c, ./plugins/sdl/vout_sdl.c,
     ./plugins/directx/vout_events.c: we can now use keys F1 to F12 to switch
     channels from the video output window.

2002-06-03 Monday 01:43  bozo

   * Makefile, configure.in, configure, MODULES: added a52_system input module.
   * plugins/a52_system/Makefile, plugins/a52_system/a52_system.c: a52 input
     module.
   * plugins/ac3_spdif/ac3_spdif.c: added a little mwait to avoid a flood from
     the a52 input module.

 Note: the new module aims at reading ac3 streams but it works only with the
 ac3_spdif "decoder" since it is the only one which dates each frame contrary
 to the others which can't avoid a flood from the input module.

2002-06-03 Monday 01:29  sam

 (ported from v0_4_1_branch)
   * ./plugins/motion/motionmmx.c: MMX motion optimizations courtesy of
     Vladimir Chernyshov <greengrass@writeme.com>.

2002-06-03 Monday 01:17  sam

   * ./plugins/motion/motionmmx.c: MMX motion optimizations courtesy of
     Vladimir Chernyshov <greengrass@writeme.com>.

2002-06-03 Monday 01:11  sam

 (new in MAIN)
   * ./plugins/spudec/spu_decoder.c: we now use FIND_ANYWHERE to find a vout.
 (ported from v0_4_1_branch)
   * ./plugins/dvdread/dvdread.c: disabled the dvdread plugin because it
     currently sucks.
   * ./src/misc/configuration.c, ./src/interface/main.c: we now accept --nofoo
     and --no-foo as negations for --foo. Also, the --help output is nicer.
   * ./plugins/qnx/vout_qnx.c: QNX compilation fix.

2002-06-03 Monday 01:03  massiot

 * Update README.

2002-06-03 Monday 01:03  massiot

 * Updated README.

2002-06-03 Monday 01:01  sam

   * ./plugins/dvdread/dvdread.c: disabled the dvdread plugin because it
     currently sucks.
   * ./src/misc/configuration.c, ./src/interface/main.c: we now accept --nofoo
     and --no-foo as negations for --foo. Also, the --help output is nicer.

2002-06-03 Monday 00:45  massiot

 Bumped up version number to 0.5.0-cvs.

2002-06-03 Monday 00:44  massiot

 Bumped up version number to 0.4.1.

2002-06-03 Monday 00:31  massiot

   * ./plugins/macosx: rewrote the net panel for OS X

2002-06-02 Sunday 19:05  sam

   * ./plugins/qnx/vout_qnx.c: QNX compilation fix.

2002-06-02 Sunday 17:51  gbazin

 * ./include/vlc_common.h: got rid of i_thread in VLC_COMMON_MEMBERS.

2002-06-02 Sunday 16:26  gbazin

 * ./include/os_specific.h: changed prototype of system_*() to use vlc_t
 instead of vlc_object_t.

2002-06-02 Sunday 15:49  sam

 (new in MAIN)
   * ./plugins/dvd/dvd_es.c, ./plugins/satellite/input_satellite.c,
     ./plugins/dvdread/input_dvdread.c: updated outdated variable names.
 (ported from 0_4_1_branch)
   * ./plugins/spudec/spu_decoder.c: fixed a margin bug in the SPU renderer
     which caused subtitles to appear slanted in odd width windows.

2002-06-02 Sunday 15:41  sam

   * ./plugins/spudec/spu_decoder.c: fixed a margin bug in the SPU renderer
     which caused subtitles to appear slanted in odd width windows.

2002-06-02 Sunday 15:38  gbazin

 * ./include/vlc_threads.h: re-merged vlc_threads.h and threads_funcs.h.

2002-06-02 Sunday 14:16  massiot

 * New Loop menu item in OS X interface.

2002-06-02 Sunday 13:59  sam

 (new in MAIN)
   * ./src/playlist/playlist.c, src/input/input.c: added safety checks to
     prevent crashes on next file.
 (ported from 0_4_1_branch)
   * ./plugins/gtk/gtk_display.c, ./plugins/win32/mainframe.cpp: we deactivate
     popup menus when no stream is being played, even in network mode.
   * ./src/input/mpeg_system.c: removed unnecessarily verbose message.

2002-06-02 Sunday 13:55  sam

   * ./plugins/gtk/gtk_display.c, ./plugins/win32/mainframe.cpp: we deactivate
     popup menus when no stream is being played, even in network mode.

2002-06-02 Sunday 12:55  sam

   * ./src/input/mpeg_system.c: removed unnecessarily verbose message.

2002-06-02 Sunday 12:28  gbazin

 * ./plugins/a52/a52.c: compilation fix. Following C99 we have to include
 <stdint.h> but Solaris doesn't have it so we include <inttypes.h> when
 it isn't found.

2002-06-02 Sunday 11:03  sam

   * ./src/video_output/video_output.c: fixed the "picture has invalid status"
     bug which might have been the cause of crashes.
   * ./plugins/filter/crop.c: attempt at an automatic border cropping filter,
     using "--filter crop --autocrop".
   * ./vlc.spec: added missing filters to the RPM generation.
   * ./src/misc/objects.c: commented all functions.
   * ./src/misc/objects.c: implemented vlc_object_find( , , FIND_ANYWHERE).
   * ./src/misc/objects.c: renamed vlc_object_unlink to vlc_object_detach.

2002-06-02 Sunday 04:23  sam

   * ./src/video_output/video_output.c: fixed the "picture has invalid status"
     bug which might have been the cause of crashes.

2002-06-02 Sunday 04:04  sam

   * ./plugins/filter/crop.c: attempt at an automatic border cropping filter,
     using "--filter crop --autocrop".
   * ./vlc.spec: added missing filters to the RPM generation.

2002-06-02 Sunday 03:20  massiot

 * Channel change support on Mac OS X ;
 * New OS X icon, courtesy of Benjamin Mironer <bmironer@noos.fr>

2002-06-02 Sunday 02:43  sam

   * ./plugins/filter/crop.c: crop filter. Usage examples:
       --filter crop --crop-geometry 640x480
       --filter crop --crop-geometry 320x200+10+10

2002-06-01 Saturday 20:04  sam

   * ALL: got rid of p_object->p_this which is now useless.

2002-06-01 Saturday 19:11  sam

   * ./bootstrap.sh: ah ah ah. CVS likes to make fun out of me.

2002-06-01 Saturday 19:09  sam

   * ./include/main.h, ./plugins/beos/intf_beos.cpp: BeOS compilation fixes.
   * ./bootstrap.sh, ./src/libvlc.h, ./po/*: fixed bootstrap.sh so that it does
     not include CVS Id lines in automatically created files.

2002-06-01 Saturday 18:45  sam

   * ./plugins/dummy/intf_dummy.c, ./plugins/chroma/i420_yuy2.c,
     src/interface/intf_eject.c, src/misc/threads.c: win32 compilation fix.
   * ./plugins/directx/aout_directx.c, plugins/directx/vout_directx.c,
     ./plugins/directx/vout_events.c: the DirectX notification and event threads
     now use the vlc_thread_create / vlc_thread_ready scheme. Untested.
   * ./configure.in: added a check for inttypes.h and sys/int_types.h.
   * ./configure.in: fixed the HTTP plugin compilation under BeOS.
   * ./plugins/network/ipv6.c: reactivated IPv6 module.

2002-06-01 Saturday 16:31  sam

   * ./src/misc/beos_specific.cpp: BeOS fixes, removed a static variable.
   * ./include/main.h: replaced p_sys with explicit variables because it's
     really much simpler this way. Gildas, will you ever forgive me ? :-)

2002-06-01 Saturday 15:52  sam

   * ./src/misc/beos_specific.cpp: the BeOS BApplication thread now uses the
     vlc_thread_create / vlc_thread_ready scheme to signal readiness.
   * ./src/misc/objects.c: prevent the creation of a too small vlc_object_t.
   * ./include/vdec_ext-plugins.h: removed the vdec_thread_t declaration, which
     belongs to plugins/mpeg_vdec.
   * ./ChangeLog: imported the 0_4_1_branch changelog.
   * ./plugins/chroma/i420_yuy2.h: imported a 0_4_1_branch fix.

2002-06-01 Saturday 14:31  sam

   * ALL: the first libvlc commit.

    As for video output 4, this breaks almost everything, but I'll slowly
   do what remains to be fixed during the weekend.

    Changes in vlc:
    ===============

   * vlc is now a very small program (20 lines) which uses the libvlc API;
    it is quite simple for the moment but can be extended in the future.

   * interfaces, decoders, video outputs, etc. are now almost the same
    objects (yes, I know, this is C++ redone in C) and are structured in
    a tree. More about this later, but basically it allows the following
    nice features:
     - several interfaces
     - several playlists with several outputs
     - input plugins spawning helper interfaces (will be used for DVD menus)
     - anything spawning anything; I swear there are useful uses for this!

   * libvlc can be used in other programs; I'm currently writing a Mozilla
    plugin for my employer.

    Things currently broken:
    ========================

   * most interfaces, most ports
   * the playlist handling (almost finished rewriting this though). This means
    no file can be played from the GUI, you need to use the commandline. This
    also means it segfaults at EOF, when exiting the program, and it sometimes
    refuses to open a file when asked to.

2002-06-01 Saturday 13:38  sam

   * Backported fixes from MAIN.

2002-06-01 Saturday 12:36  sam

   * ./ChangeLog: updated changelog.

2002-05-30 Thursday 15:22  asmax

 - removed the obsolete artificial delay when switching channels.
   Now it is ultra-fast !

2002-05-30 Thursday 10:59  xav

  * intf_eject.c : added ejection code for Win32. Please test it under
                   Win95/98/Me, I just can't install a winme
                   in my work office :).
  * plugins/win32/* : enabled the "Eject" button (thanks Ipkiss)
  * src/misc/netutils.c : just changed my mail :P

2002-05-30 Thursday 10:17  gbazin

 * changed ADD_BOOL and ADD_BOOL_WITH_SHORT config macros to accept a
 default value as an argument.
 * modified the command line parsing to accept --foo and --no-foo when a
 "foo" boolean config option is defined.
 * modified the help menu to indicate if the option is enabled or
 disabled by default.

2002-05-29 Wednesday 20:39  sam

   * ./src/video_output/video_output.c: when the video output hasn't received
     a new picture for a while, it redisplays the last displayed one. This will
     be useful for DVD menus, but also solves the "picture becomes black when
     vlc is paused" issue.

2002-05-28 Tuesday 20:34  stef

 *Added a b_force flag to picture_t so that we can force the display
 of an image even if it is late.

2002-05-27 Monday 20:35  sam

   * ./po/pl.po: uh uh uh, forgot to cvs add this file...

2002-05-27 Monday 20:34  sam

   * ./po/vlc.pot: updated potfile.
   * ./po/pl.po: polish translation, courtesy of Arkadiusz Lipiec
     <A.Lipiec@elka.pw.edu.pl>.

2002-05-27 Monday 20:33  sam

   * ./debian/control: updated Debian package descriptions.

2002-05-27 Monday 18:01  fenrir

     ALL : In order to make ac3 working in avi file, I've deplaced some code
 from ac3 decoder to mpeg_system.c. ( skip 3 bytes is now done in
 mpeg_system.c and no longer in ac3 audio decoder ).

2002-05-27 Monday 03:49  alexis

 Link to the GPL licence
 GFDL licence know used for the licence

2002-05-25 Saturday 23:42  massiot

 Changed download URL.

2002-05-25 Saturday 21:15  marcari

   * src/misc/netutils.c: tests if message from vlcs begins with 'E:' or 'I:'
   instead of testing 'E: ' and 'I: ' (to simplify miniVLCS)

2002-05-24 Friday 14:42  gbazin

 * ./include/inpu_ext-dec.h added a check to fifo->b_die after the call
 to BitstreamNextDataPacket() in GetChunk().
 Code using GetChunk() also needs to check fifo->b_die before using the
 obtained data.
 This fixes frequent crashes you get on win32 with the a52 plugin when you
 close a stream.

2002-05-24 Friday 00:33  massiot

 update release-howto

2002-05-24 Friday 00:21  sam

   * ./src/video_output/video_output.c: the video output thread was never
     joined! A pretty old bug...

2002-05-23 Thursday 23:42  massiot

 Updated Mac OS X readme, courtesy of The DJ <d.hartman@student.utwente.nl>.

2002-05-23 Thursday 01:40  massiot

  * Updated ChangeLog
  * Updated release date

2002-05-23 Thursday 01:11  massiot

 Fixed HTTP input under Win32 (thanks ipkiss).

2002-05-22 Wednesday 21:31  gbazin

 * ./src/misc/modules.c: restored plugins hiding as the problem is fixed.
 * ./plugins/directx/directx.c: UnregisterClass() in MODULE_DEACTIVATE. If
    we don't do this, trying to use the class when the plugin is reloaded will
    cause a segfault.

 PS: on Win32 the sdl plugin is still affected by this. It looks like SDL keeps
     an internal state which isn't updated when we reload the plugin.

2002-05-22 Wednesday 19:19  sam

   * ./src/misc/modules.c: disabled module autohide until we find out why a
     reloaded module sometimes does not work properly.

2002-05-22 Wednesday 19:17  sam

   * ./plugins/access/file.c, plugins/dvd/dvd_seek.c: readability changes.
   * ./Makefile: the vlc rule depends on modules_builtin.h.
   * ./include/modules_inner.h: removed useless code.

2002-05-22 Wednesday 13:23  lool

   * ./include/modules_inner.h: fixed a crash when reopening a hidden
     module (by sam)

2002-05-22 Wednesday 00:09  massiot

 * Updated spec for ffmpeg.

2002-05-21 Tuesday 03:40  sam

   * ./src/input/input.c: fixed a bug with the input remaining stuck when no
     network data was present.

2002-05-21 Tuesday 02:34  sam

   * ./plugins/dvd/dvd_access.c, plugins/dvd/dvd_seek.c: very minor cosmetic
     fixes.

2002-05-21 Tuesday 02:23  sam

   * src/input/input_ext-plugins.c, src/input/input_ext-intf.c: boundary checks
     on seek.

2002-05-21 Tuesday 00:39  sam

   * ./src/interface/main.c: fixed a little memleak.
   * ./src/input/input_dec.c: removed useless code.
   * ./src/input/input.c, ./plugins/gtk/gtk.c: fixed access to uninitialized
     variables.
   * ./plugins/dvd/dvd_demux.c: fixed the pf_demux return value.

2002-05-21 Tuesday 00:36  sam

   * ./src/misc/iso_lang.c: code simplifications.
   * ./src/misc/iso_lang.c: the language prototypes now use the const keyword.

2002-05-21 Tuesday 00:34  sam

   * ./po/*: updated language files.

2002-05-21 Tuesday 00:30  sam

   * ./plugins/x11/xcommon.c: fixed x11 and xvideo alternate fullscreen (gibalou
     on t'aiiiiiiiiimeuh).

2002-05-21 Tuesday 00:26  sam

   * ./configure.in: tried to fix the -lavcodec detection.

2002-05-20 Monday 22:58  massiot

 * Bumped up version number to 0.4.0 ;
 * Updated changelog.

2002-05-20 Monday 21:49  gbazin

 * First try for IPv6 support on Win32. This hasn't been tested so it
   might not work! To compile this stuff you need a mingw compiler with
   w32api-1.3.

 The win32 code uses the getaddrinfo function because inet_pton is
 supposed to be deprecated and not supported by Microsoft. gethostbyname2
 isn't supported as well. Maybe we could try to unify the ipv6 plugin and
 have all the ports use getaddrinfo ? (I didn't dare to do it because I
 don't want to break anything before a release ;-)

2002-05-20 Monday 21:34  sam

   * ./src/video_output/vout_pictures.c: workaround for a bug in the dummy vout.

2002-05-20 Monday 21:12  sam

   * ./Makefile: we check for Makefile.config before including it.

2002-05-20 Monday 21:02  sam

   * ./plugins/dummy/dummy.c: added --dummy-chroma option.
   * ./plugins/dummy/vout_dummy.c: the dummy vout plugin now uses vlc's
     vout_AllocatePicture instead of its own.
   * ./src/video_output/vout_pictures.c: added YUY2 in vout_AllocatePicture.

2002-05-20 Monday 20:51  massiot

 Added Makefile.config.

2002-05-20 Monday 20:43  sam

   * ./Makefile: forgot to remove Makefile.config in the distclean rule.

2002-05-20 Monday 17:03  gbazin

 * Added an option to disable the dynamic range compression.

2002-05-20 Monday 16:22  sam

   * ./ChangeLog: updated changelog.

2002-05-20 Monday 16:12  sam

   * ./Makefile.opts.in: removed configuration stuff which does not need to
     rebuild anything to Makefile.config, so that editing it will not cause
     a complete rebuild.

2002-05-20 Monday 01:51  massiot

 Mac OS X-specific :
 * We now use real-time threads ;
 * Worked around a bug when seeking ;
 All :
 * Removed my patch to the video output since it causes problems for some
   people.

2002-05-20 Monday 00:46  massiot

 * Fixes for ffmpeg and mad.

2002-05-19 Sunday 22:55  massiot

 * OS X intf is now more consistent with Apple guidelines.

2002-05-19 Sunday 18:01  massiot

 Removed fixed entries.

2002-05-19 Sunday 14:57  gbazin

 * filters were using memalign but freeing p_data instead of p_data_orig.
 * updated MSVC++ project.
 * small corrections to the LONGTEXT descriptions in main.c.

2002-05-19 Sunday 14:12  massiot

 * A few updates.

2002-05-19 Sunday 14:09  massiot

 * New vlc.spec, courtesy of Yves Duret <yves.duret@mandrakesoft.com>.

2002-05-19 Sunday 13:29  massiot

 * New --with-ffmpeg option for standard installations.

2002-05-19 Sunday 13:02  massiot

 Updated long descriptions.

2002-05-19 Sunday 11:37  gbazin

 * moved the mpeg-motion and mpeg-idct options to the mpeg_vdec plugin
 * added a few *_LONGTEXT descriptions to main.c
 * on win32 DVD/VCD_DEVICE defaults to to D:

 Could anyone finish the *_LONGTEXT descriptions in main.c. There aren't
 that many left right now, just the ones I didn't really know what to do
 with.
 If someone also wants to review and change the already existing
 *_LONGTEXT descriptions, he is welcome as well because there are not
 really high quality descriptions :(

2002-05-19 Sunday 02:43  massiot

 * Another addition.

2002-05-19 Sunday 02:34  massiot

 * Desperate attempt to improve audio output ;
 * Updated documentation.

2002-05-19 Sunday 00:41  gbazin

 * updated INSTALL.win32
 * a little bit of clean-up in the directx video output plugin

2002-05-18 Saturday 19:53  massiot

 * Warning levels are no longer additive, patch courtesy of Arnaud de
   Bossoreille de Ribou <bozo@via.ecp.fr>

2002-05-18 Saturday 19:47  sam

   * ALL: changed __inline__ with inline (autoconf does the job for us anyway,
     and mipspro doesn't know about __inline__).

2002-05-18 Saturday 17:51  gbazin

 * fixed deadlock in NextFrame() in aout_pcm.c

2002-05-18 Saturday 16:03  gbazin

 * updated the MSVC++ project files and added support for dirent (vlc compiled
    with msvc can now load plugins - even compiled with mingw).
 * small portability fixes.

2002-05-18 Saturday 15:33  massiot

 * Menu item to maximize the volume in Mac OS X ;
 * Dropped dependancy on autoconf 2.52.

2002-05-18 Saturday 15:30  gbazin

 * modified the directx video plugin to try to create an YUV surface before
    falling back to an RGB surface when it's not possible to use overlays.
    Some graphic cards can do the YUV->RGB conversion in hardware during the
    blitting stage.
 * in the directx video plugin, we now request that the RGB surface be created
    in video memory. The reasoning behind this is that usually surfaces in
    video memory benefit from more hardware acceleration (like for instance
    hw rescaling, hw blitting, etc...)
 * added two options to the directx video plugin to disable the above features.
    (mainly because my video driver is buggy and doesn't handle them well).

 * small cosmetic changes to the generation of the config file.

 * fix for config_GetHomeDir() on win32. SHGetFolderPath() is located in
    shfolder.dll not shell32.dll.
 * fix for the gtk preferences dialog box. To be sure that an int or float value
    is actually changed we call gtk_spin_button_update() in the
    GtkInt/FloatChanged() event handler.

2002-05-18 Saturday 13:59  sam

   * ./debian/control: made the Build-Depends: entry a one-liner (Closes
     Debian bug #147103).

2002-05-18 Saturday 10:50  stef

 *A lock was not released;

2002-05-17 Friday 20:06  stef

 *Don't keep the control lock during the pause

2002-05-17 Friday 20:01  stef

 *check for b_die and b_error in all loops so that we don't remain stuck
 waiting for data whereas the vlc has tried to quit.

2002-05-17 Friday 18:38  sam

   * ./src/misc/mtime.c: we use nanosleep whenever possible (patch from Meuuh).

2002-05-17 Friday 17:14  lool

   * removed usage of usleep (not thread safe) (by Meuuh)

2002-05-17 Friday 16:17  lool

   * video output patch to improve handling of late pictures (by Meuuh)

2002-05-17 Friday 02:58  sam

   * ./src/interface/intf_msg.c, src/interface/intf_playlist.c: disabled
     calls to realloc(_,0) in a similar way to input_programs.c.

2002-05-16 Thursday 15:20  gbazin

 * src/input/input_programs.c: fixed memory corruption by setting a few
     pointers to NULL after they have been free()ed.
 * src/input/input_programs.c: removed now useless ASSERTs.

 This patch comes from sam, so if you want to blame someone blame him ;-)

2002-05-15 Wednesday 17:46  asmax

 - check size to avoid realloc(0)

2002-05-15 Wednesday 15:36  marcari

   * removed a debug message that I forgot in my previous commit

2002-05-15 Wednesday 15:07  marcari

 On sam's advice I added the input_FDNetworkClose() function to be called
 when closing a  networking stream instead of input_FDClose().  It is due
 to WIN32  because we have  to call  closesocket() instead of  close() to
 close the socket. The problem was  : windows did not leave the multicast
 group when closing the socket.

   * input_ext-plugins.c : where is located the function
   * *.h : function declaration
   * udp.c, http.c : these modules now call input_FDNetworkClose()

2002-05-15 Wednesday 13:06  marcari

   * netutils.c: use closesocket() instead of close() at the end
   of the network_ChannelJoin() for WIN32.

   It closes the following bug : when changing channel we sometimes got
   a 'no answer from vlcs' even if the answer is sent back.

2002-05-15 Wednesday 03:29  sam

   * ./src/misc/configuration.c: fixed an issue with long options from
     modules where option arguments and playlist entries were mixed.

2002-05-15 Wednesday 02:04  sam

   * ./configure.in: added libdvbpsi version check.

2002-05-15 Wednesday 02:02  sam

   * ./include/modules_inner.h: fixed a bug in module reinitialization,
     which should fix crashes after a long pause.

2002-05-14 Tuesday 23:23  massiot

 Fixed a bug (glitch/segfault) when seeking.

2002-05-14 Tuesday 22:54  jobi

     * src/input/mpeg_system.c : We handle PCR even if they are not attached
                                 to a PMT.

2002-05-14 Tuesday 22:39  gbazin

 * new --with-mad-tree configure option.
 * updated BUGS file.

2002-05-14 Tuesday 22:27  massiot

 It should now be possible to quit when reading a bogus file.

2002-05-14 Tuesday 21:47  sam

   * ./src/misc/modules.c: if a module has a zero-scored capability, we don't
     try to use it, unless it was explicitely requested (--vout for example).

2002-05-14 Tuesday 21:33  bozo

   * src/misc/iso-639.def, include/iso_lang.h, src/misc/iso_lang.c: iso-839-[12] tools.
   * include/common.h, src/misc/modules_plugin.h: export the 3 new functions.
